# Bibliothèque de composants technique DSMJ Angular

Cette bibliothèque technique propose un ensemble de modules permettant de faciliter l'intégration des composants issus du Système de design de l'état (DSFR), ainsi que des composants spécifiques développer dans le cadre des produits du Ministère de la Justice, dans votre projet Angular.

Elle intégre par ailleurs un site de démonstration et de documentation.

## Démarrer le serveur de démonstration et de documentation

Lancer la commande `ng serve`. Puis, rendez-vous à l'adresse suivante http://localhost:4200/` à partir de votre navigateur.

## Generer un nouveau composant

### Pour la documentation
Lancer la commande `ng generate component component-name --project doc` pour générer un nouveau composant pour la documentation. Vous pouvez également utiliser `ng generate directive|pipe|service|class|guard|interface|enum|module`.

### Pour la bibliothèque de composants technique
Lancer la commande `ng generate component component-name --project lib --skip-import` pour générer un nouveau composant pour la bibliothèque de composants technique. Vous pouvez également utiliser `ng generate directive|pipe|service|class|guard|interface|enum|module`.

## Build

### Pour builder la librairie DSMJ
La commande qui permet de builder la librairie est ``ng build lib``

## Tests

### Tests unitaires

La commande qui permet de lancer les tests du projet doc est ``ng test doc``.

La commande qui permet de lancer les tests des composants de la librairie est ``ng test lib``.

La commande qui permet de lancer les tests d'un composant en particulier est :
````
ng test <project> -- <filename>

// example (cette commande exécute les tests contenu dans le fichier 'alert.component.spec.ts'
ng test lib -- alert.component.spec.ts
````

### Tests fonctionnels

La commande qui permet de lancer les tests du projet doc est ``ng e2e doc``.

La commande qui permet de lancer les tests des composants de la librairie est ``ng e2e lib``.

La commande qui permet de lancer les tests d'un composant en particulier est :
````
ng e2e <project> -- <filename>

// example (cette commande exécute les tests contenu dans le fichier 'alert.component.e2e-spec.ts'
ng e2e lib -- alert.component.e2e-spec.ts
````
