const { pathsToModuleNameMapper } = require('ts-jest');
const { compilerOptions } = require('./tsconfig.json');
const esModules = ['@angular', '@ngrx', 'd3' ];

/** @type {import('ts-jest/dist/types').InitialOptionsTsJest} */
// module.exports = {
//   preset: 'ts-jest',
//   globalSetup: 'jest-preset-angular/global-setup',
//   globals: {
//     'ts-jest': {
//       useESM: true,
//       stringifyContentPathRegex: '\\.(html|svg)$',
//       tsconfig: '<rootDir>/tsconfig.spec.json',
//     },
//   },
//   moduleNameMapper: {
//     ...pathsToModuleNameMapper(compilerOptions.paths, {prefix: '<rootDir>/'}),
//     tslib: 'tslib/tslib.es6.js',
//   },
//   modulePathIgnorePatterns: ['<rootDir>/dist'],
//   setupFilesAfterEnv: ['<rootDir>/setup-jest.ts'],
//   moduleFileExtensions: ['ts', 'html', 'js', 'json', 'mjs'],
//   transformIgnorePatterns: ['<rootDir>/node_modules/(?!.*\\.mjs$)']
// };

module.exports = {
  // [...]
  // extensionsToTreatAsEsm: ['.ts'],
  globals: {
    'ts-jest': {
      useESM: true,
      tsconfig: '<rootDir>/tsconfig.spec.json',
      stringifyContentPathRegex: '\\.html$',
      allowSyntheticDefaultImports: true,
    },
  },
  moduleFileExtensions: ['ts', 'html', 'js', 'json', 'mjs'],
  moduleNameMapper: {
    '^(\\.{1,2}/.*)\\.js$': '$1',
  },
  transform: {
    // '^.+\\.(ts|js|mjs|html|svg)$': 'jest-preset-angular',
    '^.+\\.js$': 'babel-jest',
  },
  transformIgnorePatterns: [
    `<rootDir>/node_modules/(?!.*\\.mjs$|${esModules.join('|')})`,
  ]
};

