import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { HomeComponent } from "./pages/home/home.component";
import {ContactComponent} from "./pages/faq/contact.component";
import { FigmaComponent } from './pages/figma/figma.component';

const routes: Routes = [
  { path: '', redirectTo: '/accueil', pathMatch: 'full' },
  {
    path: 'accueil',
    component: HomeComponent,
    data: { breadcrumb: 'Accueil'},
  },
  {
    path: 'get-start',
    data: { breadcrumb: 'Comment utiliser le DSMJ'},
    loadChildren: () => import('./pages/get-start/get-start.module').then((m) => m.GetStartModule),
  },
  {
    path: 'contact',
    component: ContactComponent,
    data: { breadcrumb: 'Contact'},
  },
  {
    path: 'figma',
    component: FigmaComponent,
    data: { breadcrumb: 'Figma'},
  },
  {
    path: 'elements-d-interface',
    data: { breadcrumb: "Eléments d'interface"},
    loadChildren: () => import('./pages/elements-interface/elements-interface.module').then((m) => m.ElementsInterfaceModule),
  },
  // {
  //   path: 'composants',
  //   data: { breadcrumb: 'Composants'},
  //   loadChildren: () => import('./pages/composants/list-composant.module').then((m) => m.ListComposantModule),
  // },
  // {
  //   path: 'forms',
  //   data: { breadcrumb: 'Formulaires'},
  //   loadChildren: () => import('./pages/forms/form.module').then((m) => m.FormModule),
  // },
  {
    path: 'templates',
    data: { breadcrumb: 'Template'},
    loadChildren: () => import('./pages/template/template.module').then((m) => m.TemplateModule),
  }
];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule]
})
export class AppRoutingModule { }
