import { Component, OnInit } from '@angular/core';
import {Badge, Brandmark} from "@mjfr/ng-dsmj";
import {SidemenuService, SideTemplate} from "./commons/sidemenu/service/sidemenu.service";

@Component({
  selector: 'doc-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.scss']
})
export class AppComponent implements OnInit {

  public organisation: Brandmark = {
    name: "Système de design du Ministère de la Justice",
    baseline: "Documentation du système de design du Ministère de la Justice"
  };

  show: boolean = false;
  disabledUrl: string[] = ['/', '/accueil']

  constructor(private sidemenuService: SidemenuService) {}

  ngOnInit(): void {
    this.sidemenuService.initSideMenu(this.getTemplates())
    setTimeout(() => this.show = true, 1000);
  }

  scrollTo(key: string): void {
    let el = document.getElementById(key);
    el.scrollIntoView({behavior: 'smooth'});
  }

  getTemplates(): SideTemplate {
    return {
      accueil: {
        enabled: false,
      },
      composants: {
        enabled: true,
        title: 'Liste des composants',
        btnTitle: 'Composants',
        template: [],
      },
      contact: {
        enabled: false,
      },
      figma: {
        enabled: false,
      },
      'get-start': {
        enabled: false,
      },
      'elements-d-interface': {
        enabled: true,
        title: 'Templates',
        template: [],
      },
      forms: {
        enabled: true,
        title: 'Inputs',
        btnTitle: 'Composants - Champs de formulaire',
        template: [],
      },
      templates: {
        enabled: true,
        title: 'Templates',
        template: [],
      }
    }
  }

  scrollToElement($element): void {
    /** @todo */
  }
}
