import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { HomeComponent } from "./pages/home/home.component";
import { AppRoutingModule } from "./app-routing.module";
import { AppComponent } from "./app.component";
import { BrowserModule } from "@angular/platform-browser";
import {ExamplesModule} from "./examples/examples.module";
import {ListComposantModule} from "./pages/composants/list-composant.module";
import {SharedModule} from "./shared.module";
import {ContactComponent} from "./pages/faq/contact.component";
import {HIGHLIGHT_OPTIONS} from "ngx-highlightjs";
import {BrowserAnimationsModule} from "@angular/platform-browser/animations";
import {FormModule} from "./pages/forms/form.module";
import {HomeBannerComponent} from "./commons/home-banner/home-banner.component";
import {DynamicBreadcrumbComponent} from "./commons/dynamic-breadcrumb/dynamic-breadcrumb.component";
import {DsmjDirectivesModule,DsmjBadgeModule} from "@mjfr/ng-dsmj";
import {FigmaComponent} from './pages/figma/figma.component';

@NgModule({
  declarations: [
    AppComponent,
    DynamicBreadcrumbComponent,
    HomeComponent,
    HomeBannerComponent,
    ContactComponent,
    FigmaComponent
  ],
  imports: [
    AppRoutingModule,
    BrowserModule,
    BrowserAnimationsModule,
    CommonModule,
    SharedModule,
    ExamplesModule,
    ListComposantModule,
    DsmjDirectivesModule,
    DsmjBadgeModule,
    FormModule,
  ],
  providers: [
    {
      provide: HIGHLIGHT_OPTIONS,
      useValue: {
        coreLibraryLoader: (): Promise<typeof import('highlight.js/lib/core')> => import('highlight.js/lib/core'),
        lineNumbersLoader: (): Promise<typeof import('highlightjs-line-numbers.js')> => import('highlightjs-line-numbers.js'), // Optional, only if you want the line numbers
        languages: {
          typescript: (): Promise<typeof import('highlight.js/lib/languages/typescript')> => import('highlight.js/lib/languages/typescript'),
          css: (): Promise<typeof import('highlight.js/lib/languages/css')> => import('highlight.js/lib/languages/css'),
          xml: (): Promise <typeof import('highlight.js/lib/languages/xml')> => import('highlight.js/lib/languages/xml')
        }
      }
    }
  ],
  bootstrap: [
    AppComponent
  ]
})
export class AppModule { }
