import { Component, ViewEncapsulation, Input } from '@angular/core';

type LangType = 'typescript' | 'javascript' | 'html' | 'css' | 'scss' | 'json' | 'service' | 'module' | 'bash'

@Component({
  selector: 'app-code-clipboard',
  templateUrl: './code-clipboard.component.html',
  styleUrls: ['./code-clipboard.component.scss'],
  encapsulation: ViewEncapsulation.None,
})
export class CodeClipboardComponent {
  @Input() id = '';
  @Input() source: string;
  @Input() lang: LangType[] = ['typescript'];
  @Input() showLineNumbers: boolean = false;

  get _id() {
    return this.id.concat(this.lang.join('-'))
  }

  public copyCodeStatus: boolean = false;

  constructor() {}

  // Public Methods
  // --------------
  /**
   * copyCode
   *
   * @param code
   */
  copyCode(code): void {
    const selectBox = document.createElement('textarea');
    selectBox.style.position = 'fixed';
    selectBox.value = code;
    document.body.appendChild(selectBox);
    selectBox.focus();
    selectBox.select();
    document.execCommand('copy');
    document.body.removeChild(selectBox);
    setTimeout(() => {
      this.copyCodeStatus = false;
    }, 500);
    this.copyCodeStatus = true;
  }
}
