import {NgModule} from "@angular/core";
import {CodeClipboardComponent} from "./code-clipboard/code-clipboard.component";
import {CodeSnippetComponent} from "./code-snippet/code-snippet.component";
import {SharedModule} from "../../shared.module";
import {DsmjAccordionModule, DsmjTabModule} from "@mjfr/dsmj";
import {CommonModule} from "@angular/common";
import {MatTableModule} from "@angular/material/table";
import {FormsModule, ReactiveFormsModule} from "@angular/forms";
import {RouterModule} from "@angular/router";
import {MatAutocompleteModule} from "@angular/material/autocomplete";
import {MatTabsModule} from "@angular/material/tabs";
import {HighlightModule} from "ngx-highlightjs";

@NgModule({
  imports: [
    SharedModule,
    DsmjAccordionModule,
    DsmjTabModule,
    CommonModule,
    MatTableModule,
    ReactiveFormsModule,
    RouterModule,
    FormsModule,
    MatAutocompleteModule,
    // MatInputModule,
    MatTabsModule,
    HighlightModule,
  ],
  declarations: [
    CodeClipboardComponent,
    CodeSnippetComponent
  ],
  exports: [
    CodeClipboardComponent,
    CodeSnippetComponent
  ]
})
export class CodeHelperModule { }
