import { Component, OnInit, ViewEncapsulation, Input } from '@angular/core';
import {CodeSnippet} from "../../models/code-snippet.model";

@Component({
  selector: 'common-code-snippet',
  templateUrl: './code-snippet.component.html',
  styleUrls: ['./code-snippet.component.scss'],
  encapsulation: ViewEncapsulation.None,
})
export class CodeSnippetComponent implements OnInit {
  @Input() id = '';
  @Input() codeSnippet: CodeSnippet;

  public copyCodeStatus: boolean = false;

  private _defaultSnippetCode: CodeSnippet = {
    isCollapsed: true, // default collapsed is true
  };

  constructor() {}

  // Public Methods
  // --------------
  /**
   * copyCode
   *
   * @param code
   */
  copyCode(code): void {
    const selectBox = document.createElement('textarea');
    selectBox.style.position = 'fixed';
    selectBox.value = code;
    document.body.appendChild(selectBox);
    selectBox.focus();
    selectBox.select();
    document.execCommand('copy');
    document.body.removeChild(selectBox);
    setTimeout(() => {
      this.copyCodeStatus = false;
    }, 500);
    this.copyCodeStatus = true;
  }

  // Lifecycle Hooks
  // ---------------
  /**
   * On init
   */
  ngOnInit(): void {
    this.codeSnippet = { ...this._defaultSnippetCode, ...this.codeSnippet, isCollapsed: false };
  }
}
