import {Component, Input} from "@angular/core";
import {Description} from "../../models/subject-data.model";

@Component({
  selector: 'app-subject-integration',
  templateUrl: './integration.component.html',
  styleUrls: ['./integration.component.scss']
})
export class IntegrationComponent {
  @Input() title: string = 'Intégration du module';
  @Input() description?: Description;
  @Input() module?: string = 'Dsmj**Module';
  @Input() installation: string = "npm install @mjfr/ng-dsmj"
  @Input() services?: string[];
  @Input() customAppModule?: string;

  get import(): string {
    return `import { ${this.module} } from '@mjfr/ng-dsmj';`
  }

  get appModule() {
    return this.customAppModule ?? `\
import { ${this.module} } from '@mjfr/ng-dsmj';

@NgModule ({
  imports: [
    ${this.module},
  ]
})
class AppModule {}`
  }
}
