import {Component, Input} from "@angular/core";
import {Property} from "../../models/subject-data.model";

@Component({
  selector: 'app-subject-property',
  template: `\
<ng-container>
  <td>
    <span class="fr-label">{{inOut}} <span *ngIf="this.prop?.required">({{required}})</span></span>
    <span class="fr-label">{{name}}: <span>{{type}}</span></span>
  </td>
  <td>
    <span class="fr-label">{{default}}</span>
  </td>
  <td>
    <span class="fr-label">{{description}}</span>
  </td>
</ng-container>
`
})
export class CustomPropertyComponent {
  @Input() prop!: Property;

  get name(): string {
    return this.prop.name;
  }

  get inOut(): string {
    return this.prop.inOut === 'input' ? `@Input()` : `@Output()`;
  }

  get type(): string {
    return this.prop.type == null ? 'Non renseigné' : this.prop.type;
  }
  get required(): string {
    return this.prop.required == null ? 'Non renseigné' : this.prop.required === true ? 'Champ obligatoire' : 'Champ optionnel';
  }
  get default() {
    return this.prop.default;
  }
  get description() {
    return this.prop.description;
  }
}
