import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';
import {MatTabsModule} from "@angular/material/tabs";
import {HighlightModule} from "ngx-highlightjs";
import {MatTableModule} from "@angular/material/table";
import {RouterModule} from "@angular/router";
import {FormsModule, ReactiveFormsModule} from "@angular/forms";
import {DsmjAccordionModule, DsmjTabModule} from "@mjfr/dsmj";
import {SharedModule} from "../../shared.module";
import {ParagraphComponent} from "./paragraph/paragraph.component";
import {IntegrationComponent} from "./integration/integration.component";
import {CodeHelperModule} from "../code-helper/code-helper.module";
import {NeedHelpComponent} from "./need-help/need-help.component";
import {CustomPropertyComponent} from "./property/custom-property.component";
import {CustomPropertiesComponent, CustomPropertyDefaultComponent} from "./property/custom-properties.component";

@NgModule({
  imports: [
    SharedModule,
    DsmjAccordionModule,
    DsmjTabModule,
    CommonModule,
    MatTableModule,
    ReactiveFormsModule,
    RouterModule,
    FormsModule,
    MatTabsModule,
    HighlightModule,
    CodeHelperModule
  ],
  declarations: [
    CustomPropertiesComponent,
    CustomPropertyComponent,
    CustomPropertyDefaultComponent,
    IntegrationComponent,
    NeedHelpComponent,
    ParagraphComponent
  ],
  exports: [
    CodeHelperModule,
    CustomPropertiesComponent,
    CustomPropertyComponent,
    IntegrationComponent,
    NeedHelpComponent,
    ParagraphComponent,
  ]
})
export class SubjectModule { }
