import {Component, OnInit, ViewEncapsulation} from '@angular/core';
import {FormBuilder, Validators} from "@angular/forms";
import {CodeSnippet} from "../../commons/models/code-snippet.model";
import {BaseExampleComponent} from "../base-example.component";
import {accordionDataExample} from "./accordion.data";
import { codeSnippetGroup } from './snippet/group';
import { codeSnippet } from './snippet/simple';

@Component({
  selector: 'doc-accordion-example',
  templateUrl: './accordion-example.component.html',
  encapsulation: ViewEncapsulation.None
})
export class AccordionExampleComponent extends BaseExampleComponent {
  title = 'Accordion';

  data = accordionDataExample;

  codeSnippet = codeSnippet
  codeSnippetGroup = codeSnippetGroup

  formGroup = this.fb.group({
    lastname: ['', Validators.required],
    firstname: ['', Validators.required],
    birthdate: '',
  })

  id = '0';
  titre = 'Accordéon simple';
  accordeonContenu = `Lorem ipsum dolor sit amet, consectetur adipiscing elit. Morbi in lacus a nunc convallis iaculis. Integer ultricies ligula ac convallis feugiat. Suspendisse potenti. Duis eu dui bibendum, condimentum metus et, mattis magna. Aenean sit amet odio ipsum.
            Maecenas blandit pretium dapibus. Curabitur diam lorem, ornare posuere lacinia et, sodales ut ex. Suspendisse eleifend et quam sit amet tristique. Vivamus facilisis enim id massa molestie ultricies. Praesent gravida bibendum fermentum.
            Vestibulum congue placerat urna, quis aliquet libero.`;

  group = true;
  acc1: any = {
    title : "Premier accordéon",
    id: "1",
    accordeonContenu: `Lorem ipsum dolor sit amet, consectetur adipiscing elit. Morbi in lacus a nunc convallis iaculis. Integer ultricies ligula ac convallis feugiat. Suspendisse potenti. Duis eu dui bibendum, condimentum metus et, mattis magna. Aenean sit amet
                        odio ipsum.`
  };
  acc2: any = {
    title : "Deuxième accordéon",
    id: "2",
    accordeonContenu: `Maecenas blandit pretium dapibus. Curabitur diam lorem, ornare posuere lacinia et, sodales ut ex. Suspendisse eleifend et quam sit amet tristique. Vivamus facilisis enim id massa molestie ultricies. Praesent gravida bibendum
                        fermentum. Vestibulum congue placerat urna, quis aliquet libero.`
  };
}
