import {SubjectData} from "../../commons/models/subject-data.model";

export const alertDataExample: SubjectData = {
  main: {
    title: 'Alerte - Alert',
    description: {
      main: 'Les alertes permettent d’attirer l’attention de l’utilisateur sur une information sans interrompre sa tâche en cours.',
      paragraphs: [
        {
          type: 'raw',
          text: 'L’alerte est disponible en deux tailles : taille médium (MD, par défaut) et petite taille ‘SM’.'
        }
      ]
    }
  },
  integration: {
    title: 'Intégration du module',
    module: "DsmjAlertModule",
    description: {
      main: ""
    },
  },
  properties: [],
  informations: [
    {
      title: 'Structure',
      description: {
        main: 'L’alerte est composée des éléments suivants :',
        paragraphs: [
          {
            type: "list",
            texts: [
              'une croix de fermeture.',
              'une fermeture automatique des alertes en fonction d\'un timer, également personnalisable.',
              'Deux tailles sont disponibles pour les alertes.',
            ]
          },
          {
            type: "raw", text: "Les alertes s’affichent de manière contextuelle dans une page/un formulaire, lors d’interactions utilisateurs avec les messages de validation (exemple : succès ou erreur suite à soumission d’un formulaire) ou lors d’événements côté application/système (exemple : messages d'information, d’alerte, de mise à jour…)."
          }
        ]
      },
      template_id: 'alert-template-snippet'
    },
    {
      title: "Fonctionnement",
      description: {
        main: 'L\'application d\'une balise est nécessaire pour indiquer la ou l\'on souhaite faire apparaitre les alertes.',
      },
      template_id: 'alert-template-clipboard-balise'
    },
    {
      subtitle: "Alerte ‘small’ (SM)",
      description: {
        main: 'L’alerte small est à utiliser lorsque l’espace d’affichage est réduit.'
      },
      template_id: 'alert-small-template-snippet'
    },
    {
      subtitle: "Alerte ‘medium’ (MD)",
      description: {
        main: 'L’alerte medium est à utiliser lorsque l’espace d’affichage est important ou lorsqu\'on souhaite afficher un tire en plus du message dans l\'alerte.'
      },
      template_id: 'alert-medium-template-snippet'
    },
    {
      subtitle: "Alerte avec bouton de fermeture",
      description: {
        main: 'Il est possible d’ajouter un bouton de fermeture afin que l’utilisateur puisse masquer l’alerte. La fermeture peut ou non être gérée par le javascript du DSFR.'
      },
      template_id: 'alert-closable-template-snippet'
    }
  ],
  help: {
    title: "Besoin d'information supplémentaire ?",
    simple_description: "Veuillez vous référer à la description de ce composant sur le site du Système de design de l'état pour les informations suivantes :",
    information_dsfr: [
      { type: 'list', text: "Les différentes tailles disponibles" },
      { type: 'list', text: "Le responsive" },
      { type: 'list', text: "Règles d'utilisation (usages, accéssibilité, contenu et personnalisation)" },
    ]
  }
}
