import {CodeSnippet} from "../../../commons/models/code-snippet.model";

const codeSnippetAutoClose: CodeSnippet = {
  html:
    `<div class="alert-emplacement">
  <dsmj-alert></dsmj-alert>
</div>
<div id="alertExample" class="fr-grid-row fr-grid-row--gutters">
  <div class="fr-col-3">
    <button class="fr-btn fr-btn--secondary w-100 justify-content-center info" (click)="info()">Info</button>
  </div>
  <div class="fr-col-3">
    <button class="fr-btn fr-btn--secondary w-100 justify-content-center success" (click)="success()">Success</button>
  </div>
  <div class="fr-col-3">
    <button class="fr-btn fr-btn--secondary w-100 justify-content-center warning" (click)="warning()">Warning</button>
  </div>
  <div class="fr-col-3">
    <button class="fr-btn fr-btn--secondary w-100 justify-content-center error" (click)="error()">Error</button>
  </div>
</div>`,
  ts:
    `import {AlertService} from "@mjfr/ng-dsmj";

@Component({
    selector: 'alert-example',
    templateUrl: './alert-example.component.html',
    styleUrls: ['./alert-example.component.scss'],
    encapsulation: ViewEncapsulation.None
})
export class AlertExampleComponent {
  title = 'Alert';

  constructor(protected alertService: AlertService) {}

  alertMessagingInfo = (id: string, text: string): void => this.alertService.info(id, text, undefined, { autoClose: false });
  alertMessagingSuccess = (id: string, text: string): void => this.alertService.success(id, text, undefined, { autoClose: false });
  alertMessagingWarning = (id: string, text: string): void => this.alertService.warn(id, text, undefined, { autoClose: false });
  alertMessagingError = (id: string, text: string): void => this.alertService.error(id, text, undefined, { autoClose: false });

  info = (id: string): void => this.alertMessagingInfo(id, 'info');
  success = (id: string): void => this.alertMessagingSuccess(id, 'success');
  warning = (id: string): void => this.alertMessagingWarning(id, 'warn');
  error = (id: string): void => this.alertMessagingError(id, 'error');
}`,
  css:
    `.alert-emplacement {
  position: fixed;
  top: 5px;
  right: 5px;
  background: white;
  z-index: 999; // attention, le dsfr peu changer les z-index d'une version a ne autre
}

#alertExample {
  .info {
    font-weight: 600;
    color: blue;
  }

  .success {
    font-weight: 600;
    color: green;
  }

  .warning {
    font-weight: 600;
    color: orange;
  }

  .error {
    font-weight: 600;
    color: red;
  }
}
`
}

export { codeSnippetAutoClose };
