import {CodeSnippet} from "../../../commons/models/code-snippet.model";

const codeSnippetSizeMd: CodeSnippet = {
  html:
    `<div class="alert-emplacement">
  <dsmj-alert [id]="'medium'"></dsmj-alert>
</div>
<div id="alertExample" class="fr-grid-row fr-grid-row--gutters">
  <div class="fr-col-3">
    <button class="fr-btn fr-btn--primary w-100 justify-content-center info" (click)="infoMedium()">Info medium</button>
  </div>
</div>`,
  ts:
    `import {AlertService} from "@mjfr/ng-dsmj";

@Component({
    selector: 'alert-example',
    templateUrl: './alert-example.component.html',
    encapsulation: ViewEncapsulation.None
})
export class AlertExampleComponent {
  constructor(protected alertService: AlertService) {}

  infoMedium = (): void => this.alertService.info("medium", "Il est important de boire de l'eau !", 'Information importante', { autoClose: true });
}`
}

export { codeSnippetSizeMd };
