import {CodeSnippet} from "../../../commons/models/code-snippet.model";

const codeSnippetSize: CodeSnippet = {
  html:
    `<div class="alert-emplacement">
  <dsmj-alert [id]="'small'"></dsmj-alert>
</div>
<div id="alertExample" class="fr-grid-row fr-grid-row--gutters">
  <div class="fr-col-3">
    <button class="fr-btn fr-btn--primary w-100 justify-content-center info" (click)="infoSmall()">Info small</button>
  </div>
</div>`,
  ts:
    `import {AlertService} from "@mjfr/ng-dsmj";

@Component({
    selector: 'alert-example',
    templateUrl: './alert-example.component.html',
    encapsulation: ViewEncapsulation.None
})
export class AlertExampleComponent {
  constructor(protected alertService: AlertService) {}

  infoSmall = (): void => this.alertService.info("small", "Il est important de boire de l'eau !", undefined, { autoClose: true });
}`
}

export { codeSnippetSize };
