import {SubjectData} from "../../commons/models/subject-data.model";

export const badgeDataExample: SubjectData = {
  main: {
    title: 'Badges',
    description: {
      main: 'Le composant badge permet de mettre en avant une information de type “statut” ou “état” sur un élément du site. Le badge n’est pas un composant ‘cliquable’. Il doit être associé à une information donnée sur une page pour préciser le statut ou l\'état associée à cette information.',
      paragraphs: [
        {
          type: 'raw',
          text: 'Le badge n’est pas un composant ‘cliquable’. Il doit être associé à une information donnée sur une page pour préciser le statut ou l\'état associée à cette information.'
        }
      ]
    }
  },
  integration: {
    title: 'Intégration du module',
    module: "DsmjBadgeModule",
    description: {
      main: ""
    },
  },
  properties: [
    {
      name: 'label',
      inOut: 'input',
      type: 'string',
      required: true,
      default: undefined,
      description: 'Valable uniquement pour le composant `dsmj-badge-group`. Permet de modifier le text affiché dans le badge'
    },
    {
      name: 'size',
      inOut: 'input',
      type: 'enum',
      required: false,
      default: undefined,
      description: "Taille du composant: sm | md"
    },
    {
      name: 'color',
      inOut: 'input',
      type: 'enum',
      required: false,
      default: undefined,
      description: "Couleur du composant: yellow-tournesol | yellow-moutarde | warning | success | purple-glycine | pink-tuile | pink-macaron | orange-terre-battue | new | info | green-tilleul-verveine | green-menthe | green-emeraude | green-bourgeon | green-archipel | error | brown-opera | brown-caramel | brown-cafe-creme | blue-ecume | blue-cumulus | beige-gris-galet"
    },
    {
      name: 'noIcon',
      inOut: 'input',
      type: 'boolean',
      required: false,
      default: undefined,
      description: "Permet de ne pas afficher d'icône dans le badge si celui-ci en contient une"
    },
  ]
}
