import {CodeSnippet} from "../../../commons/models/code-snippet.model";

export const badgeCodeSnippet: CodeSnippet = {
  html:
    `<div class="fr-grid-row fr-grid-row--gutters">
  <p class="fr-col-12 fr-label">Small badge</p>
  <dsmj-badge class="fr-col-12" [badges]="badges"></dsmj-badge>
</div>
<hr class="fr-mt-4v">
<div class="fr-grid-row fr-grid-row--gutters">
  <p class="fr-col-12 fr-label">Medium badge</p>
  <dsmj-badge class="fr-col-12" [badges]="badges" [isSmall]="false"></dsmj-badge>
</div>
<hr class="fr-mt-4v">
<div class="fr-grid-row fr-grid-row--gutters">
  <h4 class="fr-col-12">Badges with icons</h4>
  <dsmj-badges-group class="fr-col-12" [badges]="badgesWithIcon"></dsmj-badges-group>
</div>
<hr class="fr-mt-4v">
<div class="fr-grid-row fr-grid-row--gutters">
  <h4 class="fr-col-12">Badges without icons</h4>
  <dsmj-badges-group class="fr-col-12" [badges]="badgesNoIcon"></dsmj-badges-group>
</div>
<hr class="fr-mt-4v">
<div class="fr-grid-row fr-grid-row--gutters">
  <p class="fr-col-12 fr-label">Medium badge</p>
  <dsmj-badge class="fr-col-12">Medium badge</dsmj-badge>
</div>
<hr class="fr-mt-4v">
<div class="fr-grid-row fr-grid-row--gutters">
  <p class="fr-col-12 fr-label">Small badge</p>
  <dsmj-badge class="fr-col-12" size="sm">Small badge</dsmj-badge>
</div>
<hr class="fr-mt-4v">
<div class="fr-grid-row fr-grid-row--gutters">
  <p class="fr-col-12 fr-label">Small badge with color \`success\`</p>
  <dsmj-badge class="fr-col-12" size="sm" color="success">Small badge with color \`success\`</dsmj-badge>
</div>`,
  ts:
    `@Component({
    selector: 'badge-example',
    templateUrl: './badge-example.component.html'
})
export class BadgeExampleComponent {

  badges: Badge[] = [
    { label: 'yellow-tournesol', color: 'yellow-tournesol' },
    { label: 'yellow-moutarde', color: 'yellow-moutarde' },
    { label: 'warning', color: 'warning' },
    { label: 'warning', color: 'warning', noIcon: true },
    { label: 'success', color: 'success' },
    { label: 'success', color: 'success', noIcon: true },
    { label: 'purple-glycine', color: 'purple-glycine' },
    { label: 'pink-tuile', color: 'pink-tuile' },
    { label: 'pink-macaron', color: 'pink-macaron' },
    { label: 'orange-terre-battue', color: 'orange-terre-battue' },
    { label: 'new', color: 'new' },
    { label: 'new', color: 'new', noIcon: true },
    { label: 'info', color: 'info' },
    { label: 'info', color: 'info', noIcon: true },
    { label: 'green-tilleul-verveine', color: 'green-tilleul-verveine' },
    { label: 'green-menthe', color: 'green-menthe' },
    { label: 'green-emeraude', color: 'green-emeraude' },
    { label: 'green-bourgeon', color: 'green-bourgeon' },
    { label: 'green-archipel', color: 'green-archipel' },
    { label: 'error', color: 'error' },
    { label: 'error', color: 'error', noIcon: true },
    { label: 'brown-opera', color: 'brown-opera' },
    { label: 'brown-caramel', color: 'brown-caramel' },
    { label: 'brown-cafe-creme', color: 'brown-cafe-creme' },
    { label: 'blue-ecume', color: 'blue-ecume' },
    { label: 'blue-cumulus', color: 'blue-cumulus' },
    { label: 'beige-gris-galet', color: 'beige-gris-galet' },
  ]

  badgesSmall: Badge[] = this.badges.map(badge => {
    return {
      ...badge,
      size: 'sm'
    }
  })

  badgesNoIcon: Badge[] = this.badgesSmall.filter(b => b.noIcon)

  badgesWithIcon: Badge[] = this.badgesNoIcon.map(badge => {
    return {
      ...badge,
      noIcon: false
    }
  })
}`
}
