import {SubjectData} from "../../commons/models/subject-data.model";

export const bannerDataExample: SubjectData = {
  main: {
    title: "Bandeau d'information importante - Information banner",
    description: {
      main: 'Le bandeau d’information importante permet aux utilisateurs de voir ou d’accéder à une information importante et temporaire.',
      paragraphs: [
        {
          type: 'raw',
          text: 'Il est affiché sur l’ensemble des pages en desktop et en mobile. Il affiche une information importante et urgente (un usage trop fréquent risque de faire “disparaitre” ce bandeau).'
        }
      ]
    }
  },
  integration: {
    title: 'Intégration du module',
    module: "DsmjBannerModule",
    description: {
      main: ""
    },
  },
  informations: [
    {
      title: 'Structure',
      description: {
        main: 'le bandeau d\'information est composée des éléments suivants :',
        paragraphs: [
          {
            type: "list",
            texts: [
              "d'un contenu personnalisable (du texte uniquement ou template)",
              'une croix de fermeture (optionnel).',
            ]
          }
        ]
      }
    },
    {
      title: "Fonctionnement",
      description: {
        main: 'L\'application d\'une balise est nécessaire pour indiquer la ou l\'on souhaite faire apparaitre les alertes.',
      },
      template_id: 'banner-template-clipboard-balise'
    },
    {
      subtitle: "Bandeau d'information",
      description: {
        main: 'le bandeau d\'information peut être configuré avec du texte.'
      },
      template_id: 'banner-text-template-snippet'
    },
    {
      subtitle: "Bandeau d'information avec lien",
      description: {
        main: 'le bandeau d\'information peut également être configuré avec un text ainsi qu\'un lien.',
        paragraphs: [
          { type: 'raw', text: "Pour se faire, il faut :"},
          { type: 'list', texts: [
              "Créer un ng-template. Qui contiendra le text avec le lien (balise paragraphe et anchor)",
              "Lier ce ng-template à un @ViewChild et passer ce template en parametre de la methode 'newMessage'"
            ]
          }
        ]
      },
      template_id: 'banner-link-template-snippet'
    },
    {
      subtitle: "Bandeau d'information avec bouton de fermeture",
      description: {
        main: "Il est possible d’ajouter un bouton de fermeture afin que l’utilisateur puisse masquer le bandeau d'information. La fermeture peut ou non être gérée par le javascript du DSFR."
      },
      template_id: 'banner-closable-template-snippet'
    },
    {
      subtitle: "Prendre le bandeau en main",
      description: {
        main: "Il est possible de modifier le texte, le bandeau peut être rendu permanent et le bandeau peu etre affiché en bleu / information (version par défaut) ou en rouge / erreur, version non demandé dans le cadre du POC."
      },
      template_id: 'banner-custom-template-snippet'
    }
  ],
  properties: [
    {
      name: 'label',
      inOut: 'input',
      type: 'string',
      required: true,
      default: undefined,
      description: 'Permet de modifier le text affiché dans le composant'
    }
  ],
}
