import {CodeSnippet} from "../../../commons/models/code-snippet.model";

const bannerCodeSnippetBtn: CodeSnippet = {
  html:
    `\
<dsmj-banner [id]="'banner-btn'"></dsmj-banner>
<div id="alertBtnExample" class="fr-grid-row fr-grid-row--gutters fr-my-2w">
  <div class="fr-col-3">
    <button class="fr-btn fr-btn--secondary fr-w-100 justify-content-center info" (click)="showBannerBtn()">Afficher un bandeau avec bouton de fermeture</button>
  </div>
</div>`,
  ts:
    `\
import {Component, TemplateRef, ViewChild, ViewEncapsulation} from '@angular/core';
import {BannerService} from "@mjfr/ng-dsmj";

@Component({
  selector: 'doc-banner-example',
  templateUrl: './banner-example.component.html',
  encapsulation: ViewEncapsulation.None
})
export class BannerExampleComponent {

  constructor(protected bannerService: BannerService) {}

  showBannerBtn() {
    this.bannerService.newMessage('this one is dismissible', { isClosable: true, id: 'banner-btn' })
  }
}`
}

export { bannerCodeSnippetBtn }
