import {CodeSnippet} from "../../../commons/models/code-snippet.model";

const bannerCodeSnippetCustom: CodeSnippet = {
  html:
    `\
<dsmj-banner [id]="'banner-custom'"></dsmj-banner>
<div id="alertCustomExample" class="fr-grid-row fr-grid-row--gutters fr-my-2w" [formGroup]="fgCustom">
  <div class="fr-col-3">
    <button class="fr-btn fr-btn--secondary fr-w-100 justify-content-center info" [disabled]="fgCustom.invalid" (click)="showBannerCustom()">Afficher un bandeau personnalisé</button>
  </div>
  <div class="fr-col-8 fr-col-offset-1">
    <dsmj-input type="text" id="text-message" nameInput="message" label="Veuillez saisir le message à afficher" class="fr-col-12 fr-mb-2v"></dsmj-input>
    <dsmj-radio-list id="radio-type" nameInput="type" label="Type de bandeau" [inputValues]="[{value: 'info', label: 'Information'}, {value: 'error', label: 'Erreur'}]" class="fr-col-12"></dsmj-radio-list>
    <dsmj-radio-list id="radio-dismissible" nameInput="isClosable" label="Bandeau supprimable" class="fr-col-12"></dsmj-radio-list>
  </div>
</div>`,
  ts:
    `\
import {Component, TemplateRef, ViewChild, ViewEncapsulation} from '@angular/core';
import {BannerService} from "@mjfr/ng-dsmj";

@Component({
  selector: 'doc-banner-example',
  templateUrl: './banner-example.component.html',
  encapsulation: ViewEncapsulation.None
})
export class BannerExampleComponent {

  fgCustom = this.fb.group({
    message: ["Ceci est un bandeau customizable", [Validators.required]],
    type: ['info', [Validators.required]],
    isClosable: [true, [Validators.required]],
  })

  constructor(protected bannerService: BannerService, protected fb: FormBuilder) {}

  showBannerCustom() {
    const message = this.fgCustom.get('message')?.value;
    const type = this.fgCustom.get('type')?.value;
    const isClosable = this.fgCustom.get('isClosable')?.value;
    this.bannerService.newMessage(message, { isClosable, id: 'banner-custom', type })
  }
}`
}

export { bannerCodeSnippetCustom }
