import {CodeSnippet} from "../../../commons/models/code-snippet.model";

const bannerCodeSnippetLink: CodeSnippet = {
  html:
    `\
<dsmj-banner [id]="'banner-link'"></dsmj-banner>
<div id="alertLinkExample" class="fr-grid-row fr-grid-row--gutters fr-my-2w">
  <div class="fr-col-3">
    <button class="fr-btn fr-btn--secondary fr-w-100 justify-content-center info" (click)="showBannerLink()">Afficher un bandeau avec lien</button>
  </div>
</div>

<ng-template #bannerLinkTpl>
  <p>Voici un bandeau <a href='#' rel='noopener' target='_blank'>contenant un lien</a></p>
</ng-template>`,
  ts:
    `\
import {Component, TemplateRef, ViewChild, ViewEncapsulation} from '@angular/core';
import {BannerService} from "@mjfr/ng-dsmj";

@Component({
  selector: 'doc-banner-example',
  templateUrl: './banner-example.component.html',
  encapsulation: ViewEncapsulation.None
})
export class BannerExampleComponent {
  @ViewChild('bannerLinkTpl') bannerLinkTpl: TemplateRef<any>;

  constructor(protected bannerService: BannerService) {}

  showBannerLink() {
    this.bannerService.newMessage(this.bannerLinkTpl, { isClosable: true, id: 'banner-link' })
  }
}`

}

export { bannerCodeSnippetLink }
