import {CodeSnippet} from "../../../commons/models/code-snippet.model";

const bannerCodeSnippetNotCloseable: CodeSnippet = {
  html:
    `\
<dsmj-banner [id]="'banner'"></dsmj-banner>
<div id="alertLinkExample" class="fr-grid-row fr-grid-row--gutters fr-mb-2w">
  <div class="fr-col-3">
    <button class="fr-btn fr-btn--secondary fr-w-100 justify-content-center info" (click)="showBanner()">Afficher un bandeau</button>
  </div>
</div>`,
  ts:
    `\
import {Component, TemplateRef, ViewChild, ViewEncapsulation} from '@angular/core';
import {BannerService} from "@mjfr/ng-dsmj";

@Component({
  selector: 'doc-banner-example',
  templateUrl: './banner-example.component.html',
  encapsulation: ViewEncapsulation.None
})
export class BannerExampleComponent {

  constructor(protected bannerService: BannerService) {}

  showBanner() {
    this.bannerService.newMessage('this one is not dismissible', { id: 'banner' })
  }
}`
}

export { bannerCodeSnippetNotCloseable };
