import {Component} from "@angular/core";
import {breadcrumbDataExample} from "./breadcrumb.data";
import simpleCodeSnippet from "./snippet/simple";
import customCodeSnippet from "./snippet/custom";
import {Breadcrumb} from "@mjfr/ng-dsmj";

@Component({
  selector: 'doc-breadcrumb-example',
  templateUrl: './breadcrumb-example.component.html',
  styleUrls: ['./breadcrumb-example.component.scss']
})
export class BreadcrumbExampleComponent {

  data = breadcrumbDataExample;
  helpItems = [];
  simpleCodeSnippet = simpleCodeSnippet;
  customCodeSnippet = customCodeSnippet;

  list: Breadcrumb[] = [
    {
      label: 'Accueil',
      url: '/',
      selected: false,
    },
    {
      label: 'Page 1',
      url: '/page/1',
      selected: false,
    },
    {
      label: 'Sous-page 1',
      url: '/page/1/subpage/1',
      selected: false,
    },
    {
      label: 'Section 1',
      url: '/page/1/subpage/1/section/1',
      selected: true,
    },
  ];

}
