import {CodeSnippet} from "../../../commons/models/code-snippet.model";


const simpleCodeSnippet: CodeSnippet = {
  html: `\
<dsmj-breadcrumb></dsmj-breadcrumb>
`,
  'router.module': `\
// app-routing.module.ts
import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import {
 AccueilComponent,
 ArticleComponent,
 ArticleListComponent,
 CaterorieComponent,
 CaterorieListComponent,
 SectionListComponent
 SectionComponent,
} from "./pages/all.component";

const routes: Routes = [
  { path: '', redirectTo: '/accueil', pathMatch: 'full' },
  { path: 'accueil', component: AccueilComponent, data: { breadcrumb: 'Accueil'} },
  {
    path: 'page',
    children: [
      { path: '', component: CaterorieListComponent, data: { breadcrumb: 'Pages'} },
      { path: ':id', component: CaterorieComponent, data: { breadcrumb: 'Page ' + id } },
      {
        path: ':id/subpage',
        children: [
          { path: '', component: ArticleListComponent, data: { breadcrumb: 'Sous-page'} },
          { path: ':id', component: ArticleComponent, data: { breadcrumb: 'Sous-page ' + id } },
          {
            path: ':id/section',
            children: [
              { path: '', component: SectionComponent, data: { breadcrumb: 'Sections'} },
              { path: ':id', component: SectionListComponent, data: { breadcrumb: 'Section ' + id } }
            ]
          }
        ]
      }
    ]
  }
];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule]
})
export class AppRoutingModule { }
  `
}

export default simpleCodeSnippet;
