import {Component} from "@angular/core";
import {CodeSnippet} from "../../commons/models/code-snippet.model";

@Component({
  selector: 'doc-btns-group-example',
  templateUrl: './btns-group-example.component.html'
})
export class BtnsGroupExampleComponent {

  properties: any = [
    {
      name: 'inline',
      inOut: 'input',
      type: 'boolean',
      required: false,
      default: undefined,
      description: "Change la disposition, en alignant les boutons du groupe"
    },{
      name: 'size',
      inOut: 'input',
      type: "'sm'|'md'|'lg'",
      required: false,
      default: undefined,
      description: "Change la taille des boutons"
    },{
      name: 'iconPosition',
      inOut: 'input',
      type: "'left'|'right'",
      required: false,
      default: undefined,
      description: "Dispose les icones du groupe de boutons soit à gauche, soit à droite du label"
    },{
      name: 'equisized',
      inOut: 'input',
      type: 'boolean',
      required: false,
      default: undefined,
      description: "En mode vertical, permet de fixer la largeur des boutons sans qu'ils ne prennent 100% de la largeur du bloc contenant"
    },{
      name: 'align',
      inOut: 'input',
      type: "'left'|'right'|'center'",
      required: false,
      default: undefined,
      description: "Avec l'option equisized à true, permet d'aligner le groupe de bouton soit à droite, soit au milieu ou par défaut, au gauche du bloc contenant"
    }
  ];

  codeSnippet: CodeSnippet = {
    html:
`<dsmj-btns-group
  iconPosition="left"
  size="sm"
  align="center"
  [inline]="true"
  [equisized]="true">
  <li>
    <button dsmjButton icon="checkbox-circle-line">Bouton 1</button>
  </li>
  <li>
    <button dsmjButton disabled icon="checkbox-circle-line">Bouton 2</button>
  </li>
  <li>
    <button dsmjButton icon="checkbox-circle-line">Bouton 3</button>
  </li>
</dsmj-btns-group>`,
  }

  codeSnippet2: CodeSnippet = {
    html:
`<dsmj-btns-group
  iconPosition="right"
  size="lg"
  align="center"
  [inline]="false"
  [equisized]="true">
  <li>
    <button dsmjButton icon="checkbox-circle-line">Bouton 1</button>
  </li>
  <li>
    <button dsmjButton disabled icon="checkbox-circle-line">Bouton 2</button>
  </li>
  <li>
    <button dsmjButton icon="checkbox-circle-line">Bouton 3</button>
  </li>
</dsmj-btns-group>`,
  }
}
