import {SubjectData} from "../../commons/models/subject-data.model";

export const cardDataExample: SubjectData = {
  main: {
    title: 'Carte - Card',
    description: {
      main: 'La carte est un lien vers une page éditoriale dont elle donne un aperçu. Elle fait généralement partie d\'une collection ou liste d’aperçus de contenu similaires. La carte n’est jamais présentée de manière isolée.',
      paragraphs: [
        {
          type: 'raw',
          text: 'La carte existe en trois tailles (LG, MD, SM) et deux formats (horizontale et verticale), déclinés sur deux supports (desktop et mobile). Les cartes horizontales sont réservées au desktop (en mobile, une carte horizontale devient verticale).'
        }
      ]
    }
  },
  integration: {
    title: 'Intégration du module',
    module: "DsmjCardModule",
    description: {
      main: ""
    },
  },
  properties: [
    {
      name: 'title',
      inOut: 'input',
      type: 'string',
      required: true,
      default: undefined,
      description: "Titre de la carte"
    },
    {
      name: 'noBorder',
      inOut: 'input',
      type: 'boolean',
      required: false,
      default: undefined,
      description: "Indique si on doit afficher les bordures"
    },
    {
      name: 'shadowBorder',
      inOut: 'input',
      type: 'boolean',
      required: false,
      default: undefined,
      description: "Indique si on doit affichier une ombre autour de la bordure"
    },
    {
      name: 'noBackground',
      inOut: 'input',
      type: 'boolean',
      required: false,
      default: undefined,
      description: "Indique si la carte est transparente ou si elle a un fond"
    },
    {
      name: 'greyBackground',
      inOut: 'input',
      type: 'boolean',
      required: false,
      default: undefined,
      description: "Indique si la carte a un fond gris ou non"
    },
    {
      name: 'img',
      inOut: 'input',
      type: 'Img',
      required: false,
      default: undefined,
      description: "L'image à afficher en haut de la carte"
    },
    {
      name: 'link',
      inOut: 'input',
      type: 'string',
      required: false,
      default: undefined,
      description: "Lien vers lequel doit rediriger la carte"
    },
    // {
    //   name: 'disabled',
    //   inOut: 'input',
    //   type: 'boolean',
    //   required: false,
    //   default: undefined,
    //   description: "Indique si la carte n'est pas cliquable"
    // },
    {
      name: 'isHorizontal',
      inOut: 'input',
      type: 'boolean',
      required: false,
      default: undefined,
      description: "Indique si la carte doit être positionnée de façon horizontale"
    },
    {
      name: 'showDetailStartPictoWarning',
      inOut: 'input',
      type: 'boolean',
      required: false,
      default: undefined,
      description: "Indique si une icone 'Warning' doit être affiché en haut au niveau du header"
    },
    {
      name: 'showDetailEndPictoWarning',
      inOut: 'input',
      type: 'boolean',
      required: false,
      default: undefined,
      description: "Indique si une icone 'Warning' doit être affiché en bas au niveau du header"
    },
    {
      name: 'detailStartDescription',
      inOut: 'input',
      type: 'string',
      required: false,
      default: undefined,
      description: "Le texte à affichr en haut au niveau du header"
    },
    {
      name: 'detailEndDescription',
      inOut: 'input',
      type: 'string',
      required: false,
      default: undefined,
      description: "Le texte à affichr en bas au niveau du header"
    },
    {
      name: 'badges',
      inOut: 'input',
      type: 'Badge[]',
      required: false,
      default: undefined,
      description: "Les badges à afficher au niveau du header"
    },
    {
      name: 'tags',
      inOut: 'input',
      type: 'Tag[]',
      required: false,
      default: undefined,
      description: "Les tags à afficher au niveau du header"
    },
    {
      name: 'footerLinks',
      inOut: 'input',
      type: 'FooterLink[]',
      required: false,
      default: undefined,
      description: "Les liens ou boutons à afficher au niveau du footer"
    },
    {
      name: 'footerLinksType',
      inOut: 'input',
      type: 'enum',
      required: false,
      default: undefined,
      description: "Indique si le footer doit afficher des liens ou des boutons: 'link' | 'button'"
    },
  ]

}
