import {CodeSnippet} from "../../../commons/models/code-snippet.model";

export const cs1: CodeSnippet = {
  html: `\
<div class="fr-grid-row">
  <div class="fr-col-12">
    <dsmj-card
      [id]="'doc-card__example-0'"
      [title]="'Carte détaillée horizontale'"
      [link]="'.'"
      [disabled]="false"
      [isHorizontal]="true"
      [showDetailStartPictoWarning]="true"
      [detailStartDescription]="détail (optionnel)"
      [badges]="[{ color: 'info', label: 'Badge 1' }]"
    >
      <h2>Voici la description de cette carte</h2>
    </dsmj-card>
  </div>
</div>
`
}
export const cs2: CodeSnippet = {
  html: `\
<div class="fr-grid-row">
  <div class="fr-col-4">
    <dsmj-card
      [id]="'doc-card__example-2'"
      [title]="'Carte détaillée'"
      [link]="'.'"
      [isHorizontal]="false"
      [showDetailStartPictoWarning]="true"
      [showDetailEndPictoWarning]="true"
      [detailStartDescription]="détail (optionnel)"
      [detailEndDescription]="détail (optionnel)"
      [tags]="[{ label: 'tag 2' }]"
    >
      Voici la description de cette carte
    </dsmj-card>
  </div>
  <div class="fr-col-4">
    <dsmj-card
      [id]="'doc-card__example-3'"
      [title]="'Carte avec badge'"
      [link]="'.'"
      [badges]="[{ color: 'info', label: 'Badge 3', position: 'header' }, { color: 'info', label: 'Badge 3.1' }]"
    >
      Voici la description de cette carte
    </dsmj-card>
  </div>
  <div class="fr-col-4">
    <dsmj-card
      [id]="'doc-card__example-4'"
      [title]="'Carte avec tag'"
      [link]="'.'"
      [tags]="[{ label: 'tag 1' }]"
    >
      Voici la description de cette carte
    </dsmj-card>
  </div>
</div>
`
}
export const cs3: CodeSnippet = {
  html: `\
<div class="fr-grid-row">
  <div class="fr-col-4">
    <dsmj-card
      [id]="'doc-card__example-5'"
      [title]="'Carte sans badge ni tag'"
      [link]="'.'"
    >
      Voici la description de cette carte
    </dsmj-card>
  </div>
</div>
<div class="fr-grid-row">
  <div class="fr-col-4">
    <dsmj-card
      [id]="'doc-card-image__example'"
      [title]="'Carte avec image'"
      [link]="'.'"
      [img]="{ src: 'https://picsum.photos/250/140', alt: 'Image test' }"
    >
      Voici la description de cette carte
    </dsmj-card>
  </div>
</div>
`
}
export const cs4: CodeSnippet = {
  html: `\
<div class="fr-grid-row">
  <div class="fr-col-12">
    <dsmj-card
      [id]="'doc-card__example-8'"
      [title]="'Carte horizontale avec badge'"
      [link]="'.'"
      [isHorizontal]="true"
      [badges]="[{ color: 'info', label: 'Badge 3', position: 'header' }, { color: 'info', label: 'Badge 3.1' }]"
    >
      Voici la description de cette carte
    </dsmj-card>
  </div>
</div>
`
}
export const cs5: CodeSnippet = {
  html: `\
<div class="fr-grid-row">
  <div class="fr-col-12">
    <dsmj-card
      [id]="'doc-card__example-9'"
      [title]="'Carte horizontale avec tag'"
      [link]="'.'"
      [isHorizontal]="true"
      [tags]="[{ label: 'tag 3' }]"
    >
      Voici la description de cette carte
    </dsmj-card>
  </div>
</div>
`
}
export const cs6: CodeSnippet = {
  html: `\
<div class="fr-grid-row">
  <div class="fr-col-12">
    <dsmj-card
      [id]="'doc-card__example-10'"
      [title]="'Carte horizontale sans lien'"
      [isHorizontal]="true"
    >
      Voici la description de cette carte
    </dsmj-card>
  </div>
</div>
`
}
export const cs7: CodeSnippet = {
  html: `\
<div class="fr-grid-row">
  <div class="fr-col-12">
    <dsmj-card
      [id]="'doc-card__example-11'"
      [greyBackground]="true"
      [title]="'Carte horizontale grisée'"
      [isHorizontal]="true"
    >
      Voici la description de cette carte
    </dsmj-card>
  </div>
</div>
`
}
export const cs8: CodeSnippet = {
  html: `\
<div class="fr-grid-row">
  <div class="fr-col-4">
    <dsmj-card
      [id]="'doc-card__example-5'"
      [title]="'Carte avec bouton primaire'"
      [footerLinks]="[{'id': 'card-link-1','label': 'Bouton primaire','link': '.'}]"
      [footerLinksType]="'button'"
    >
      Voici la description de cette carte
    </dsmj-card>
  </div>
  <div class="fr-col-4">
    <dsmj-card
      [id]="'doc-card__example-6'"
      [title]="'Carte avec bouton secondaire'"
      [footerLinks]="[{'id': 'card-link-1','label': 'Bouton secondaire','link': '.', isSecondary: true}]"
      [footerLinksType]="'button'"
    >
      Voici la description de cette carte
    </dsmj-card>
  </div>
  <div class="fr-col-4">
    <dsmj-card
      [id]="'doc-card__example-7'"
      [title]="'Carte avec lien'"
      [footerLinks]="[{'id': 'card-link-1','label': 'Lien','link': '.'}]"
      [footerLinksType]="'link'"
    >
      Voici la description de cette carte
    </dsmj-card>
  </div>
</div>
`
}
