import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';
import {InputCheckboxExampleComponent} from "./input-checkbox-example/input-checkbox-example.component";
import {InputTextExampleComponent} from "./input-text-example/input-text-example.component";
import {InputNumberExampleComponent} from "./input-number-example/input-number-example.component";
import {InputPasswordExampleComponent} from "./input-password-example/input-password-example.component";
import {InputRadioExampleComponent} from "./input-radio-example/input-radio-example.component";
import {InputSelectExampleComponent} from "./input-select-example/input-select-example.component";
import {FormsModule, ReactiveFormsModule} from "@angular/forms";
import {MatTabsModule} from "@angular/material/tabs";
import {HighlightModule} from "ngx-highlightjs";
import {MatTableModule} from "@angular/material/table";
import {RouterModule} from "@angular/router";
import {MatAutocompleteModule} from "@angular/material/autocomplete";
import {InputDateExampleComponent} from "./input-date-example/input-date-example.component";
import {AccordionExampleComponent} from "./accordion-example/accordion-example.component";
import {InputAutocompleteExampleComponent} from "./input-autocomplete-example/input-autocomplete-example.component";
import {TableExampleComponent} from "./table-example/table-example.component";
import {InputTextareaExampleComponent} from "./input-textarea-example/input-textarea-example.component";
import {InputSelectMultipleExampleComponent} from "./input-select-multiple-example/input-select-multiple-example.component";
import {InputSelectDynamicExampleComponent} from "./input-select-dynamic-example/input-select-dynamic-example.component";
import {ModalExampleComponent} from "./modal-example/modal-example.component";
import {InsideModalComponent} from "./modal-example/inside-modal.component";
import {InsideFormModalComponent} from "./modal-example/inside-form-modal.component";
import {AlertExampleComponent} from "./alert-example/alert-example.component";
import {TileExampleComponent} from "./tile-example/tile-example.component";
import {InputTimeExampleComponent} from "./input-time-example/input-time-example.component";
import {CommonsModule} from "../commons/commons.module";
import {
  DsmjUploadFileModule,
  DsmjTileModule,
  DsmjTableModule,
  DsmjModalModule,
  DsmjTextareaModule,
  DsmjSelectDynamicModule,
  DsmjSelectMultipleModule,
  DsmjSelectModule,
  DsmjRadioModule,
  DsmjBadgeModule,
  DsmjInputModule,
  DsmjTagModule,
  DsmjCheckboxModule,
  DsmjAutocompleteModule,
  DsmjAlertModule,
  DsmjAccordionModule,
  DsmjCardModule,
  DsmjFormFieldModule,
  DsmjFormGroupModule,
  DsmjLabelModule,
  DsmjDirectivesModule,
  DsmjViewerModule,
  DsmjBtnsGroupModule,
  DsmjHeaderModule,
  DsmjSearchModule,
  DsmjNavModule,
  DsmjFooterModule,
  DsmjBreadcrumbModule,
  DsmjLogoModule,
  DsmjBannerModule,
  DsmjQuoteModule,
  DsmjSharedModule,
  DsmjPaginationModule,
  DsmjProgressRoundModule,
  DsmjSidemenuModule,
  DsmjCalloutModule,
  DsmjHighlightModule,
  DsmjBoutonFranceConnectModule,
  DsmjSummaryModule,
  DsmjToggleModule,
  DsmjStepperModule,
  DsmjUploadModule
} from "@mjfr/ng-dsmj";
import {CardExampleComponent} from "./card-example/card-example.component";
import {InputExampleComponent} from "./input-example/input-example.component";
import {BadgeExampleComponent} from "./badge-example/badge-example.component";
import {TabsExampleComponent} from "./tabs-example/tabs-example.component";
import {TagExampleComponent} from "./tag-example/tag-example.component";
import { FormGroupExampleComponent } from './form-group-example/form-group-example.component';
import { HeaderExampleComponent } from './header-example/header-example.component';
import {UpdateFileExampleComponent} from "./update-file-example/update-file-example.component";
import { FooterExampleComponent } from './footer-example/footer-example.component';
import { NavExampleComponent } from './nav-example/nav-example.component';
import {BreadcrumbExampleComponent} from "./breadcrumb-example/breadcrumb-example.component";
import {BtnsGroupExampleComponent} from "./btns-group-example/btns-group-example.component";
import { SearchBarExampleComponent } from './search-bar-example/seach-bar-example.component';
import { LogoExampleComponent } from './logo-example/logo-example.component';
import { FormFieldExampleModule } from './form-field-example/form-field-example.module';
import {BannerExampleComponent} from "./banner-example/banner-example.component";
import {QuoteExampleComponent} from "./quote-example/quote-example.component";
import {PaginationExampleComponent} from './pagination-example/pagination-example.component';
import {InputRadioRichExampleComponent} from "./input-radio-rich-example/input-radio-rich-example.component";
import { SidemenuExampleComponent } from './sidemenu-example/sidemenu-example.component';
import { HighlightExampleComponent } from './highlight-example/highlight-example.component';
import {BtnFranceconnectExampleComponent} from './btn-franceconnect-example/btn-franceconnect-example.component';
import { SummaryExampleComponent } from "./summary-example/summary-example.component";
import { CalloutExampleComponent } from './callout-example/callout-example.component';
import { ToggleExampleComponent } from './toggle-example/toggle-example.component';
import { StepperExampleComponent } from './stepper-example/stepper-example.component';
import { UploadExampleComponent } from './upload-example/upload-example.component';

@NgModule({
  imports: [
    CommonModule,
    CommonsModule,
    DsmjSharedModule,
    MatTableModule,
    ReactiveFormsModule,
    RouterModule,
    FormsModule,
    FormFieldExampleModule,
    MatAutocompleteModule,
    MatTabsModule,
    HighlightModule,
    DsmjUploadFileModule,
    DsmjTileModule,
    DsmjTableModule,
    DsmjModalModule,
    DsmjTextareaModule,
    DsmjSelectModule,
    DsmjSelectMultipleModule,
    DsmjSelectDynamicModule,
    DsmjRadioModule,
    DsmjBadgeModule,
    DsmjBreadcrumbModule,
    DsmjInputModule,
    DsmjTagModule,
    DsmjCheckboxModule,
    DsmjCardModule,
    DsmjAutocompleteModule,
    DsmjAlertModule,
    DsmjBannerModule,
    DsmjAccordionModule,
    DsmjFormFieldModule,
    DsmjFormGroupModule,
    DsmjLabelModule,
    DsmjDirectivesModule,
    DsmjInputModule,
    DsmjHeaderModule,
    DsmjBtnsGroupModule,
    DsmjSearchModule,
    DsmjNavModule,
    DsmjViewerModule,
    DsmjFooterModule,
    DsmjLogoModule,
    DsmjQuoteModule,
    DsmjPaginationModule,
    DsmjProgressRoundModule,
    DsmjSidemenuModule,
    DsmjCalloutModule,
    DsmjHighlightModule,
    DsmjBoutonFranceConnectModule,
    DsmjSummaryModule,
    DsmjToggleModule,
    DsmjStepperModule,
    DsmjUploadModule,
  ],
  declarations: [
    AccordionExampleComponent,
    AlertExampleComponent,
    BadgeExampleComponent,
    BannerExampleComponent,
    BreadcrumbExampleComponent,
    CardExampleComponent,
    InputAutocompleteExampleComponent,
    InputCheckboxExampleComponent,
    InputDateExampleComponent,
    ModalExampleComponent,
    InsideModalComponent,
    InsideFormModalComponent,
    InputExampleComponent,
    InputNumberExampleComponent,
    InputPasswordExampleComponent,
    InputRadioExampleComponent,
    InputRadioRichExampleComponent,
    InputSelectExampleComponent,
    InputSelectDynamicExampleComponent,
    InputSelectMultipleExampleComponent,
    InputTextExampleComponent,
    InputTextareaExampleComponent,
    InputTimeExampleComponent,
    TableExampleComponent,
    TabsExampleComponent,
    TagExampleComponent,
    TileExampleComponent,
    FormGroupExampleComponent,
    HeaderExampleComponent,
    FooterExampleComponent,
    UpdateFileExampleComponent,
    NavExampleComponent,
    BtnsGroupExampleComponent,
    SearchBarExampleComponent,
    LogoExampleComponent,
    QuoteExampleComponent,
    PaginationExampleComponent,
    SidemenuExampleComponent,
    CalloutExampleComponent,
    HighlightExampleComponent,
    BtnFranceconnectExampleComponent,
    SummaryExampleComponent,
    ToggleExampleComponent,
    StepperExampleComponent,
    UploadExampleComponent,
  ],
  exports: [
    CommonsModule,
    DsmjSharedModule,
    AccordionExampleComponent,
    AlertExampleComponent,
    BadgeExampleComponent,
    BannerExampleComponent,
    BreadcrumbExampleComponent,
    CardExampleComponent,
    InputAutocompleteExampleComponent,
    InputCheckboxExampleComponent,
    InputDateExampleComponent,
    ModalExampleComponent,
    InsideModalComponent,
    InsideFormModalComponent,
    InputExampleComponent,
    InputNumberExampleComponent,
    InputPasswordExampleComponent,
    InputRadioExampleComponent,
    InputRadioRichExampleComponent,
    InputSelectExampleComponent,
    InputSelectDynamicExampleComponent,
    InputSelectMultipleExampleComponent,
    InputTextExampleComponent,
    InputTextareaExampleComponent,
    InputTimeExampleComponent,
    TableExampleComponent,
    TabsExampleComponent,
    TagExampleComponent,
    TileExampleComponent,
    FormGroupExampleComponent,
    HeaderExampleComponent,
    FooterExampleComponent,
    UpdateFileExampleComponent,
    NavExampleComponent,
    BtnsGroupExampleComponent,
    SearchBarExampleComponent,
    LogoExampleComponent,
    QuoteExampleComponent,
    PaginationExampleComponent,
    SidemenuExampleComponent,
    CalloutExampleComponent,
    HighlightExampleComponent,
    BtnFranceconnectExampleComponent,
    SummaryExampleComponent,
    ToggleExampleComponent,
    StepperExampleComponent,
    UploadExampleComponent,
  ]
})
export class ExamplesModule { }
