import {Component, ViewEncapsulation} from '@angular/core';
import {CodeSnippet} from "../../commons/models/code-snippet.model";

@Component({
  selector: 'doc-footer-example',
  templateUrl: './footer-example.component.html',
  encapsulation: ViewEncapsulation.None
})
export class FooterExampleComponent {
  cs1: CodeSnippet = {
    html:`<dsmj-footer [logoLabel]="['Ministère','de la Justice']"></dsmj-footer>`
  }

  cs2: CodeSnippet = {
    html:`<dsmj-footer organisationName="Mon application"></dsmj-footer>`
  }

  cs3: CodeSnippet = {
    html:
`<dsmj-footer>
  Exemple de texte de présentation de l'application
</dsmj-footer>`
  }

  cs4: CodeSnippet = {
    html:
`<dsmj-footer>
  <dsmj-footer-bottom>
    <li>
      <a href="#">Plan du site</a>
    </li>
    <li>
      <a href="#">Accessibilité : non/partiellement/totalement conforme</a>
    </li>
    <li>
      <a href="#">Mentions légales</a>
    </li>
    <li>
      <a href="#">Données personnelles</a>
    </li>
    <li>
      <a href="#">Gestion des cookies</a>
    </li>
  </dsmj-footer-bottom>
</dsmj-footer>`
  }

  cs5: CodeSnippet = {
    html:
`<dsmj-footer>
  <dsmj-footer-top>
    <dsmj-footer-top-category label="Nom de la catégorie" labelHeading="h3">
      <li>
        <a href="#">Lien de navigation</a>
      </li>
      <li>
        <a href="#">Lien de navigation</a>
      </li>
      <li>
        <a href="#">Lien de navigation</a>
      </li>
    </dsmj-footer-top-category>
    <dsmj-footer-top-category label="Nom de la catégorie" labelHeading="h3">
      <li>
        <a href="#">Lien de navigation</a>
      </li>
      <li>
        <a href="#">Lien de navigation</a>
      </li>
      <li>
        <a href="#">Lien de navigation</a>
      </li>
    </dsmj-footer-top-category>
    <dsmj-footer-top-category label="Nom de la catégorie" labelHeading="h3">
      <li>
        <a href="#">Lien de navigation</a>
      </li>
      <li>
        <a href="#">Lien de navigation</a>
      </li>
      <li>
        <a href="#">Lien de navigation</a>
      </li>
    </dsmj-footer-top-category>
  </dsmj-footer-top>
</dsmj-footer>`
  }

  cb6: string =
`<div dsmj-footer-partners-main>
  <a href="#/">
    <img src="https://via.placeholder.com/160x90" alt="Image exemple représentant un rectangle gris au format 160x90p">
    <!-- L’alternative de l’image (attribut alt) doit impérativement être renseignée et reprendre le texte visible dans l’image -->
  </a>
</div>`


  cb7: string =
`<ul dsmj-footer-partners-sub>
    <li>
      <a href="#/">
        <img src="https://via.placeholder.com/160x90" alt="Image exemple représentant un rectangle gris au format 160x90p">
      </a>
    </li>
    <li>
      <a href="#/">
        <img src="https://via.placeholder.com/100x100" alt="Image exemple représentant un rectangle gris au format 100x100p">
      </a>
    </li>
    <li>
      <a href="#/">
        <img src="https://via.placeholder.com/90x160" alt="Image exemple représentant un rectangle gris au format 90x160">
      </a>
    </li>
  </ul>`

  cs8: CodeSnippet = {
    html:
`<dsmj-footer organisationName="Mon Application">

  <!-- Pied de page complet -->
  <dsmj-footer-top>
    <dsmj-footer-top-category label="Nom de la catégorie" labelHeading="h3">
      <li>
        <a href="#">Lien de navigation</a>
      </li>
      <li>
        <a href="#">Lien de navigation</a>
      </li>
      <li>
        <a href="#">Lien de navigation</a>
      </li>
    </dsmj-footer-top-category>
    <dsmj-footer-top-category label="Nom de la catégorie" labelHeading="h3">
      <li>
        <a href="#">Lien de navigation</a>
      </li>
      <li>
        <a href="#">Lien de navigation</a>
      </li>
      <li>
        <a href="#">Lien de navigation</a>
      </li>
    </dsmj-footer-top-category>
    <dsmj-footer-top-category label="Nom de la catégorie" labelHeading="h3">
      <li>
        <a href="#">Lien de navigation</a>
      </li>
      <li>
        <a href="#">Lien de navigation</a>
      </li>
      <li>
        <a href="#">Lien de navigation</a>
      </li>
    </dsmj-footer-top-category>
  </dsmj-footer-top>

  <!-- Mentions obligatoires -->
  <dsmj-footer-bottom>
    <li>
      <a href="#">Plan du site</a>
    </li>
    <li>
      <a href="#">Accessibilité : totalement conforme</a>
    </li>
    <li>
      <a href="#">Mentions légales</a>
    </li>
    <li>
      <a href="#">Données personnelles</a>
    </li>
    <li>
      <a href="#">Gestion des cookies</a>
    </li>
  </dsmj-footer-bottom>

  <!-- Liste des partenaires -->
  <dsmj-footer-partners>
    <div dsmj-footer-partners-main>
      <a href="#/">
        <img src="https://via.placeholder.com/160x90" alt="Image exemple représentant un rectangle gris au format 160x90p">
      </a>
    </div>
    <ul dsmj-footer-partners-sub>
      <li>
        <a href="#/">
          <img src="https://via.placeholder.com/160x90" alt="Image exemple représentant un rectangle gris au format 160x90p">
        </a>
      </li>
      <li>
        <a href="#/">
          <img src="https://via.placeholder.com/100x100" alt="Image exemple représentant un rectangle gris au format 100x100p">
        </a>
      </li>
      <li>
        <a href="#/">
          <img src="https://via.placeholder.com/90x160" alt="Image exemple représentant un rectangle gris au format 90x160">
        </a>
      </li>
    </ul>
  </dsmj-footer-partners>

  <!-- Texte descriptif du footer -->
  <p>
      Exemple de texte de présentation de l'application
  </p>
</dsmj-footer>`
  }
}
