import {Component, ViewEncapsulation} from '@angular/core';
import { FormBuilder, FormGroup, Validators } from '@angular/forms';
import {CodeSnippet} from "../../../commons/models/code-snippet.model";

@Component({
  selector: 'doc-form-field-button-example',
  templateUrl: './button-example.component.html',
  styleUrls: ['./button-example.component.scss'],
  encapsulation: ViewEncapsulation.None
})
export class FormFieldButtonExampleComponent {
  properties: any = [
    {
      name: 'color',
      inOut: 'input',
      type: '"primary" | "secondary" | "tertiary" | "tertiary-no-outline"',
      required: false,
      default: undefined,
      description: "Défini la couleur du bouton"
    },{
      name: 'icon',
      inOut: 'input',
      type: 'string',
      required: false,
      default: undefined,
      description: "Spécifie au lien une classe correspondant à l'icone souhaitée"
    },{
      name: 'iconPosition',
      inOut: 'input',
      type: '"left" | "right"',
      required: false,
      default: undefined,
      description: "Si une icone est définie, permet de définir la positionn de l'icone"
    },{
      name: 'size',
      inOut: 'input',
      type: '"sm" | "md" | "lg" = "md"',
      required: false,
      default: undefined,
      description: "Défini la taille du lien"
    },{
      name: 'action',
      inOut: 'input',
      type: '"close" | "search"',
      required: false,
      default: undefined,
      description: "Défini un type d'action spécifique"
    }
  ];

  cs1: CodeSnippet = {
    html:
`<button dsmjButton size="sm">Bouton sm</button>
<button dsmjButton size="md">Bouton md</button>
<button dsmjButton size="lg">Bouton lg</button>`
  };

  cs2: CodeSnippet = {
    html:
`<button dsmjButton color="primary">Bouton primaire</button>
<button dsmjButton color="secondary">Bouton secondaire</button>
<button dsmjButton color="tertiary">Bouton tertiaire</button>
<button dsmjButton color="tertiary-no-outline">Bouton tertiaire sans bordure</button>
<button dsmjButton disabled color="tertiary">Bouton tertiaire désactivé</button>`
  };

}
