import {NgModule} from '@angular/core';
import {CommonModule} from "@angular/common";
import {
  DsmjDirectivesModule,
  DsmjFormFieldModule, DsmjFormGroupModule,
  DsmjLabelModule, DsmjRadioModule
} from "@mjfr/ng-dsmj";
import {FormsModule, ReactiveFormsModule} from "@angular/forms";
import { FormFieldButtonExampleComponent } from './button-example/button-example.component';
import { FormFieldSelectExampleComponent } from './select-example/select-example.component';
import { FormFieldLinkExampleComponent } from './link-example/link-example.component';
import { FormFieldCheckboxExampleComponent } from './checkbox-example/checkbox-example.component';
import { FormFieldInputExampleComponent } from './input-example/input-example.component';
import { FormFieldTextareaExampleComponent } from './textarea-example/textarea-example.component';
import { CodeHelperModule } from '../../commons/code-helper/code-helper.module';
import { FormFieldExampleComponent } from './form-field-example.component';
import { SubjectModule } from '../../commons/subject/subject.module';
import {FormFieldRadioExampleComponent} from "./radio-example/radio-example.component";
import {FormFieldRadioRichExampleComponent} from "./radio-rich-example/radio-rich-example.component";


@NgModule({
  declarations: [
    FormFieldExampleComponent,
    FormFieldButtonExampleComponent,
    FormFieldSelectExampleComponent,
    FormFieldLinkExampleComponent,
    FormFieldCheckboxExampleComponent,
    FormFieldRadioExampleComponent,
    FormFieldRadioRichExampleComponent,
    FormFieldInputExampleComponent,
    FormFieldTextareaExampleComponent
  ],
  exports: [
    FormFieldExampleComponent,
    FormFieldButtonExampleComponent,
    FormFieldSelectExampleComponent,
    FormFieldLinkExampleComponent,
    FormFieldCheckboxExampleComponent,
    FormFieldRadioExampleComponent,
    FormFieldRadioRichExampleComponent,
    FormFieldInputExampleComponent,
    FormFieldTextareaExampleComponent
  ],
  imports: [
    CommonModule,
    FormsModule,
    DsmjDirectivesModule,
    DsmjFormFieldModule,
    DsmjLabelModule,
    CodeHelperModule,
    SubjectModule,
    ReactiveFormsModule,
    DsmjFormGroupModule,
    DsmjRadioModule
  ]
})
export class FormFieldExampleModule {}
