import {Component, ViewEncapsulation} from '@angular/core';
import { FormBuilder, FormGroup, Validators } from '@angular/forms';
import {CodeSnippet} from "../../../commons/models/code-snippet.model";

@Component({
  selector: 'doc-form-field-link-example',
  templateUrl: './link-example.component.html',
  encapsulation: ViewEncapsulation.None
})
export class FormFieldLinkExampleComponent {
  properties: any = [
    {
      name: 'target',
      inOut: 'input',
      type: 'string',
      required: false,
      default: undefined,
      description: "Défini la façon dont le lien est ouvert"
    },{
      name: 'icon',
      inOut: 'input',
      type: 'string',
      required: false,
      default: undefined,
      description: "Spécifie au lien une classe correspondant à l'icone souhaitée"
    },{
      name: 'iconPosition',
      inOut: 'input',
      type: '"left" | "right"',
      required: false,
      default: undefined,
      description: "Si une icone est définie, permet de définir la positionn de l'icone"
    },{
      name: 'size',
      inOut: 'input',
      type: '"sm" | "md" | "lg" = "md"',
      required: false,
      default: undefined,
      description: "Défini la taille du lien"
    }
  ];

  cs1: CodeSnippet = {
    html:
`<a dsmjLink size="sm" href="javascript:void(0)">Lien sm</a>
<a dsmjLink size="md" href="javascript:void(0)">Lien md</a>
<a dsmjLink size="lg" href="javascript:void(0)">Lien lg</a>`
  };

  cs2: CodeSnippet = {
    html:
`<a dsmjLink target="_blank" href="javascript:void(0)">Lien externe</a>`
  };
}
