import {SubjectData} from "../../../commons/models/subject-data.model";

export const radioGroupDataExample: SubjectData = {
  integration: undefined, main: undefined,
  properties: [
    {
      name: 'id',
      inOut: "input",
      type: 'string',
      required: false,
      default: undefined,
      description: 'Identifiant du groupe de radio'
    },
    {
      name: 'inline',
      inOut: "input",
      type: 'string',
      required: false,
      default: undefined,
      description: 'Indique si les boutons radio doivent être aligné à l\'horizontale ou non'
    },
    {
      name: 'legend',
      inOut: "input",
      type: 'string',
      required: false,
      default: undefined,
      description: 'Label placé au dessus des boutons radio'
    },
    {
      name: 'legendHint',
      inOut: "input",
      type: 'string',
      required: false,
      default: undefined,
      description: 'Message descriptif placé en dessous du label'
    },
    {
      name: 'status',
      inOut: "input",
      type: 'string',
      required: false,
      default: undefined,
      description: 'Permet la gestion des erreurs pour le groupe de bouton radio'
    },
    {
      name: 'statusMessage',
      inOut: "input",
      type: 'string',
      required: false,
      default: undefined,
      description: 'Indique le message d\'erreur ou succès à afficher pour le groupe de bouton radio'
    },
    {
      name: 'isAsteriskRequired',
      inOut: "input",
      type: 'string',
      required: false,
      default: undefined,
      description: 'Indique s\'il nécessaire afficher un astérisk pour indiquer le caractère obligatoire du champ'
    },
    {
      name: 'name',
      inOut: "input",
      type: 'string',
      required: false,
      default: undefined,
      description: 'Nom du groupe de bouton radio'
    },
    {
      name: 'disabled',
      inOut: "input",
      type: 'string',
      required: false,
      default: undefined,
      description: 'Indique si le groupe de radio doit être desactivé ou non'
    },
    {
      name: 'value',
      inOut: "input",
      type: 'string',
      required: false,
      default: undefined,
      description: 'Renseigner cette valeur va cocher le bouton radio qui possède la même valeur'
    },
  ]
}

export const radioDataExample: SubjectData = {
  integration: undefined, main: undefined,
  properties: [
    {
      name: 'value',
      inOut: "input",
      type: 'string',
      required: false,
      default: undefined,
      description: 'Valeur du bouton radio'
    },
    {
      name: 'disabled',
      inOut: "input",
      type: 'string',
      required: false,
      default: undefined,
      description: 'Désactive le bouton radio'
    },
    {
      name: 'isSmall',
      inOut: "input",
      type: 'string',
      required: false,
      default: undefined,
      description: 'Permet de modifier la taille du bouton radio à "SM" (small)'
    },
  ]

}
