import {Component, ViewEncapsulation} from '@angular/core';
import { FormBuilder, FormGroup, Validators } from '@angular/forms';
import {CodeSnippet} from "../../../commons/models/code-snippet.model";

@Component({
  selector: 'doc-form-field-textarea-example',
  templateUrl: './textarea-example.component.html',
  encapsulation: ViewEncapsulation.None
})
export class FormFieldTextareaExampleComponent {

  constructor(protected fb: FormBuilder) { }

  formGroup: FormGroup = this.fb.group({
    textarea_auto_validator: ['', Validators.required],
  });

  cs1: CodeSnippet = {
    html:
`<dsmj-form-field for="etat-default">
  <label for="etat-default">Libellé de la zone de texte</label>
  <textarea dsmjTextarea id="etat-default"></textarea>
</dsmj-form-field>`
  };

  cs2: CodeSnippet = {
    html:
`<form [formGroup]="formGroup" class="fr-mb-3w">
<dsmj-form-field for="etat-erreur">
  <dsmj-label for="etat-erreur" hint="Cette liste déroulante gère l'état des erreurs de manière automatique">Libellé</dsmj-label>
  <textarea dsmjTextarea id="etat-erreur" formControlName="textarea_auto_validator"></textarea>
</dsmj-form-field>
</form>`,
    ts:
`constructor(protected fb: FormBuilder) { }

formGroup: FormGroup = this.fb.group({
  textarea_auto_validator: ['', Validators.required],
});`
  };

  cs3: CodeSnippet = {
    html:
`<dsmj-form-field for="etat-valide" validMessage="Texte de validation">
  <dsmj-label for="etat-valide" hint="Cette liste déroulante gère l'état des erreurs de manière automatique">Libellé</dsmj-label>
  <textarea dsmjTextarea id="etat-valide"></textarea>
</dsmj-form-field>`
  };
}
