import {Component, ViewEncapsulation} from '@angular/core';
import { FormBuilder, FormGroup, Validators } from '@angular/forms';
import {CodeSnippet} from "../../commons/models/code-snippet.model";

@Component({
  selector: 'doc-form-group-example',
  templateUrl: './form-group-example.component.html',
  encapsulation: ViewEncapsulation.None
})
export class FormGroupExampleComponent {

  properties: any = [
    {
      name: 'label',
      inOut: 'input',
      type: 'string',
      required: false,
      default: undefined,
      description: "Ajouter une légende au groupe de champs."
    },{
      name: 'hint',
      inOut: 'input',
      type: 'string',
      required: false,
      default: undefined,
      description: "Ajoute un texte descriptif additionnel qui se place en dessous de la légende."
    },{
      name: 'disabled',
      inOut: 'input',
      type: 'boolean',
      required: false,
      default: false,
      description: "Permet de désactiver le groupe de champs."
    },{
      name: 'inline',
      inOut: 'input',
      type: 'boolean',
      required: false,
      default: undefined,
      description: "Dispose le groupe de champs horizontalement."
    },{
      name: 'errorMessage',
      inOut: 'input',
      type: 'string',
      required: false,
      default: undefined,
      description: "Défini un message d'erreur au groupe de champs. La définition d'un message active l'état d'erreur du groupe de champs."
    },{
      name: 'validMessage',
      inOut: 'input',
      type: 'string',
      required: false,
      default: undefined,
      description: "Défini un message de validation au groupe de champs. La définition d'un message active l'état de validation du groupe de champs."
    },
  ];

  cs: CodeSnippet = {
    html:
`<dsmj-form-group>
<legend class="dsmj-form-group__legend">Titre du groupe de champ </legend>
(..)
</dsmj-form-group>`,
  }

  cs2: CodeSnippet = {
    html:
`<dsmj-form-group
label="Mon groupe de champs"
hint="Mon groupe de champs contient une liste de cases à cocher"
[inline]="true">
  <dsmj-form-field label="Choix 1" for="checkbox-1">
    <input type="checkbox" dsmjInput id="checkbox-1" />
  </dsmj-form-field>
  <dsmj-form-field label="Choix 2" for="checkbox-2">
    <input type="checkbox" dsmjInput id="checkbox-2" />
  </dsmj-form-field>
  <dsmj-form-field required="true" label="Choix 3" for="checkbox-3">
    <input type="checkbox" dsmjInput id="checkbox-3" />
  </dsmj-form-field>
</dsmj-form-group>`
  }
}
