import {Component, ViewEncapsulation} from '@angular/core';
import { FormBuilder, FormGroup, Validators } from '@angular/forms';
import {CodeSnippet} from "../../commons/models/code-snippet.model";

@Component({
  selector: 'doc-header-example',
  templateUrl: './header-example.component.html',
  encapsulation: ViewEncapsulation.None
})
export class HeaderExampleComponent {
    codeSnippet1a: CodeSnippet = {
        html:`<dsmj-header></dsmj-header>`,
    }

    codeSnippet1b: CodeSnippet = {
        html:`<dsmj-header [logoLabel]="['Ministère','de la Justice']"></dsmj-header>`,
    }

    codeSnippet2: CodeSnippet = {
        html:
`<dsmj-header
    organisationName="Mon application"
    organisationBaseline="Demonstration de mon application">
</dsmj-header>`,
    }

    codeSnippet3: CodeSnippet = {
        html:
`<dsmj-header>
    <label>Contenu de mon bloc à outils</label>
</dsmj-header>`,
    }

    codeSnippet4: CodeSnippet = {
        html:
`<dsmj-header>
    <dsmj-header-tools>
        <dsmj-btns-group>
            <li>
                <a dsmjButton href="#/">Lien rapide</a>
            </li>
            <li>
                <a dsmjButton href="#/">Lien rapide</a>
            </li>
            <li>
                <a dsmjButton href="#/">Lien rapide</a>
            </li>
        </dsmj-btns-group>
    </dsmj-header-tools>
</dsmj-header>`,
    }

    codeSnippet5: CodeSnippet = {
        html:
`<dsmj-header>
    <dsmj-header-tools>
        <dsmj-search></dsmj-search>
    </dsmj-header-tools>
</dsmj-header>`,
    }

    codeSnippet6: CodeSnippet = {
        html:
`<dsmj-header>
    <dsmj-nav>
    <li dsmj-nav-item>
        <a dsmjNavLink href="#">Accès direct</a>
    </li>
    <li dsmj-nav-item>
        <a dsmjNavLink href="#">Accès direct</a>
    </li>
    <li dsmj-nav-item>
        <a dsmjNavLink href="#">Accès direct</a>
    </li>
    </dsmj-nav>
</dsmj-header>`
    }

    codeSnippet7: CodeSnippet = {
        html:
`<dsmj-header organisationName="Mon application">
    <!-- implémentation du bloc à outils-->
    <dsmj-header-tools>
        <!-- implémentation du groupe de liens rapides -->
        <dsmj-btns-group>
        <li>
            <a dsmjButton href="#/">Lien rapide 1</a>
        </li>
        <li>
            <a dsmjButton href="#/">Lien rapide 2</a>
        </li>
        <li>
            <a dsmjButton href="#/">Lien rapide 3</a>
        </li>
        </dsmj-btns-group>
        <!-- implémentation du bloc de recherche -->
        <dsmj-search></dsmj-search>
    </dsmj-header-tools>
    <!-- implémentation de la navigation principale horizontale -->
    <dsmj-nav>
        <li dsmj-nav-item>
        <a dsmjNavLink href="#">Accès direct</a>
        </li>
        <li dsmj-nav-item>
        <a dsmjNavLink href="#">Accès direct</a>
        </li>
        <li dsmj-nav-item>
        <a dsmjNavLink href="#">Accès direct</a>
        </li>
    </dsmj-nav>
</dsmj-header>`
    }
}
