import { Component, ViewEncapsulation } from '@angular/core';
import { CodeSnippet } from "../../commons/models/code-snippet.model";
import { Badge } from '@mjfr/ng-dsmj';

@Component({
  selector: 'doc-highlight-example',
  templateUrl: './highlight-example.component.html',
  encapsulation: ViewEncapsulation.None
})

export class HighlightExampleComponent {
  public text: string = "Les parents d’enfants de 11 à 14 ans n’ont aucune démarche à accomplir : les CAF versent automatiquement l’ARS aux familles déjà allocataires qui remplissent les conditions. "

  public size: string = "md"

  public color: string = 'sommaire-avec-mon-id-1';

  badges: Badge[] = [
    { label: 'yellow-tournesol', color: 'yellow-tournesol' },
    { label: 'yellow-moutarde', color: 'yellow-moutarde' },
    { label: 'purple-glycine', color: 'purple-glycine' },
    { label: 'pink-tuile', color: 'pink-tuile' },
    { label: 'pink-macaron', color: 'pink-macaron' },
    { label: 'orange-terre-battue', color: 'orange-terre-battue' },
    { label: 'green-tilleul-verveine', color: 'green-tilleul-verveine' },
    { label: 'green-menthe', color: 'green-menthe' },
    { label: 'green-emeraude', color: 'green-emeraude' },
    { label: 'green-bourgeon', color: 'green-bourgeon' },
    { label: 'green-archipel', color: 'green-archipel' },
    { label: 'brown-opera', color: 'brown-opera' },
    { label: 'brown-caramel', color: 'brown-caramel' },
    { label: 'brown-cafe-creme', color: 'brown-cafe-creme' },
    { label: 'blue-ecume', color: 'blue-ecume' },
    { label: 'blue-cumulus', color: 'blue-cumulus' },
    { label: 'beige-gris-galet', color: 'beige-gris-galet' },
  ]


  properties: any = [
    {
      name: 'size',
      inOut: 'input',
      type: 'string',
      required: false,
      default: 'md',
      description: "Spécifie la taille voulue du texte de la mise en exergue parmi celles-ci: sm | md | lg"
    },{
      name: 'color',
      inOut: 'input',
      type: 'string',
      required: false,
      default: undefined,
      description: "Spécifie la couleur voulue pour la bordure"
    }
  ];

  cs1: CodeSnippet = {
    html:`<dsmj-highlight>
  <h2>Titre</h2>
  Texte mis en avant
</dsmj-highlight>`
  }

  cs2: CodeSnippet = {
    html:`<dsmj-highlight size="sm" color="orange-terre-battue">
  Les parents d’enfants de 11 à 14 ans n’ont aucune démarche à accomplir : les CAF versent automatiquement l’ARS aux familles déjà allocataires qui remplissent les conditions.
</dsmj-highlight>`
  }

  cs3: CodeSnippet = {
    html:`<dsmj-highlight size="lg" color="green-emeraude">
  Les parents d’enfants de 11 à 14 ans n’ont aucune démarche à accomplir : les CAF versent automatiquement l’ARS aux familles déjà allocataires qui remplissent les conditions.
</dsmj-highlight>`
  }
}
