import {Component, OnInit, ViewEncapsulation} from '@angular/core';
import {FormBuilder, Validators} from "@angular/forms";
import {CodeSnippet} from "../../commons/models/code-snippet.model";

@Component({
  selector: 'doc-input-checkbox-example',
  templateUrl: './input-checkbox-example.component.html',
  styleUrls: ['./input-checkbox-example.component.scss'],
  encapsulation: ViewEncapsulation.None
})
export class InputCheckboxExampleComponent {

  formGroup = this.fb.group({
    enable: '',
    required: ['', Validators.required],
    disabled: '',
    checked: 'true'
  })

  constructor(protected fb: FormBuilder) {
  }

  codeSnippet: CodeSnippet = {
    html:
`<div [formGroup]="formGroup" class="fr-grid-row fr-grid-row--gutters">
  <dsmj-input-checkbox [id]="'checkbox-enable'" nameInput="enable" label="Enable" class="fr-col-3"></dsmj-input-checkbox>
  <dsmj-input-checkbox [id]="'checkbox-required'" nameInput="required" label="Required" class="fr-col-3"></dsmj-input-checkbox>
  <dsmj-input-checkbox [id]="'checkbox-disabled'" nameInput="disabled" [isDisabled]="true" label="Disabled" class="fr-col-3"></dsmj-input-checkbox>
  <dsmj-input-checkbox [id]="'checkbox-checked'" nameInput="checked" [isDisabled]="true" label="Checked and disabled" class="fr-col-3"></dsmj-input-checkbox>
</div>`,
    ts:
`@Component({
  selector: 'input-checkbox-example',
  templateUrl: './input-checkbox-example.component.html',
  styleUrls: ['./input-checkbox-example.component.scss'],
  encapsulation: ViewEncapsulation.None
})
export class ExampleComponent {
  formGroup = this.fb.group({
    enable: '',
    required: ['', Validators.required],
    disabled: '',
    checked: 'true'
  })

  constructor(protected fb: FormBuilder) {}
}`,
  }
}
