import {Component, ViewEncapsulation} from '@angular/core';
import {FormBuilder, Validators} from "@angular/forms";
import {CodeSnippet} from "../../commons/models/code-snippet.model";

@Component({
  selector: 'doc-input-radio-example',
  templateUrl: './input-radio-example.component.html',
  styleUrls: ['./input-radio-example.component.scss'],
  encapsulation: ViewEncapsulation.None
})
export class InputRadioExampleComponent  {

  formGroup = this.fb.group({
    enable: '',
    required: ['', Validators.required],
    disabled: '',
    checked: [true]
  })

  constructor(protected fb: FormBuilder) {
  }

  codeSnippet: CodeSnippet = {
    html:
`<div [formGroup]="formGroup" class="fr-grid-row fr-grid-row--gutters">
  <dsmj-radio-list nameInput="enable" label="Optional" class="fr-col-3"></dsmj-radio-list>
  <dsmj-radio-list nameInput="required" label="Required" class="fr-col-3"></dsmj-radio-list>
  <dsmj-radio-list nameInput="disabled" [isDisabled]="true" label="Disabled" class="fr-col-3"></dsmj-radio-list>
  <dsmj-radio-list nameInput="checked" [isDisabled]="true" label="Checked and disabled" class="fr-col-3"></dsmj-radio-list>
</div>`,
    ts:
`@Component({
  selector: 'input-radio-example',
  templateUrl: './input-radio-example.component.html',
  styleUrls: ['./input-radio-example.component.scss'],
  encapsulation: ViewEncapsulation.None
})
export class ExampleComponent {
  formGroup = this.fb.group({
    enable: '',
    required: ['', Validators.required],
    disabled: '',
    checked: [true]
  })

  constructor(protected fb: FormBuilder) {}
}`,
  }
}
