import {Component, ViewEncapsulation} from '@angular/core';
import {FormBuilder, Validators} from "@angular/forms";
import {CodeSnippet} from "../../commons/models/code-snippet.model";

@Component({
  selector: 'doc-input-textarea-example',
  templateUrl: './input-textarea-example.component.html',
  styleUrls: ['./input-textarea-example.component.scss'],
  encapsulation: ViewEncapsulation.None
})
export class InputTextareaExampleComponent {

  formGroup = this.fb.group({
    optional: '',
    required: ['', Validators.required],
    disabled: ''
  })

  constructor(protected fb: FormBuilder) {
  }

  

  codeSnippet: CodeSnippet = {
    html:
`<div [formGroup]="formGroup" class="fr-grid-row fr-grid-row--gutters">
  <dsmj-input-texarea nameInput="optional" label="Optional" class="fr-col-12"></dsmj-input-texarea>
  <dsmj-input-texarea nameInput="required" label="Required" class="fr-col-12"></dsmj-input-texarea>
  <dsmj-input-texarea nameInput="disabled" [isDisabled]="true" label="Disabled" class="fr-col-12"></dsmj-input-texarea>
</div>`,
    ts:
`@Component({
  selector: 'input-text-example',
  templateUrl: './input-text-example.component.html',
  styleUrls: ['./input-text-example.component.scss'],
  encapsulation: ViewEncapsulation.None
})
export class ExampleComponent {
  formGroup = this.fb.group({
    optional: '',
    required: ['', Validators.required],
    disabled: ''
  })

  constructor(protected fb: FormBuilder) {}
}`,
  }
}
