import {Component} from "@angular/core";
import {CodeSnippet} from "../../commons/models/code-snippet.model";

@Component({
  selector: 'doc-logo-example',
  templateUrl: './logo-example.component.html'
})
export class LogoExampleComponent {
  properties: any = [
    {
      name: 'label',
      inOut: 'input',
      type: 'string | string[]',
      required: false,
      default: "['République', 'Française']",
      description: `Le 'label' accepte les types 'string' ou les tableaux de 'string'.
      Lorsque vous utilisez le type 'string', le nom de l'adminstration sera inscrite sur une seule ligne.
      Lorsque vous utilisez un type tableau de 'string', chaque ligne du tableau représentera une ligne de texte dans le bloc-marque.`
    }
  ];

  cs1: CodeSnippet = {
    html: `<dsmj-logo [label]="['Ministère', 'de la Justice']"></dsmj-logo>`
  }
}
