import {Component, Input, ViewEncapsulation} from '@angular/core';
import {FormBuilder, Validators} from "@angular/forms";

@Component({
  selector: 'doc-inside-form-modal',
  encapsulation: ViewEncapsulation.None,
  template:
`<div [formGroup]="formGroup" class="fr-grid-row fr-grid-row--gutters">
  <p class="fr-col-12">{{data.description}}</p>
</div>
<div [formGroup]="formGroup" class="fr-grid-row fr-grid-row--gutters">
  <dsmj-input type="text" id="text-optional" nameInput="optional" label="Optional" class="fr-col-4"></dsmj-input>
  <dsmj-input type="text" id="text-required" nameInput="required" label="Required" class="fr-col-4"></dsmj-input>
  <dsmj-input type="text" id="text-disabled" nameInput="disabled" [isDisabled]="true" label="Disabled" class="fr-col-4"></dsmj-input>
</div>`
})
export class InsideFormModalComponent {
  @Input() data?: { description: string, title: string };

  formGroup = this.fb.group({
    optional: '',
    required: ['', Validators.required],
    disabled: ''
  })

  constructor(protected fb: FormBuilder) {}
}
