import {SubjectData} from "../../commons/models/subject-data.model";

export const modalDataExample: SubjectData = {
  main: {
    title: 'Modale',
    description: {
      main: 'La modale permet de concentrer l’attention de l’utilisateur exclusivement sur une tâche ou un élément d’information, sans perdre le contexte de la page en cours. Ce composant nécessite une action de l’utilisateur afin d\'être clôturée ou ouverte.'
    }
  },
  integration: {
    title: 'Intégration du module',
    module: "import 'DsmjModalModule' from @mjfr/ng-dsmj",
    description: {
      main: ""
    },
  },
  properties: [
    {
      name: '',
      type: '',
      required: false,
      default: '',
      description: '',
    },
    {
      name: '',
      type: '',
      required: false,
      default: '',
      description: '',
    },
    {
      name: '',
      type: '',
      required: false,
      default: '',
      description: '',
    },
  ],
  informations: [
    {
      title: "Options de la modale",
      description: {
        main: "Voici la liste des propriétés que vous pouvez passer lors de l'ouverture d'une modale."
      },
      template_id: 'modal-options-template-snippet'
    },
    {
      title: 'Modale simple',
      description: {
        main: 'La modale par défaut permet de mettre en évidence une information qui ne nécessite pas d’action de l’utilisateur. Elle s’affiche à la suite du clic sur un bouton.',
        paragraphs: [
          {
            type: "raw", text: 'Elle se compose des éléments suivants :'
          },
          {
            type: "list",
            texts: [
              'Le bouton Fermer - obligatoire.',
              'Le titre obligatoire, avec icône - optionnel',
              'La zone de contenu - obligatoire.',
              'Un overlay disposé à l’arrière du composant - obligatoire.'
            ]
          },
          {
            type: "clickable", text: "A partir du point de rupture MD ce composant s’affiche au centre de la page. (<a href=\"/elements-d-interface/fondamentaux-techniques/grille-et-points-de-rupture\">Consultez la documentation Grille, pour découvrir les points de rupture. </a>)"
          }
        ]
      },
      template_id: 'modal-simple-template-snippet'
    },
    {
      title: "Modale avec zone d'action",
      description: {
        main: 'La modale avec une zone d’action permet de guider l’utilisateur vers des actions attendues.',
        paragraphs: [
          {
            type: "raw", text: 'Par défaut elle reprend les éléments de la modale simple auxquels s’ajoute'
          },
          {
            type: "list", texts: ['Une zone d’action obligatoire composée : D’un bouton primaire ou d’un groupe de boutons hiérarchisé']
          },
          {
            type: "raw", text: "A noter : Pour les contenus qui sont trop longs pour s’afficher dans la surface prévue par la modale, un scroll permet de faire défiler l’intégralité de l'information."
          }
        ]
      },
      template_id: 'modal-zone-action-template-snippet'
    },
    {
      title: "Modale avec formulaire",
      description: {
        main: 'La modale permet également de personnaliser son contenu comme bon vous semble.'
      },
      template_id: 'modal-formulaire-template-snippet'
    }
  ],
  help: {
    title: "Besoin d'information supplémentaire ?",
    simple_description: "Veuillez vous référer à la description de ce composant sur le site du Système de design de l'état pour les informations suivantes :",
    information_dsfr: [
      { type: 'list', text: "Les différentes tailles disponibles" },
      { type: 'list', text: "Le responsive" },
      { type: 'list', text: "Règles d'utilisation (usages, accéssibilité, contenu et personnalisation)" },
    ]
  }
}
