import {Component, ViewEncapsulation} from '@angular/core';
import {CodeSnippet} from "../../commons/models/code-snippet.model";
import {Tag} from "@mjfr/ng-dsmj";

@Component({
  selector: 'doc-nav-example',
  templateUrl: './nav-example.component.html',
  encapsulation: ViewEncapsulation.None
})
export class NavExampleComponent {

  cb1: string = `<button dsmjNavButton [current]="true" [expanded]="true">Mon menu</button>`;

  cb2: string = `<a dsmjNavLink aria-current="page" href="#">Lien de navigation</a>`;

  cb3: string =
`<dsmj-nav>
  <li dsmj-nav-item> (...) </li>
  <li dsmj-nav-item type="menu"> (...) </li>
  <li dsmj-nav-item type="mega-menu"> (...) </li>
</dsmj-nav>`;

  cs4: CodeSnippet = {
    html:
`<dsmj-nav>
  <li dsmj-nav-item>
    <a dsmjNavLink href="#" aria-current="page">accès direct</a>
  </li>
</dsmj-nav>`
  };

    cs5: CodeSnippet = {
      html:
`<dsmj-nav>
  <li dsmj-nav-item type="menu">
    <button dsmjNavButton aria-current="true">Entrée menu</button>
    <ul>
      <li>
          <a dsmjNavLink href="#" aria-current="page">Lien de navigation</a>
      </li>
      <li>
          <a dsmjNavLink href="#">Lien de navigation</a>
      </li>
      <li>
          <a dsmjNavLink href="#">Lien de navigation</a>
      </li>
    </ul>
  </li>
  <li dsmj-nav-item>
    <a dsmjNavLink href="#">accès direct</a>
  </li>
  <li dsmj-nav-item>
    <a dsmjNavLink href="#">accès direct</a>
  </li>
</dsmj-nav>`
  };

  cs6: CodeSnippet = {
    html:
`<dsmj-nav>
  <li dsmj-nav-item type="mega-menu">
    <button dsmjNavButton aria-current="true">Mega menu actif</button>
    <div class="dsmj-mega-menu__edito">
      <h4 class="fr-h4 fr-mb-2v">Titre éditorialisé</h4>
      <p class="fr-hidden fr-unhidden-lg">Lorem [...] elit ut.</p>
      <a dsmjLink icon="fr-icon-arrow-right-line" iconPosition="right" href="#">
          Voir toute la rubrique
      </a>
    </div>
    <div class="dsmj-mega-menu__categories">
      <div class="fr-col-12 fr-col-lg-3">
        <h5>
          <a dsmjNavLink href="#">Nom de catégorie</a>
        </h5>
        <ul>
            <li>
                <a dsmjNavLink aria-current="page" href="#">Lien de navigation</a>
            </li>
            <li>
                <a dsmjNavLink href="#">Lien de navigation</a>
            </li>
            <li>
                <a dsmjNavLink href="#">Lien de navigation</a>
            </li>
        </ul>
      </div>
      <div class="fr-col-12 fr-col-lg-3">
        <h5>
          <a dsmjNavLink href="#">Nom de catégorie</a>
        </h5>
        <ul>
            <li>
                <a dsmjNavLink href="#">Lien de navigation</a>
            </li>
            <li>
                <a dsmjNavLink href="#">Lien de navigation</a>
            </li>
            <li>
                <a dsmjNavLink href="#">Lien de navigation</a>
            </li>
        </ul>
      </div>
    </div>
  </li>
  <li dsmj-nav-item>
    <a dsmjNavLink href="#">accès direct</a>
  </li>
  <li dsmj-nav-item>
    <a dsmjNavLink href="#">accès direct</a>
  </li>
</dsmj-nav>`
  }

}
