import {Component, ViewEncapsulation} from '@angular/core';
import {CodeSnippet} from "../../commons/models/code-snippet.model";
import {Tag} from "@mjfr/ng-dsmj";

@Component({
  selector: 'doc-pagination-example',
  templateUrl: './pagination-example.component.html',
  encapsulation: ViewEncapsulation.None
})
export class PaginationExampleComponent {


  pageCourante(page: number): void {
    console.log('Vous avez cliqué sur la page: ' + page);
  }

  properties: any = [
    {
      name: 'count',
      inOut: 'input',
      type: 'number',
      required: false,
      default: "10",
      description: `Le 'count' accepte les types 'number'.
      Count permet de définir le nombre total de page`
    },{
      name: 'current',
      inOut: 'input',
      type: 'number',
      required: false,
      default: "",
      description: `Le 'current' accepte les type 'number'.
      Current défini la page selectionnée par défaut`
    },{
      name: 'hasChange',
      inOut: 'output',
      type: 'number',
      required: false,
      default: "",
      description: `Le hasChange retourne le numéro de page dont lequel l'utilisateur à cliqué dessus`
    }
  ];

  cs1: CodeSnippet = {
    html: `<dsmj-pagination [count]="5" [current]="3" (hasChange)="pageCourante($event)></dsmj-pagination>`,
    ts:
`pageCourante(page: number): void {
  console.log('Vous avez cliqué sur la page: ' + page);
}`
  }

  cs2: CodeSnippet = {
    html: `<dsmj-pagination [count]="5"></dsmj-pagination>`
  }

  cs3: CodeSnippet = {
    html: `<dsmj-pagination [current]="3"></dsmj-pagination>`
  }

  cs4: CodeSnippet = {
    html: `<dsmj-pagination (hasChange)="pageCourante($event)"></dsmj-pagination>`
  }
}
