import {Component, ViewEncapsulation} from '@angular/core';
import {CodeSnippet} from "../../commons/models/code-snippet.model";
import { quoteDataExample } from './quote.data';
import {cs1, cs2, cs3, cs4, cs5, cs6, cs7} from "./snippet/generic";
import { Img } from '@mjfr/ng-dsmj';

@Component({
  selector: 'doc-quote-example',
  templateUrl: './quote-example.component.html',
  encapsulation: ViewEncapsulation.None
})
export class QuoteExampleComponent {
  title = 'Quote';

  data = quoteDataExample;

  cs1 = cs1;
  cs2 = cs2;
  cs3 = cs3;
  cs4 = cs4;
  cs5 = cs5;
  cs6 = cs6;
  cs7 = cs7;

  sources = [{label: 'Détail 1'}, {label: 'Détail 2'}, {label: 'Détail 3'}, {url: '[À MODIFIER | Lien vers la sources ou des infos complémentaires]', label: 'Détail 4'}, ]
  img: Img = { src: '/assets/img/composants/placeholder.1x1.png', alt: '' }

  quotes: any[] = [
    {
      id: 1, title: 'Complète', citation: 'Lorem [...] elit ut.',
      url: '[À MODIFIER | https://lien-vers-la-source.fr || supprimer l\'attribut si pas d\'url pour la source\']',
      color: undefined, author: 'Auteur', type: 'Ouvrage', sources: this.sources, img: this.img, codeSnippet: this.cs1
    },
    {
      id: 2, title: 'Sans auteur', citation: 'Lorem [...] elit ut.',
      url: '[À MODIFIER | https://lien-vers-la-source.fr || supprimer l\'attribut si pas d\'url pour la source\']',
      color: undefined, author: undefined, type: 'Ouvrage', sources: this.sources, img: this.img, codeSnippet: this.cs2
    },
    {
      id: 3, title: 'Sans détails', citation: 'Lorem [...] elit ut.',
      url: '[À MODIFIER | https://lien-vers-la-source.fr || supprimer l\'attribut si pas d\'url pour la source\']',
      color: undefined, author: 'Auteur', type: undefined, sources: undefined, img: this.img, codeSnippet: this.cs3
    },
    {
      id: 4, title: 'Sans sources', citation: 'Lorem [...] elit ut.',
      url: '[À MODIFIER | https://lien-vers-la-source.fr || supprimer l\'attribut si pas d\'url pour la source\']',
      color: undefined, author: undefined, type: undefined, sources: undefined, img: this.img, codeSnippet: this.cs4
    },
    {
      id: 5, title: 'Citation sans illustration', citation: 'Lorem [...] elit ut.',
      url: '[À MODIFIER | https://lien-vers-la-source.fr || supprimer l\'attribut si pas d\'url pour la source\']',
      color: undefined, author: 'Auteur', type: 'Ouvrage', sources: this.sources, img: undefined, codeSnippet: this.cs5
    },
    {
      id: 6, title: 'Icône de citation verte émeraude', citation: 'Lorem [...] elit ut.',
      url: '[À MODIFIER | https://lien-vers-la-source.fr || supprimer l\'attribut si pas d\'url pour la source\']',
      color: 'green-emeraude', author: undefined, type: undefined, sources: undefined, img: this.img, codeSnippet: this.cs6
    },
    // {
    //   id: 7, title: 'Citation sans le bloc illustration', citation: 'Lorem [...] elit ut.', hideImage: true,
    //   url: '[À MODIFIER | https://lien-vers-la-source.fr || supprimer l\'attribut si pas d\'url pour la source\']',
    //   color: undefined, author: 'Auteur', type: 'Ouvrage', sources: this.sources, img: undefined, codeSnippet: this.cs7
    // },
  ]

  codeSnippetSingleQuote: string = `\
<div class="fr-grid-row fr-grid-row--gutters">
  <h4 class="fr-col-12">Quote unique</h4>
  <dsmj-quote ></dsmj-quote>
</div>`

}
