import {SubjectData} from "../../commons/models/subject-data.model";

export const quoteDataExample: SubjectData = {
  main: {
    title: 'Citation - Quote',
    description: {
      main: 'La citation permet de citer un texte dans une page éditoriale. La citation peut provenir d\'un extrait d’un discours oral formulé par une tierce personne ou d’un texte écrit.',
    }
  },
  integration: {
    title: 'Intégration du module',
    module: "DsmjQuoteModule",
    description: {
      main: ""
    },
  },
  properties: [
    {
      name: 'citation',
      inOut: 'input',
      type: 'string',
      required: true,
      default: undefined,
      description: "La citation à afficher"
    },
    {
      name: 'url',
      inOut: 'input',
      type: 'string',
      required: false,
      default: undefined,
      description: "Lien duquel provient la citation si celle-ci provient d'un site"
    },
    {
      name: 'color',
      inOut: 'input',
      type: 'enum',
      required: false,
      default: undefined,
      description: "Couleur de l'icône citation: green-tilleul-verveine | green-bourgeon | green-emeraude | green-menthe | green-archipel | blue-ecume | blue-cumulus | purple-glycine | pink-macaron | pink-tuile | yellow-tournesol | yellow-moutarde | orange-terre-battue | brown-cafe-creme | brown-caramel | brown-opera | beige-gris-galet"
    },
    {
      name: 'author',
      inOut: 'input',
      type: 'string',
      required: false,
      default: undefined,
      description: "Nom de l'auteur si celui-ci est connu"
    },
    {
      name: 'type',
      inOut: 'input',
      type: 'string',
      required: false,
      default: undefined,
      description: "Le type d'ouvrage à partir duquel provient la citation"
    },
    {
      name: 'sources',
      inOut: 'input',
      type: 'QuoteSource[]',
      required: false,
      default: undefined,
      description: "La ou les sources de la citation redirigeant vers un lien ou non"
    },
    {
      name: 'img',
      inOut: 'input',
      type: 'Img',
      required: false,
      default: undefined,
      description: "L'image à placer à gauche de la citation"
    },
  ]
}
