import {Component} from "@angular/core";
import {CodeSnippet} from "../../commons/models/code-snippet.model";

@Component({
  selector: 'doc-search-bar-example',
  templateUrl: './search-bar-example.component.html'
})
export class SearchBarExampleComponent {

  properties: any = [
    {
      name: 'customControl',
      inOut: 'input',
      type: 'boolean',
      required: false,
      default: undefined,
      description: "Si la valeur est à `true`, le composant ne générera pas un objet de contrôle et vous laissera l'intégrer à sa place"
    },{
      name: 'customButton',
      inOut: 'input',
      type: 'boolean',
      required: false,
      default: undefined,
      description: "Si la valeur est à `true`, le composant ne générera pas de bouton, et vous laissera l'intégrer à sa place"
    },{
      name: 'placeholder',
      inOut: 'input',
      type: 'string',
      required: false,
      default: undefined,
      description: "Renseigne un texte dans le placeholder de l'objet de contrôle si `customControl` n'est pas renseigné ou est à `false`, et ajoute ce même texte au label."
    },{
      name: 'for',
      inOut: 'input',
      type: 'string',
      required: false,
      default: undefined,
      description: "Associe le label à l'objet de contrôle, elle ajoute un attribut `for` sur le label (caché). La valeur doit être la même que l'identifiant de l'objet de contrôle."
    },{
      name: 'btnLabel',
      inOut: 'input',
      type: 'boolean',
      required: false,
      default: undefined,
      description: "Renseigne un texte au bouton de soumission."
    },{
      name: 'hasSubmit',
      inOut: 'output',
      type: 'string',
      required: false,
      default: undefined,
      description: "Au clique sur le bouton de soumission, renvoi la valeur saisie dans champ de contrôle."
    }
  ];

  cs1: CodeSnippet = {
    html:
`<dsmj-search [customControl]="true">
  <input dsmjInput type="search" id="control">
</dsmj-search>`
  };

  cs2: CodeSnippet = {
    html:
`<dsmj-search [customButton]="true">
  <button dsmjButton type="button">Rechercher</button>
</dsmj-search>`
  };
}
