import {Component, ViewEncapsulation} from '@angular/core';
import {CodeSnippet} from "../../commons/models/code-snippet.model";

@Component({
  selector: 'doc-stepper-example',
  templateUrl: './stepper-example.component.html',
  encapsulation: ViewEncapsulation.None
})

export class StepperExampleComponent {

  properties: any = [
    {
      name: 'currentNumber',
      inOut: 'input',
      type: 'number',
      required: true,
      default: undefined,
      description: "Le numéro de l'étape actuelle, ne peut dépasser 8 ni le nombre total d'étape"
    },{
      name: 'totalNumber',
      inOut: 'input',
      type: 'number',
      required: true,
      default: undefined,
      description: "Le nombre total d'étapes à valider, ne peut dépasser 8"
    },{
      name: 'currentTitle',
      inOut: 'input',
      type: 'string',
      required: true,
      default: undefined,
      description: "Le titre de l'étape actuelle"
    },{
      name: 'nextTitle',
      inOut: 'input',
      type: 'string',
      required: true,
      default: undefined,
      description: "Le titre de la prochaine étape ( laisser vide si dernière étape )"
    },{
      name: 'baliseTitle',
      inOut: 'input',
      type: 'string',
      required: false,
      default: 'h2',
      description: "La balise a utiliser pour le titre parmi : 'h2' | 'h3' | 'h4' | 'h5' | 'h6'"
    }
  ];

  cs1: CodeSnippet = {
    html:`<dsmj-stepper [currentNumber]="1" [totalNumber]="4" currentTitle="Titre de l’étape en cours" nextTitle="Titre de la prochaine étape" baliseTitle="h4"></dsmj-stepper>`
  }

  cs2: CodeSnippet = {
    html:`<dsmj-stepper [currentNumber]="3" [totalNumber]="3" currentTitle="Titre de la dernière étape"></dsmj-stepper>`
  }
}
