import {Component, OnInit, ViewChild, ViewEncapsulation} from '@angular/core';
import {CodeSnippet} from "../../commons/models/code-snippet.model";
import {tabsDataExample} from "./tabs.data";

@Component({
  selector: 'doc-tabs-example',
  templateUrl: './tabs-example.component.html',
  styleUrls: ['./tabs-example.component.scss'],
  encapsulation: ViewEncapsulation.None
})
export class TabsExampleComponent {
  data = tabsDataExample

  constructor() { }

  codeSnippet: CodeSnippet = {
    html:
`<dsmj-tab-group [animation]="true">
  <div dsmj-tab [title]="'Label Tab 1'" [icon]="'fr-icon-checkbox-line'">
    <p>Contenu 1</p>
  </div>
  <div dsmj-tab [title]="'Label Tab 2'" [icon]="'fr-icon-checkbox-line'">
    <p>Contenu 2</p>
  </div>
  <div dsmj-tab [title]="'Label Tab 2'" [icon]="'fr-icon-checkbox-line'">
    <p>Contenu 3</p>
  </div>
</dsmj-tab-group>`
  }

  baliseClipboard: string = `\
<!-- Cette balise regroupe les onglets -->
<!-- la propriété animation indique si au changement d'onglet on souhaite une animation ou non -->
<dsmj-tab-group [animation]="true"></dsmj-tab-group>`

  directiveClipboard: string = `\
<!-- la directive dsmj-tab est nécessaire, elle décore la div pour lui donner l'aspet souhaité -->
<div dsmj-tab [title]="'Titre'" [icon]="'...'">
  ...
</div>`

}
