import {SubjectData} from "../../commons/models/subject-data.model";

export const tabsDataExample: SubjectData = {
  main: {
    title: 'Onglet - Tab',
    description: {
      main: "Le composant onglet permet aux utilisateurs de naviguer dans différentes sections de contenu au sein d’une même page.",
      paragraphs: [
        {
          type: "raw",
          text: "Le système d'onglet aide à regrouper différents contenus dans un espace limité et permet de diviser un contenu dense en sections accessibles individuellement afin de faciliter la lecture pour l'utilisateur."
        }
      ]
    }
  },
  integration: {
    title: 'Intégration du module',
    module: "DsmjTabModule",
    description: {
      main: ""
    },
  },
  informations: [
    {
      title: 'Structure',
      description: {
        main: null,
        paragraphs: [
          {
            type: 'raw',
            text: "Chaque onglet se compose des éléments suivants :"
          },
          {
            type: 'list',
            texts: [
              "un icône à gauche du titre - optionnel.",
              "un titre cliquable - obligatoire ( permet d’afficher la zone de contenu qui lui est associée).",
            ]
          },
          {
            type: 'raw',
            text: "Si le nombre d’onglets dépasse la largeur du container, un scroll horizontal permet de naviguer entre les différents onglets."
          }
        ]
      }
    }
  ],
  properties: [
    {
      name: 'title',
      inOut: 'input',
      type: 'string',
      required: false,
      default: undefined,
      description: "Titre de l'onglet à afficher"
    },
    {
      name: 'icon',
      inOut: 'input',
      type: 'string',
      required: false,
      default: undefined,
      description: "Icône de l'onglet à afficher"
    },
    {
      name: 'index',
      inOut: 'input',
      type: 'number',
      required: false,
      default: undefined,
      description: "Index de l'onglet (afin d'éviter un comportement inattendu, il est préférable de laisser le système gérer les indexes)"
    },
  ]
}
