import {CodeSnippet} from "../../../commons/models/code-snippet.model";

export const tagCodeSnippet: CodeSnippet = {
  html:
    `<div class="fr-grid-row fr-grid-row--gutters">
  <p class="fr-col-12 fr-label">Small tag</p>
  <dsmj-tag class="fr-col-12" [tags]="tags"></dsmj-tag>
  <dsmj-tag class="fr-col-12" [tags]="tagsClickable"></dsmj-tag>
  <dsmj-tag class="fr-col-12" [tags]="tagsSelectable"></dsmj-tag>
  <dsmj-tag class="fr-col-12" [tags]="tagsDismissible"></dsmj-tag>
</div>
<hr class="fr-mt-4v">
<div class="fr-grid-row fr-grid-row--gutters">
  <p class="fr-col-12 fr-label">Medium tag</p>
  <dsmj-tag class="fr-col-12" [tags]="tags" [isSmall]="false"></dsmj-tag>
  <dsmj-tag class="fr-col-12" [tags]="tagsClickable" [isSmall]="false"></dsmj-tag>
  <dsmj-tag class="fr-col-12" [tags]="mTagsSelectable" [isSmall]="false"></dsmj-tag>
  <dsmj-tag class="fr-col-12" [tags]="mTagsDismissible" [isSmall]="false"></dsmj-tag>
</div>`,
  ts:
    `@Component({
    selector: 'tag-example',
    templateUrl: './tag-example.component.html',
    styleUrls: ['./tag-example.component.scss'],
    encapsulation: ViewEncapsulation.None
})
export class TagExampleComponent {
  title = 'Tag';

  tags: Tag[] = [
    { label: 'Label 1', type: 'label', iconClass: 'fr-icon-information-line' },
    { label: 'Label 2', type: 'label', iconClass: 'fr-icon-lock-line' },
    { label: 'Label 3', type: 'label' },
    { label: 'Label 4', type: 'label' },
  ]

  tagsClickable: Tag[] = [
    { label: 'Label 1 lien actif ', type: 'clickable', url: '/composants/tag' },
    { label: 'Label 2 lien non actif ', type: 'clickable', url: undefined, iconClass: 'fr-icon-lock-unlock-line' },
    { label: 'Label 3 lien actif ', type: 'clickable', url: '/composants', iconClass: 'fr-icon-logout-box-r-line' },
    { label: 'Label 4 lien non actif ', type: 'clickable', url: undefined },
  ]

  tagsSelectable: Tag[] = [
    { label: 'Label 1 selectionné ', type: 'selectable', pressed: true },
    { label: 'Label 2 non selectionné ', type: 'selectable', pressed: false, iconClass: 'fr-icon-more-line fr-icon--right' },
    { label: 'Label 3 selectionné ', type: 'selectable', pressed: true, iconClass: 'fr-icon-notification-badge-line fr-icon--right' },
    { label: 'Label 4 non selectionné ', type: 'selectable', pressed: false, iconClass: 'fr-icon-question-line fr-icon--right' },
  ]
  mTagsSelectable = JSON.parse(JSON.stringify(this.tagsSelectable))

  tagsDismissible: Tag[] = [
    { label: 'Label 1 supprimable', type: 'dismissible', iconClass: 'fr-icon-refresh-line fr-icon--right' },
    { label: 'Label 2 supprimable', type: 'dismissible', iconClass: 'fr-icon-search-line fr-icon--right' },
    { label: 'Label 3 supprimable', type: 'dismissible', iconClass: 'fr-icon-settings-5-line fr-icon--right' },
    { label: 'Label 4 supprimable', type: 'dismissible' },
  ]
  mTagsDismissible = JSON.parse(JSON.stringify(this.tagsDismissible))
}`
}
