import {SubjectData} from "../../commons/models/subject-data.model";

export const tagDataExample: SubjectData = {
  main: {
    title: 'Tag',
    description: {
      main: "Le tag catégorise/classe/organise les contenus à l'aide de mots-clés. Il aide les utilisateurs à rechercher et à trouver facilement une information.",
    }
  },
  integration: {
    title: 'Intégration du module',
    module: "DsmjTagModule",
    description: {
      main: ""
    },
  },
  properties: [
    {
      name: 'label',
      inOut: 'input',
      type: 'string',
      required: true,
      default: undefined,
      description: 'Permet de modifier le text affiché dans le composant'
    },
    {
      name: 'type',
      inOut: 'input',
      type: 'enum',
      required: false,
      default: undefined,
      description: "Taille du composant: label | clickable | selectable | dismissible"
    },
    {
      name: 'url',
      inOut: 'input',
      type: 'string',
      required: false,
      default: undefined,
      description: "link to navigate inside app"
    },
    {
      name: 'pressed',
      inOut: 'input',
      type: 'boolean',
      required: false,
      default: undefined,
      description: "Indique si le tag a été pressé ou pas"
    },
    {
      name: 'iconClass',
      inOut: 'input',
      type: 'string',
      required: false,
      default: undefined,
      description: "La class a appliquer afin d'aposer une image au tag"
    },
    {
      name: 'size',
      inOut: 'input',
      type: 'enum',
      required: false,
      default: undefined,
      description: "Taille du composant: sm | md"
    },
    {
      name: 'sendDismiss',
      inOut: 'output',
      type: 'boolean',
      required: false,
      default: undefined,
      description: "EventEmitter qui renvoi au composant parent le tag que l'on souhaite supprimer "
    },
  ]
}
