import {NgModule} from '@angular/core';
import {ListComposantComponent} from "./list-composant.component";
import {ViewAccordionComponent} from "./details/accordion/view-accordion.component";
import {RouterModule, Routes} from "@angular/router";
import {ViewAlertComponent} from "./details/alert/view-alert.component";
import {ViewCardComponent} from "./details/card/view-card.component";
import {ViewModalComponent} from "./details/modal/view-modal.component";
import {ViewTableComponent} from "./details/table/view-table.component";
import {ViewTileComponent} from "./details/tile/view-tile.component";
import {ViewBadgeComponent} from "./details/badge/view-badge.component";
import {ViewTabsComponent} from "./details/tabs/view-tabs.component";
import {ViewTagComponent} from "./details/tag/view-tag.component";
import { ViewHeaderComponent } from './details/header/view-header.component';
import { ViewFooterComponent } from './details/footer/view-footer.component';
import { ViewNavComponent } from './details/nav/view-nav.component';
import {ViewExampleComponent} from "./details/breadcrumb/view-breadcrumb.component";
import { ViewLogoComponent } from './details/logo/view-logo.component';
import {ViewBannerComponent} from "./details/banner/view-banner.component";
import {ViewButtonComponent} from "./details/button/view-button.component";
import {ViewLinkComponent} from "./details/link/view-link.component";
import {ViewQuoteComponent} from "./details/quote/view-quote.component";
import {ViewPaginationComponent} from './details/pagination/view-pagination.component';
import { ViewSidemenuComponent } from './details/sidemenu/view-sidemenu.component';
import { ViewHighlightComponent } from './details/highlight/highlight.component';
import {ViewBtnFranceconnectComponent} from './details/btn-franceconnect/view-btn-franceconnect.component';
import { ViewSummaryComponent } from './details/summary/view-summary.component';
import { ViewCalloutComponent } from './details/callout/view-callout.component';
import { ViewToggleComponent } from './details/toggle/view-toggle.component';
import { ViewStepperComponent } from './details/stepper/view-stepper.component';

const routes: Routes = [
  {
    path: '',
    component: ListComposantComponent,
  },
  {
    path: 'accordion',
    component: ViewAccordionComponent,
    data: { breadcrumb: 'Accordéon'},
  },
  {
    path: 'alert',
    component: ViewAlertComponent,
    data: { breadcrumb: 'Alerte'},
  },
  {
    path: 'badge',
    component: ViewBadgeComponent, // TODO replace
    data: { breadcrumb: 'Badge'},
  },
  {
    path: 'banner',
    component: ViewBannerComponent, // TODO replace
    data: { breadcrumb: 'Bandeau d\'information'},
  },
  {
    path: 'breadcrumb',
    component: ViewExampleComponent,
    data: { breadcrumb: 'Fil d\'ariane'},
  },
  {
    path: 'button',
    component: ViewButtonComponent,
    data: { breadcrumb: 'Bouton'},
  },
  {
    path: 'fcButton',
    component: ViewBtnFranceconnectComponent,
    data: { breadcrumb: 'Bouton FranceConnect'},
  },
  {
    path: 'card',
    component: ViewCardComponent,
    data: { breadcrumb: 'Carte'},
  },
  {
    path: 'quote',
    component: ViewQuoteComponent, // TODO replace
    data: { breadcrumb: 'Citation'},
  },
  {
    path: 'media',
    component: ViewAlertComponent, // TODO replace
    data: { breadcrumb: 'Contenu média'},
  },
  {
    path: 'consent',
    component: ViewAlertComponent, // TODO replace
    data: { breadcrumb: 'Consentement'},
  },
  {
    path: 'favIcon',
    component: ViewAlertComponent, // TODO replace
    data: { breadcrumb: 'Icônes de favoris'},
  },
  {
    path: 'toggle',
    component: ViewToggleComponent, // TODO replace
    data: { breadcrumb: 'Interrupteur'},
  },
  {
    path: 'footer',
    component: ViewFooterComponent,
    data: { breadcrumb: 'Pied de page'},
  },
  {
    path: 'header',
    component: ViewHeaderComponent,
    data: { breadcrumb: 'En-tête'},
  },
  {
    path: 'stepIndication',
    component: ViewStepperComponent,
    data: { breadcrumb: 'Indicateur d\'étape'},
  },
  {
    path: 'link',
    component: ViewLinkComponent,
    data: { breadcrumb: 'Liens'},
  },
  {
    path: 'callout',
    component: ViewCalloutComponent,
    data: { breadcrumb: 'Mise en avant'},
  },
  {
    path: 'highlight',
    component: ViewHighlightComponent,
    data: { breadcrumb: 'Mis en exergue - Highlights'},
  },
  {
    path: 'sidemenu',
    component: ViewSidemenuComponent,
    data: { breadcrumb: 'Menu latéral'},
  },
  {
    path: 'modal',
    component: ViewModalComponent,
    data: { breadcrumb: 'Modale'},
  },
  {
    path: 'nav',
    component: ViewNavComponent,
    data: { breadcrumb: 'Navigation principale'},
  },
  {
    path: 'logo',
    component: ViewLogoComponent,
    data: { breadcrumb: 'Logo'},
  },
  {
    path: 'tabs',
    component: ViewTabsComponent, // TODO replace
    data: { breadcrumb: 'Onglets'},
  },
  {
    path: 'pagination',
    component: ViewPaginationComponent,
    data: { breadcrumb: 'Pagination'},
  },
  {
    path: 'display',
    component: ViewAlertComponent, // TODO replace
    data: { breadcrumb: 'Paramètre d\'affichage'},
  },
  {
    path: 'share',
    component: ViewAlertComponent, // TODO replace
    data: { breadcrumb: 'Partage - Share'},
  },
  {
    path: 'langage',
    component: ViewAlertComponent, // TODO replace
    data: { breadcrumb: 'Selecteur de langue'},
  },
  {
    path: 'summary',
    component: ViewSummaryComponent,
    data: { breadcrumb: 'Sommaire'},
  },
  {
    path: 'table',
    component: ViewTableComponent,
    data: { breadcrumb: 'Tableau'},
  },
  {
    path: 'tag',
    component: ViewTagComponent,
    data: { breadcrumb: 'Tag'},
  },
  {
    path: 'download',
    component: ViewAlertComponent, // TODO replace
    data: { breadcrumb: 'Téléchargement'},
  },
  {
    path: 'tile',
    component: ViewTileComponent,
    data: { breadcrumb: 'Tuile'},
  }
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class ListComposantRoutingModule {}
