import {NgModule} from '@angular/core';
import {ListComposantComponent} from "./list-composant.component";
import {ViewFooterComponent} from "./details/footer/view-footer.component";
import {ViewHeaderComponent} from "./details/header/view-header.component";
import {SharedModule} from "../../shared.module";
import {ExamplesModule} from "../../examples/examples.module";
import {ViewAccordionComponent} from "./details/accordion/view-accordion.component";
import {CommonsModule} from "../../commons/commons.module";
import {ListComposantRoutingModule} from "./list-composant-routing.module";
import {CommonModule} from "@angular/common";
import {DsmjCardModule} from "@mjfr/ng-dsmj";
import {ViewAlertComponent} from "./details/alert/view-alert.component";
import {ViewCardComponent} from "./details/card/view-card.component";
import {ViewTableComponent} from "./details/table/view-table.component";
import {ViewTileComponent} from "./details/tile/view-tile.component";
import {ViewModalComponent} from "./details/modal/view-modal.component";
import {ViewBadgeComponent} from "./details/badge/view-badge.component";
import {ViewTabsComponent} from "./details/tabs/view-tabs.component";
import {ViewTagComponent} from "./details/tag/view-tag.component";
import { ViewNavComponent } from './details/nav/view-nav.component';
import {ViewExampleComponent} from "./details/breadcrumb/view-breadcrumb.component";
import { ViewLogoComponent } from './details/logo/view-logo.component';
import {ViewBannerComponent} from "./details/banner/view-banner.component";
import {ViewButtonComponent} from "./details/button/view-button.component";
import {FormFieldExampleModule} from "../../examples/form-field-example/form-field-example.module";
import {ViewLinkComponent} from "./details/link/view-link.component";
import {ViewQuoteComponent} from "./details/quote/view-quote.component";
import {ReactiveFormsModule} from "@angular/forms";
import { ViewPaginationComponent } from './details/pagination/view-pagination.component';
import { ViewSidemenuComponent } from './details/sidemenu/view-sidemenu.component';
import { ViewHighlightComponent } from './details/highlight/highlight.component';
import {ViewBtnFranceconnectComponent} from './details/btn-franceconnect/view-btn-franceconnect.component';
import { ViewSummaryComponent } from './details/summary/view-summary.component';
import { ViewCalloutComponent } from './details/callout/view-callout.component';
import { ViewToggleComponent } from './details/toggle/view-toggle.component';
import { ViewStepperComponent } from './details/stepper/view-stepper.component';

@NgModule({
  declarations: [
    ListComposantComponent,
    ViewAccordionComponent,
    ViewAlertComponent,
    ViewBadgeComponent,
    ViewBannerComponent,
    ViewExampleComponent,
    ViewCardComponent,
    ViewModalComponent,
    ViewTableComponent,
    ViewTabsComponent,
    ViewTagComponent,
    ViewTileComponent,
    ViewFooterComponent,
    ViewHeaderComponent,
    ViewNavComponent,
    ViewLogoComponent,
    ViewButtonComponent,
    ViewLinkComponent,
    ViewQuoteComponent,
    ViewPaginationComponent,
    ViewSidemenuComponent,
    ViewCalloutComponent,
    ViewHighlightComponent,
    ViewBtnFranceconnectComponent,
    ViewSummaryComponent,
    ViewToggleComponent,
    ViewStepperComponent,
  ],
  exports: [
    ListComposantComponent,
  ],
  imports: [
    CommonModule,
    ListComposantRoutingModule,
    // CommonsModule,
    ExamplesModule,
    SharedModule,
    DsmjCardModule,
    FormFieldExampleModule,
  ]
})
export class ListComposantModule {}
