import {RouterModule, Routes} from "@angular/router";
import {NgModule} from "@angular/core";
import {ElementsInterfaceComponent} from "./elements-interface.component";

const routes: Routes = [
  {
    path: '',
    component: ElementsInterfaceComponent
  },
  {
    path: 'composants',
    data: { breadcrumb: 'Composants'},
    loadChildren: () => import('../composants/list-composant.module').then((m) => m.ListComposantModule),
  },
  {
    path: 'forms',
    data: { breadcrumb: 'Formulaires'},
    loadChildren: () => import('../forms/form.module').then((m) => m.FormModule),
  },
  // {
  //   path: 'directives',
  //   loadChildren: () => import('./directives/directive.module').then((m) => m.DirectiveModule),
  // }
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class ElementsInterfaceRoutingModule {}
