import {Component, OnInit} from "@angular/core";
import {elementsInterface} from "../../commons/sidemenu/service/sidemenu";
import {BaseRouteComponent} from "../../base-route.component";

type ElementInterface = { title: string, description: string, url: string, img?: string, alt?: string }

@Component({
  templateUrl: './elements-interface.component.html',
})
export class ElementsInterfaceComponent extends BaseRouteComponent implements OnInit {

  show: boolean = false;

  elements: ElementInterface[] = [
    {
      title: 'Composants',
      description: 'Les éléments d’interface hors formulaire.',
      url: 'composants',
      img: 'img_composants.png',
      alt: ''
    },
    {
      title: 'Éléments de formulaire',
      description: 'Composants utilisés dans les formulaires : zone de texte, barre de recherche, liste déroulante, cases à cocher, boutons radio, etc.',
      url: 'forms',
      img: 'img_elements_formulaire.png',
      alt: ''
    },
    // {
    //   title: 'Directives',
    //   description: "Directives utilisées pour la construction des composants ou d'éléments customisé",
    //   url: '',
    //   img: null,
    //   alt: ''
    // },
  ]

  // cards = elementsInterface;

  ngOnInit(): void {
    setTimeout(() => this.show = true, 1000);
  }

  scrollTo(key: string): void {
    let el = document.getElementById(key);
    el.scrollIntoView({behavior: 'smooth'});
  }

}
