import {NgModule} from '@angular/core';
import {RouterModule, Routes} from '@angular/router';
import { ViewFormFieldButtonComponent } from './button/view-button.component';
import { ViewFormFieldCheckboxComponent } from './checkbox/view-checkbox.component';
import { ViewFormFieldInputComponent } from './input/view-input.component';
import { ViewFormFieldLinkComponent } from './link/view-link.component';
import { ViewFormFieldSelectComponent } from './select/view-select.component';
import {ViewFormFieldRadioComponent} from "./radio/view-radio.component";
import {ViewFormFieldRadioRichComponent} from "./radio-rich/view-radio-rich.component";
import { ViewFormFieldTextareaComponent } from './textarea/view-textarea.component';

const routes: Routes = [
  {
    path: '',
    pathMatch: 'full',
    redirectTo: 'input',
  },
  {
    path: 'input',
    component: ViewFormFieldInputComponent,
    data: { breadcrumb: 'Champ de saisie - Input'}
  },{
    path: 'select',
    component: ViewFormFieldSelectComponent,
    data: { breadcrumb: 'Liste déroulante - Select'}
  },{
    path: 'radio',
    component: ViewFormFieldRadioComponent,
    data: { breadcrumb: 'Bouton radio - Radio button'}
  },{
    path: 'radio-rich',
    component: ViewFormFieldRadioRichComponent,
    data: { breadcrumb: 'Bouton radio - Radio button'}
  },{
    path: 'button',
    component: ViewFormFieldButtonComponent,
    data: { breadcrumb: 'Bouton - Button'}
  },{
    path: 'link',
    component: ViewFormFieldLinkComponent,
    data: { breadcrumb: 'Lien - Link'}
  },{
    path: 'checkbox',
    component: ViewFormFieldCheckboxComponent,
    data: { breadcrumb: 'Case à cocher - Checkbox'}
  },{
    path: 'form-field-textarea',
    component: ViewFormFieldTextareaComponent,
    data: { breadcrumb: 'Zone de texte - Textarea'}
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class ViewFormFieldRoutingModule { }
