import {NgModule} from '@angular/core';
import {CommonModule} from "@angular/common";
import {SharedModule} from "../../../../shared.module";
import {ViewFormFieldRoutingModule} from "./view-form-field-routing.module";
import {ViewFormFieldComponent} from "./view-form-field.component";
import {
  DsmjDirectivesModule
} from "@mjfr/ng-dsmj";
import { ViewFormFieldButtonComponent } from './button/view-button.component';
import { ViewFormFieldCheckboxComponent } from './checkbox/view-checkbox.component';
import { ViewFormFieldRadioComponent } from './radio/view-radio.component';
import { ViewFormFieldInputComponent } from './input/view-input.component';
import { ViewFormFieldLinkComponent } from './link/view-link.component';
import { ViewFormFieldSelectComponent } from './select/view-select.component';
import { FormFieldExampleModule } from '../../../../examples/form-field-example/form-field-example.module';
import {ViewFormFieldRadioRichComponent} from "./radio-rich/view-radio-rich.component";
import { ViewFormFieldTextareaComponent } from './textarea/view-textarea.component';


@NgModule({
  declarations: [
    ViewFormFieldComponent,
    ViewFormFieldButtonComponent,
    ViewFormFieldCheckboxComponent,
    ViewFormFieldRadioComponent,
    ViewFormFieldRadioRichComponent,
    ViewFormFieldInputComponent,
    ViewFormFieldLinkComponent,
    ViewFormFieldSelectComponent,
    ViewFormFieldTextareaComponent
  ],
  exports: [
    ViewFormFieldComponent,
    ViewFormFieldButtonComponent,
    ViewFormFieldCheckboxComponent,
    ViewFormFieldRadioComponent,
    ViewFormFieldRadioRichComponent,
    ViewFormFieldInputComponent,
    ViewFormFieldLinkComponent,
    ViewFormFieldSelectComponent,
    ViewFormFieldTextareaComponent
  ],
  imports: [
    CommonModule,
    SharedModule,
    FormFieldExampleModule,
    DsmjDirectivesModule,
    ViewFormFieldRoutingModule
  ]
})
export class ViewFormFieldModule {}
