import {NgModule} from '@angular/core';
import {RouterModule, Routes} from '@angular/router';
import {FormComponent} from "./form.component";
import {ViewTextComponent} from "./details/text/view-text.component";
import {ViewAutocompleteComponent} from "./details/autocomplete/view-autocomplete.component";
import {ViewCheckboxComponent} from "./details/checkbox/view-checkbox.component";
import {ViewDateComponent} from "./details/date/view-date.component";
import {ViewNumberComponent} from "./details/number/view-number.component";
import {ViewPasswordComponent} from "./details/password/view-password.component";
import {ViewRadioComponent} from "./details/radio/view-radio.component";
import {ViewSelectComponent} from "./details/select/view-select.component";
import {ViewSelectMultipleComponent} from "./details/select-multiple/view-select-multiple.component";
import {ViewSelectDynamicComponent} from "./details/select-dynamic/view-select-dynamic.component";
import {ViewTextareaComponent} from "./details/textarea/view-textarea.component";
import {ViewTimeComponent} from "./details/time/view-time.component";
import {ViewInputComponent} from "./details/input/view-input.component";
import {ViewFormFieldComponent} from './details/form-field/view-form-field.component';
import {ViewFormGroupComponent} from './details/form-group/view-form-group.component';
import {ViewUpdateFileComponent} from "./details/update-file/view-update-file.component";
import {ViewBtnsGroupComponent} from "./details/btns-group/view-btns-group.component";
import {ViewSearchBarComponent} from "./details/search-bar/view-search-bar.component";
import {ViewButtonComponent} from "./details/button/view-button.component";
import {ViewRadioRichComponent} from "./details/radio-rich/view-radio-rich.component";
import {ViewFormFieldRadioComponent} from "./details/form-field/radio/view-radio.component";
import {ViewFormFieldRadioRichComponent} from "./details/form-field/radio-rich/view-radio-rich.component";
import { ViewUploadComponent } from './details/upload/view-upload.component';

const routes: Routes = [
  {
    path: '',
    component: FormComponent,
  },
  {
    path: 'autocomplete',
    component: ViewAutocompleteComponent,
    data: { breadcrumb: 'Champ autocomplete'},
  },
  {
    path: 'button',
    component: ViewButtonComponent,
    data: { breadcrumb: 'Champ button'},
  },
  {
    path: 'btns-group',
    component: ViewBtnsGroupComponent,
    data: { breadcrumb: 'Groupe de boutons'},
  },
  {
    path: 'form-field',
    data: { breadcrumb: 'Champ de formulaire' },
    loadChildren: () => import('./details/form-field/view-form-field-routing.module').then((m) => m.ViewFormFieldRoutingModule),
  },
  {
    path: 'form-group',
    component: ViewFormGroupComponent,
    data: { breadcrumb: 'Groupe de formulaire'}
  },
  {
    path: 'checkbox',
    component: ViewCheckboxComponent,
    data: { breadcrumb: 'Champ checkbox'},
  },
  {
    path: 'date',
    component: ViewDateComponent,
    data: { breadcrumb: 'Champ date'},
  },
  {
    path: 'input',
    component: ViewInputComponent,
    data: { breadcrumb: 'Champ de saisie - Input'},
  },
  {
    path: 'toggleSwitch',
    component: ViewTextComponent,
    data: { breadcrumb: 'Champ toggleSwitch'},
  },
  {
    path: 'number',
    component: ViewNumberComponent,
    data: { breadcrumb: 'Champ number'},
  },
  {
    path: 'password',
    component: ViewPasswordComponent,
    data: { breadcrumb: 'Champ password'},
  },
  {
    path: 'radio',
    // component: ViewRadioComponent,
    component: ViewFormFieldRadioComponent,
    data: { breadcrumb: 'Champ radio'},
  },
  {
    path: 'radio-rich',
    // component: ViewRadioRichComponent,
    component: ViewFormFieldRadioRichComponent,
    data: { breadcrumb: 'Champ radio rich'},
  },
  {
    path: 'search-bar',
    component: ViewSearchBarComponent,
    data: { breadcrumb: 'Barre de recherche'},
  },
  {
    path: 'select',
    component: ViewSelectComponent,
    data: { breadcrumb: 'Champ select'},
  },
  {
    path: 'selectMultiple',
    component: ViewSelectMultipleComponent,
    data: { breadcrumb: 'Champ selectMultiple'},
  },
  {
    path: 'selectDynamic',
    component: ViewSelectDynamicComponent,
    data: { breadcrumb: 'Champ selectDynamic'},
  },
  {
    path: 'text',
    component: ViewTextComponent,
    data: { breadcrumb: 'Champ text'},
  },
  {
    path: 'textarea',
    component: ViewTextareaComponent,
    data: { breadcrumb: 'Champ textarea'},
  },
  {
    path: 'time',
    component: ViewTimeComponent,
    data: { breadcrumb: 'Champ time'},
  },
  {
    path: 'upload',
    component: ViewUploadComponent,
    data: { breadcrumb: 'Ajouter un fichier - File upload'},
  },
  {
    path: 'upload-drag-and-drop',
    component: ViewUpdateFileComponent,
    data: { breadcrumb: 'Ajouter un fichier avec Glisser/Déposer - File upload with Drag and Drop'},
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class FormRoutingModule { }
