import {NgModule} from '@angular/core';
import {FormComponent} from "./form.component";
import {SharedModule} from "../../shared.module";
import {ViewTextComponent} from "./details/text/view-text.component";
import {ExamplesModule} from "../../examples/examples.module";
import {FormRoutingModule} from "./form-routing.module";
import {
  DsmjCardModule,
  DsmjAutocompleteModule,
  DsmjCheckboxModule,
  DsmjRadioModule,
  DsmjSelectModule,
  DsmjSelectDynamicModule,
  DsmjSelectMultipleModule,
  DsmjTextareaModule,
  DsmjFormFieldModule,
  DsmjFormGroupModule,
  DsmjLabelModule,
  DsmjDirectivesModule
} from "@mjfr/ng-dsmj";
import {CommonModule} from "@angular/common";
import {ViewTextareaComponent} from "./details/textarea/view-textarea.component";
import {ViewTimeComponent} from "./details/time/view-time.component";
import {ViewAutocompleteComponent} from "./details/autocomplete/view-autocomplete.component";
import {ViewCheckboxComponent} from "./details/checkbox/view-checkbox.component";
import {ViewDateComponent} from "./details/date/view-date.component";
import {ViewNumberComponent} from "./details/number/view-number.component";
import {ViewPasswordComponent} from "./details/password/view-password.component";
import {ViewRadioComponent} from "./details/radio/view-radio.component";
import {ViewSelectComponent} from "./details/select/view-select.component";
import {ViewSelectDynamicComponent} from "./details/select-dynamic/view-select-dynamic.component";
import {ViewSelectMultipleComponent} from "./details/select-multiple/view-select-multiple.component";
import {ViewInputComponent} from "./details/input/view-input.component";
import {ViewUpdateFileComponent} from "./details/update-file/view-update-file.component";
import {ViewBtnsGroupComponent} from "./details/btns-group/view-btns-group.component";
import {ViewSearchBarComponent} from './details/search-bar/view-search-bar.component';
import {ViewFormGroupComponent} from './details/form-group/view-form-group.component';
import {ViewFormFieldModule} from './details/form-field/view-form-field.module';
import {FormFieldExampleModule} from "../../examples/form-field-example/form-field-example.module";
import {ViewButtonComponent} from "./details/button/view-button.component";
import {ViewRadioRichComponent} from "./details/radio-rich/view-radio-rich.component";
import { ViewUploadComponent } from './details/upload/view-upload.component';

@NgModule({
  declarations: [
    FormComponent,
    ViewAutocompleteComponent,
    ViewCheckboxComponent,
    ViewDateComponent,
    ViewInputComponent,
    ViewNumberComponent,
    ViewPasswordComponent,
    ViewRadioComponent,
    ViewRadioRichComponent,
    ViewSelectComponent,
    ViewSelectDynamicComponent,
    ViewSelectMultipleComponent,
    ViewTextComponent,
    ViewTextareaComponent,
    ViewTimeComponent,
    ViewUpdateFileComponent,
    ViewFormGroupComponent,
    ViewBtnsGroupComponent,
    ViewSearchBarComponent,
    ViewButtonComponent,
    ViewUploadComponent,
  ],
  exports: [
    FormComponent,
    ViewTextComponent,
  ],
  imports: [
    CommonModule,
    FormRoutingModule,
    ViewFormFieldModule,
    SharedModule,
    ExamplesModule,
    DsmjCardModule,
    DsmjAutocompleteModule,
    DsmjCheckboxModule,
    DsmjRadioModule,
    DsmjSelectModule,
    DsmjSelectDynamicModule,
    DsmjSelectMultipleModule,
    DsmjTextareaModule,
    DsmjFormFieldModule,
    DsmjFormGroupModule,
    DsmjLabelModule,
    DsmjDirectivesModule,
    FormFieldExampleModule
  ]
})
export class FormModule {}
