import {Component} from "@angular/core";

@Component({
  selector: 'app-installation',
  templateUrl: './installation.component.html',
  styleUrls: ['./installation.component.scss'],
})
export class InstallationComponent {

  constructor() { }

  codeSnippetInstallation: string = `npm install @mjfr/ng-dsmj --legacy-peer-deps`;
  codeSnippetInstallationWithoutLegacy: string = `npm install @mjfr/ng-dsmj`;
  codeSnippetConfiguration: string = `\
// angular.json
{
  ...
  "projects": {
    "[projectName]": {
      ...
      "architect": {
        "build": {
          ...
          "options": {
            ...
            "styles": [
              "node_modules/@mjfr/ng-dsmj/assets/styles.scss", // applique la version du style DSFR géré par le DSMJ dans cette version de la librairie DSMJ
              "node_modules/@mjfr/ng-dsmj/assets/icons.scss", // (optionnel) à ajouter si votre application applique les icons du DSFR à partir de leurs class css
              ...
            ],
            "scripts": [
              "node_modules/@gouvfr/dsfr/dist/dsfr/dsfr.module.min.js", // script module du DSFR
              "node_modules/@gouvfr/dsfr/dist/dsfr/dsfr.nomodule.min.js", // script nomodule du DSFR
              ...
            ],
          }
        }
      }
    }
  }
}
`;
}
