// const baseConfig = require('../../jest.config');
//
// /** @type {import('ts-jest/dist/types').InitialOptionsTsJest} */
// module.exports = {
//   ...baseConfig,
//   rootDir: "../../",
//   // roots: ["<rootDir>/dsmj/lib/src/components/alert"],
//   roots: ["<rootDir>/dsmj/lib/src"],
//   modulePaths: ["<rootDir>"],
//   coveragePathIgnorePatterns: ['/dist/', '/node_modules/', '<rootDir>/dsmj/doc'],
// };

const { pathsToModuleNameMapper } = require('ts-jest');
const { paths } = require('../../tsconfig.json').compilerOptions;

// eslint-disable-next-line no-undef
globalThis.ngJest = {
  skipNgcc: false,
  tsconfig: 'tsconfig.spec.json',
};

/** @type {import('ts-jest/dist/types').InitialOptionsTsJest} */
module.exports = {
  displayName: 'lib',
  preset: 'jest-preset-angular',
  globalSetup: 'jest-preset-angular/global-setup',
  moduleNameMapper: {"uuid": require.resolve('uuid')},
  setupFilesAfterEnv: ['<rootDir>/setup-jest.ts'],
  transformIgnorePatterns: ['node_modules/(?!@angular|@ngrx|rxjs|nanoid)'],
  resolver: '<rootDir>/jest.resolver.js',
  coverageDirectory: '<rootDir>/../../dist/coverage/unit',
  testMatch: [
    // '<rootDir>/dsmj/lib/**/*.spec.ts'
    '**/*.spec.ts'
  ],
  // coverageThreshold: {
  //   global: {
  //     branches: 80,
  //     functions: 80,
  //     lines: 80,
  //     statements: -10,
  //   },
  // },
};
