import {Component, Input, ContentChildren, QueryList} from '@angular/core';
import {ListItemDirective} from "../../../shared";

@Component({
  selector: 'dsmj-accordion',
  templateUrl: './dsmj-accordion.component.html',
  styleUrls: []
})
export class DsmjAccordionComponent {

  @Input() group: boolean;
  @ContentChildren(ListItemDirective) listItems!: QueryList<ListItemDirective>;

  /**
  * Heading tag {MD => h6; LG => h5; XL => h4}
  */
   @Input() headingTag: string = 'lg';
  /**
  * Accordion title heading
  */
   @Input() accordionTitle: string = '';

  getHeadingTag() {
    return this.headingTag.toLowerCase();
  }
}
