import {Component, EventEmitter, Input, Output} from '@angular/core'
import {TypeAlert} from "../model/type-alert";

/**
 * Composant Alerte
 */
@Component({
  selector: 'dsmj-base-alert',
  styleUrls: ['./base-alert.component.scss'],
  templateUrl: './base-alert.component.html'
})
export class BaseAlertComponent {
  /** titre de l'alerte */
  @Input() title: string = ''
  /** message de l'alerte */
  @Input() msg: string = ''
  /**
   * type d'alerte <br>
   * @see Type
   */
  @Input() type: TypeAlert = 'info'
  /** true si le bouton de fermeture doit être affiché */
  @Input() closeBtn: boolean = false
  /** true si l'alert est de taille small */
  @Input() isSmall: boolean = false
  /** émetteur concernant de fermeture manuel de l'alerte */
  @Output() hasClose = new EventEmitter()

  /** émet true en cas de fermeture manuel de l'alerte */
  onClose(): void {
    console.log('onClose :', this.type)
    this.hasClose.emit(true)
  }
}
