import { Component, Input } from "@angular/core"
import { BadgeColor } from "./model/badge.model";

/**
 * Component Tile
 */
@Component({
  selector: 'dsmj-badge',
  templateUrl: './badge.component.html'
})
export class BadgeComponent {

  /**
   * Couleur du badge
   */
  @Input() color?: BadgeColor;

  /**
   * Configurer le format du badge
   * @value md: medium | sm: small
   */
  @Input() size?: string = 'md';

  /**
   * Label du badge
   */
  @Input() label: string;

  /**
   * Element de personnalisation visuel : Ne pas afficher l'icône
   */
  @Input() noIcon?: boolean = false;
}
