import {Component, EventEmitter, Input, Output} from "@angular/core";
import {Subscription} from "rxjs";
import {BannerService} from "../service/banner.service";
import {Banner} from "../model/banner.model";

@Component({
  selector: 'dsmj-base-banner',
  templateUrl: './base-banner.component.html'
})
export class BaseBannerComponent {

  /** source type par défaut de l'alerte */
  @Input() id: string = 'default-banner'
  /** true - ajout un effet fade (voir la class.fade)*/
  @Input() fade: boolean = true
  @Input() message: string
  @Input() type: 'info' | 'error' = 'info'
  @Input() isClosable: boolean = false
  @Input() closeLabel: string = 'Masquer le message'
  @Output() sendDismiss = new EventEmitter<boolean>()

  /** liste des banners actives */
  banners: Banner[] = []
  /** souscription a l'ajout d'alertes */
  messageSubscription!: Subscription
  /** souscription au change de route pour la suppression automatique des alertes actives */
  routeSubscription!: Subscription

  constructor(protected bannerService: BannerService) {
  }

  /** supprime l'alerte */
  hasClose() {
    this.sendDismiss.emit(true)
  }
}
