import {ComponentFixture, TestBed} from '@angular/core/testing';

import {BoutonFranceConnectComponent} from './bouton-france-connect.component';
import {getElements} from "../../helper/spec-helper";
import {EventEmitter} from "@angular/core";
import spyOn = jest.spyOn;


describe('BoutonFranceConnectComponent', () => {
  let component: BoutonFranceConnectComponent;
  let fixture: ComponentFixture<BoutonFranceConnectComponent>;
  let element: HTMLElement;

  beforeEach( () => {
    TestBed.configureTestingModule({
      declarations: [ BoutonFranceConnectComponent ],
    })
      .compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(BoutonFranceConnectComponent);
    component = fixture.componentInstance;
    element = fixture.nativeElement
    fixture.detectChanges();
  });

  it('fc bouton component should be created', () => {
    expect(component).toBeTruthy();
  });

  it('dc bouton component click on url with param', () => {
    const spy = spyOn(component, 'proceedConnexion')
    component.externalUrl = 'http://angular.test'
    component.additionalParams = ['first=param', 'second=param']

    Object.defineProperty(window, 'location', {
      writable: true,
      value: { assign: jest.fn() }
    });

    component.ngOnInit()
    fixture.detectChanges();
    const button = getElements(element, 'button')[0]
    button.click()
    expect(component).toBeTruthy();
    expect(component.navigation).toBe('url');
    expect(spy).toHaveBeenCalled()
  });

  it('dc bouton component click on emitter', () => { // TODO simulate eventemitter
    component.clicked = new EventEmitter()
    component.ngOnInit()
    fixture.detectChanges();
    const button = getElements(element, 'button')[0]
    button.click()
    expect(component).toBeTruthy();
    expect(component.externalUrl).toBeFalsy();
  });
});
