# Composant `<dsmj-btns-group>`

Utiliser pour regrouper une liste de boutons, ce composant permet de faciliter la disposition et le rendu des groupes de boutons.

## Options

Vous pouvez utiliser les attributs suivants dans `<dsmj-btns-group>` pour paramètrer le composant :

### `inline` (boolean)

Change la disposition, en alignant les boutons du groupe

### `size` ('sm'|'md'|'lg')

Change la taille des boutons

### `iconPosition` ('left'|'right')

Dispose les icones du groupe de boutons soit à gauche, soit à droite du label

### `equisized` (boolean)

En mode vertical, permet de fixer la largeur des boutons sans qu'ils ne prennent 100% de la largeur du bloc contenant

### `align` ('left'|'right'|'center')

Avec l'option equisized à true, permet d'aligner le groupe de bouton soit à droite, soit au milieu ou par défaut, au gauche du bloc contenant

## Exemple d'utilisation

```html
<dsmj-btns-group
  iconPosition="left"
  size="sm"
  align="center"
  [inline]="true"
  [equisized]="true">
  <li>
    <button dsmjButton icon="checkbox-circle-line">Bouton 1</button>
  </li>
  <li>
    <button dsmjButton icon="checkbox-circle-line">Bouton 2</button>
  </li>
  <li>
    <button dsmjButton icon="checkbox-circle-line">Bouton 3</button>
  </li>
</dsmj-btns-group>
```
