import {Component, Input} from "@angular/core";

@Component({
  selector: 'dsmj-btns-group',
  templateUrl: './btns-group.component.html',
})
export class BtnsGroupComponent {

  /**
   * Défini la taille du groupe de boutons
   */
  @Input() size?: 'sm' | "md" | "lg";

  /**
   * Dispose le groupe de boutons en horizontale
   */
  @Input() inline?: boolean;

  /**
   * Positionne les icones des boutons à gauche ou à droite du label
   */
  @Input() iconPosition?: "left" | "right";

  /**
   * Rend la largeur des boutons identiques sans devoir prendre
   *  100% de la largeur du bloc conteneur
   */
   @Input() equisized?: boolean;

  /**
   * Lorsque equisized est à `vrai`, aligne le groupe de bouton
   *  soit à droite, soit au centre, ou par défaut à gauche du bloc conteneur
   */
  @Input() align?: "left" | "right" | "center";

  constructor() {}
}
