import { Component, Input } from '@angular/core';

@Component({
  selector: 'dsmj-callout',
  templateUrl: './callout.component.html',
})

export class CalloutComponent{
  /** L'icone a utiliser */
  @Input() public icon: string = "";

  /** 
   * Défini la couleur de la bordure
   * bordure : fr-callout--[color]
   * colorList [
   *  'green-tilleul-verveine',
   *  'green-bourgeon',
   *  'green-emeraude',
   *  'green-menthe',
   *  'green-archipel',
   *  'blue-ecume',
   *  'blue-cumulus',
   *  'purple-glycine',
   *  'pink-macaron',
   *  'pink-tuile',
   *  'yellow-tournesol',
   *  'yellow-moutarde',
   *  'orange-terre-battue',
   *  'brown-cafe-creme',
   *  'brown-caramel',
   *  'brown-opera',
   *  'beige-gris-galet'
   * ]
   */
  @Input() public color: string = "";

  /** Génére la classe a partir de la couleur */
  get colorClass(): string {
    return this.color ? "fr-callout--" + this.color : "";
  }
}
