import { NgModule } from '@angular/core';
import { CommonModule } from "@angular/common";
import { FormsModule, ReactiveFormsModule } from "@angular/forms";
import { CardComponent } from "./card.component";
import { CardDetailComponent } from './detail/detail.component';
import { RouterModule } from "@angular/router";
import { DsmjBadgeModule } from "../badge/badge.module";
import { DsmjTagModule } from "../tag/tags.module";
import {CardFooterLinkComponent} from "./link/card-footer-link.component";
import {CardHeaderLinkComponent} from "./link/card-header-link.component";
import {SafeUrlModule} from "../../pipes";

@NgModule({
  declarations: [
    CardComponent,
    CardDetailComponent,
    CardFooterLinkComponent,
    CardHeaderLinkComponent,
  ],
  imports: [
    CommonModule,
    FormsModule,
    ReactiveFormsModule,
    RouterModule,
    DsmjBadgeModule,
    DsmjTagModule,
    SafeUrlModule,
  ],
  exports: [
    CardComponent,
    CardDetailComponent,
  ]
})
export class DsmjCardModule { }
