import { NgModule } from '@angular/core';
import { CommonModule } from "@angular/common";
import { CdkTableModule } from "@angular/cdk/table";
import { FormsModule, ReactiveFormsModule } from "@angular/forms";
import { RouterModule } from "@angular/router";
import { MatAutocompleteModule } from "@angular/material/autocomplete";
// import { MatInputModule } from "@angular/material/input";

// DSMJ Modules
import { DsmjAccordionModule } from "./accordion/accordion.module";
import { DsmjAlertModule } from "./alert/alert.module";
import { DsmjAutocompleteModule } from "./form/autocomplete/autocomplete.module";
import { DsmjCheckboxModule } from "./form/checkbox/checkbox.module";
import { DsmjPaginationModule } from "./pagination/pagination.module";
import { DsmjRadioModule } from "./form/radio/radio.module";
import { DsmjSelectDynamicModule } from "./form/select-dynamic/select-dynamic.module";
import { DsmjSelectModule } from "./form/select/select.module";
import { DsmjSelectMultipleModule } from "./form/select-multiple/select-multiple.module";
import { DsmjTableModule } from "./table/table.module";
import { DsmjTextareaModule } from "./form/textarea/textarea.module";
import { DsmjTileModule } from "./tile/tile.module";
import { DsmjLogoModule } from "./logo/logo.module";
import { DsmjHeaderModule } from "./header/header.module";
import { DsmjFooterModule}  from "./footer/footer.module";
import { DsmjButtonModule } from "./form/button/button.module";
import { DsmjBreadcrumbModule } from "./breadcrumb/breadcrumb.module";
import { DsmjTabModule } from "./tab/tab.module";
import { DsmjCardModule } from "./card/card.module";
import { DsmjInputModule } from "./form/input/input.module";
import { DsmjBadgeModule } from "./badge/badge.module";
import { DsmjTagModule } from "./tag/tags.module";
import { DsmjBtnsGroupModule } from "./btns-group/btns-group.module"
import { DsmjFormFieldModule } from "./form-field/form-field.module";
import { DsmjFormGroupModule } from "./form-group/form-group.module";
import { DsmjSearchModule } from "./search/search.module";
import { DsmjNavModule } from "./nav/nav.module";
import { DsmjProgressBarModule } from "./progress-bar/progress-bar.module";
import { DsmjUploadFileModule } from "./form/upload-file/upload-file.module";
import {DsmjBannerModule} from "./banner/banner.module";
import {DsmjProgressRoundModule} from "./progress-round/progress-round.module";
import {DsmjProgressNumberModule} from "./progress-number/progress-number.module";
import { DsmjSidemenuModule } from './sidemenu/sidemenu.module';
import { DsmjHighlightModule } from './highlight/highlight.module';
import { DsmjSummaryModule } from './summary/summary.module';
import { DsmjCalloutModule } from './callout/callout.module';
import { DsmjToggleModule } from './toggle/_index';
import { DsmjStepperModule } from './stepper/_index';
import { DsmjUploadModule } from './form/upload/_index';

@NgModule({
  imports: [
    // COMMON Modules
    CommonModule,
    ReactiveFormsModule,
    RouterModule,
    FormsModule,
    MatAutocompleteModule,
    // MatInputModule,

    // DSMJ Modules
    DsmjAccordionModule,
    DsmjAlertModule,
    DsmjAutocompleteModule,
    DsmjBannerModule,
    DsmjBreadcrumbModule,
    DsmjButtonModule,
    DsmjCardModule,
    DsmjCheckboxModule,
    DsmjFooterModule,
    DsmjHeaderModule,
    DsmjBadgeModule,
    DsmjHighlightModule,
    DsmjInputModule,
    DsmjTagModule,
    DsmjLogoModule,
    DsmjPaginationModule,
    DsmjProgressBarModule,
    DsmjProgressNumberModule,
    DsmjProgressRoundModule,
    DsmjRadioModule,
    DsmjSelectDynamicModule,
    DsmjSelectModule,
    DsmjSelectMultipleModule,
    DsmjTableModule,
    DsmjTabModule,
    DsmjTextareaModule,
    DsmjTileModule,
    DsmjUploadFileModule,
    DsmjFormFieldModule,
    DsmjFormGroupModule,
    DsmjBtnsGroupModule,
    DsmjSearchModule,
    DsmjNavModule,
    DsmjSidemenuModule,
    DsmjSummaryModule,
    DsmjCalloutModule,
    DsmjToggleModule,
    DsmjStepperModule,
    DsmjUploadModule,
  ],
  exports: [
    DsmjAccordionModule,
    DsmjAlertModule,
    DsmjAutocompleteModule,
    DsmjBannerModule,
    DsmjBreadcrumbModule,
    DsmjButtonModule,
    DsmjCardModule,
    DsmjCheckboxModule,
    DsmjFooterModule,
    DsmjHeaderModule,
    DsmjBadgeModule,
    DsmjHighlightModule,
    DsmjInputModule,
    DsmjTagModule,
    DsmjLogoModule,
    DsmjPaginationModule,
    DsmjProgressBarModule,
    DsmjProgressNumberModule,
    DsmjProgressRoundModule,
    DsmjRadioModule,
    DsmjSelectDynamicModule,
    DsmjSelectModule,
    DsmjSelectMultipleModule,
    DsmjTableModule,
    DsmjTabModule,
    DsmjTextareaModule,
    DsmjTileModule,
    DsmjUploadFileModule,
    DsmjFormFieldModule,
    DsmjFormGroupModule,
    DsmjBtnsGroupModule,
    DsmjSearchModule,
    DsmjNavModule,
    DsmjSidemenuModule,
    DsmjSummaryModule,
    DsmjCalloutModule,
    DsmjToggleModule,
    DsmjStepperModule,
    DsmjUploadModule,
  ]
})
export class DsmjComponentsModule { }
