import { Component, AfterViewInit, ElementRef } from '@angular/core';

@Component({
  selector: 'dsmj-footer-bottom',
  templateUrl: './bottom.component.html'
})
export class FooterBottomComponent implements AfterViewInit {

  /** nom de classe DSFR correspondant aux liens */
  readonly IDNAME_DSFR_FOOTER_BOTTOM_LINK: string = 'fr-footer__bottom-link';

  /** nom de classe DSFR correspondant aux listes */
  readonly IDNAME_DSFR_FOOTER_BOTTOM_ITEM: string = 'fr-footer__bottom-item';

  /** Objet DOM du composant */
  private html: HTMLElement;

  constructor(private el: ElementRef) {
    this.html = el.nativeElement;
  }

  ngAfterViewInit(): void {
    this.addClassToListElements();
    this.addClassToLinkElements();
  }

  /**
   * Ajoute les classes nécessaires aux DSFR aux éléments de type liste ajouté par l'utilisateur
   */
  addClassToListElements(): void {
    let ref: NodeList = this.html.querySelectorAll(`:scope li`);
    ref?.forEach((el: HTMLElement) => el.classList.add(this.IDNAME_DSFR_FOOTER_BOTTOM_ITEM));
  }

  /**
   * Ajoute les classes nécessaires aux DSFR aux éléments de type lien ajouté par l'utilisateur
   */
  addClassToLinkElements(): void {
    let ref: NodeList = this.html.querySelectorAll(`:scope li > a`);
    ref?.forEach((el: HTMLElement) => el.classList.add(this.IDNAME_DSFR_FOOTER_BOTTOM_LINK));
  }
}
