import {AfterViewInit, Component, ElementRef} from '@angular/core';

@Component({
  selector: '[dsmj-footer-partners-sub]',
  templateUrl: './sub.component.html',
  styleUrls: ['./sub.component.scss']
})
export class FooterPartnersSubComponent implements AfterViewInit {

  /** nom de classe DSFR correspondant aux liens des partenaires */
  readonly IDNAME_DSFR_FOOTER_PARTNERS_LINK: string = 'fr-footer__partners-link';

  /** nom de classe DSFR correspondant aux logos des partenaires */
  readonly IDNAME_DSFR_FOOTER_LOGO: string = 'fr-footer__logo';

  private html: HTMLElement;

  constructor(private el: ElementRef) {
    this.html = el.nativeElement;
  }

  ngAfterViewInit(): void {
    this.addClassToLinkElements();
    this.addClassToImageElements();
  }

  /**
   * Ajoute les classes nécessaires aux DSFR aux liens
   */
  addClassToLinkElements(): void {
    let ref: NodeList = this.html.querySelectorAll(`:scope li > a`);
    ref?.forEach((el: HTMLElement) => el.classList.add(this.IDNAME_DSFR_FOOTER_PARTNERS_LINK));
  }

  /**
   * Ajoute les classes nécessaires aux DSFR aux logos
   */
  addClassToImageElements(): void {
    let ref: NodeList = this.html.querySelectorAll(`:scope li > a > img`);
    ref?.forEach((el: HTMLElement) => el.classList.add(this.IDNAME_DSFR_FOOTER_LOGO));
  }
}
