import { Component, Input, ElementRef, AfterViewInit } from '@angular/core';

@Component({
  selector: 'dsmj-footer-top-category',
  templateUrl: './category.component.html'
})
export class FooterTopCategoryComponent implements AfterViewInit {

  /** nom de classe DSFR correspondant aux listes */
  readonly IDNAME_DSFR_FOOTER_TOP_LIST: string = 'fr-footer__top-list';

  /** nom de classe DSFR correspondant aux liens */
  readonly IDNAME_DSFR_FOOTER_TOP_LINK: string = 'fr-footer__top-link';

  /** Défini le titre de la catégorie */
  @Input() label: string;

  /**
   * Indique le niveau de heading à utiliser pour le titre de la catégorie
   */
  @Input() labelHeading: 'h1'|'h2'|'h3'|'h4'|'h5'|'h6' = 'h3';

  /** Objet DOM du composant */
  private html: HTMLElement;

  constructor(private el: ElementRef) {
    this.html = el.nativeElement;
    this.html.classList.add('fr-col-12','fr-col-sm-3','fr-col-md-2');
  }

  ngAfterViewInit(): void {
    this.addClassToLinkElements();
  }

  /**
   * Ajoute la classe DSFR correspondante a chaque liste du megamenu
   */
  addClassToLinkElements(): void {
    let aRef: NodeList = this.html.querySelectorAll(`:scope .${this.IDNAME_DSFR_FOOTER_TOP_LIST} > li > a`);

    aRef?.forEach((el: HTMLElement) => el.classList.add(this.IDNAME_DSFR_FOOTER_TOP_LINK));
  }
}
