# Composant `<dsmj-form-field>`

Utilisé pour containériser tous types de champs de contrôle.

Ce composant ajoute les balises et les classes de style nécessaires au bon rendu visuel du Système de design de l'état (dit DSFR) et des règles proposées par le Référentiel général d'amélioration de l'accessibilité (dit RGAA).

## Options

Vous pouvez utiliser les attributs suivants dans `<dsmj-form-field>` pour paramètrer le composant :

### `disabled` (boolean)

Applique l'état désactivé au champ

### `disabledValidator` (boolean)

Désactive la vérification de la validation du champ automatique, permettant ainsi de gérer manuellement le contrôle du champ.

### `validMessage` (boolean)

Spécifie un message de validation au champ, celui ci active en même temps l'état de validation du champ.

### `icon` (string)

Ajoute une icone à droite du champ. Indiquer le nom de classe de l'icone.

### `label` (string)

Ajoute un label au champ. Vous devez ajouter un attribut `for` (string) pour rattacher le label à l'id du champs de contrôle. L'attribut `hint` (string) ajoute un texte de decription additionnel.

Vous ne pouvez pas renseigner ce label et ajouter la balise `<label>` en même temps dans `<dsmj-form-field>`.

#### Laisser `<dsmj-form-field>` gérer le label

```html
<dsmj-form-field 
  label="Mon champ de contrôle" 
  hint="Mon texte de description additionnel"
  for="control">
  <input dsmjInput type="text" id="control">
</dsmj-form-field>
```

#### Gérer le label manuellement

```html
<dsmj-form-field>
  <label for="control">
    Mon champ de contrôle
    <span class="fr-hint-text">
      Mon texte de description additionnel
    </span>
  </label>
  <input dsmjInput type="text" id="control">
</dsmj-form-field>
```

### `required` (boolean)

Spécifie que le champ est obligatoire

## Exemple d'utilisation

```html
<dsmj-form-field label="Mon champ de contrôle" for="control">
  <input dsmjInput type="text" id="control">
</dsmj-form-field>
```
