import {ComponentFixture, TestBed} from '@angular/core/testing';
import { FormControl, FormGroup, FormsModule, ReactiveFormsModule, Validators } from '@angular/forms';
import { Control } from './control';
import { DsmjFormControlDirective } from './form-control.directive';
import { Validator } from './validator';

beforeEach( () => {
  TestBed.configureTestingModule({
    declarations: [ Control ],
    imports: [ReactiveFormsModule, FormsModule],
  }).compileComponents();
});


let control: Control;

describe('Si le formGroup est déclaré', () => {

  let formGroup: FormGroup = new FormGroup({
    'prenom': new FormControl('', Validators.required),
  });
  control = new Control(formGroup);

  it('Doit récupérer un validator si un objet de controle est déclaré', () => {
    let test: boolean = true;
    let item: DsmjFormControlDirective = control.item;
    let validator: Validator = control.validator;

    if(item && validator == null)
      test = false;
    expect(test).toBeTruthy();
  });

  it('Doit récupérer un tag si un objet de controle est déclaré', () => {
    let test: boolean = true;
    let item: DsmjFormControlDirective = control.item;

    if(item) {
      let tag: string = control.tag;
      if(tag == null)
        test = false;

    }
    expect(test).toBeTruthy();
  });
})

describe('Si le formGroup n\'est pas déclaré', () => {

  control = new Control();

  it('Doit retourner un validator vide', () => {
    let test: boolean = true;
    let item: DsmjFormControlDirective = control.item;
    let validator: Validator = control.validator;

    if(item && validator != null)
      test = false;
    expect(test).toBeTruthy();
  });
});
