import { Component, ElementRef } from '@angular/core';
import {ComponentFixture, TestBed} from '@angular/core/testing';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { Control } from './control';
import { ControlsGroup } from './controls-group';
import { DsmjFormControlDirective } from './form-control.directive';

@Component({
  template: `
  <select>
    <option>Selectionner une option</option>
    <option value="1">Valeur 1</option>
    <option value="2">Valeur 2</option>
  </select>
  `
})
class TestComponent {
}

let component: TestComponent;
let fixture: ComponentFixture<TestComponent>;

beforeEach( () => {
  TestBed.configureTestingModule({
    declarations: [ TestComponent ],
    imports: [ReactiveFormsModule, FormsModule],
  }).compileComponents();
  fixture = TestBed.createComponent(TestComponent);
  component = fixture.componentInstance;
});

let controlsGroup: ControlsGroup;

describe('Quand on desactive le groupe de controle', () => {

  controlsGroup = new ControlsGroup();

  it('Doit retourner disabled à vrai', () => {
    controlsGroup.disabled = true;
    expect(controlsGroup.disabled).toBeTruthy();
  });

  it('Doit appliquer l\'élement disabled aux objets de contrôle', () => {
    let test: boolean = true;
    controlsGroup._applytoItems((item: DsmjFormControlDirective) => {
      if(item.el.nativeElement.disabled == false)
        test = false;
    });
    expect(test).toBeTruthy();
  });
});

describe('Quand on souhaite récupérer un tag', () => {

  let tag: string = controlsGroup.tag;
  beforeEach( () => {
    controlsGroup = new ControlsGroup();
  });

  it('Doit retourner input s\'il existe différent tag dans le groupe', () => {
    let test: boolean = true;
    controlsGroup._applyToControls((control: Control) => {
      if(control.tag != tag)
        test = false;
    });
    expect(test).toBeTruthy();
  });
});

describe('Quand on souhaite ajouter des objets de contrôle', () => {
  let test: boolean = true;

  /*el: ElementRef = new ElementRef('<div></div>');
  item: DsmjFormControlDirective = new DsmjFormControlDirective(el);
  controlsGroup = new ControlsGroup();
  controlsGroup.addItems(item);*/
  it('Doit ajouter un objet de contrôle', () => {

  });
});
