# Composant `<dsmj-form-group>`

Utilisé pour les groupes de champs, notamment pour regrouper les champs de contrôle `case à cocher` ou encore les boutons radio.

Ce composant ajoute les balises et les classes de style nécessaires au bon rendu visuel du Système de design de l'état (dit DSFR) et des règles proposées par le Référentiel général d'amélioration de l'accessibilité (dit RGAA)

## Options

Vous pouvez utiliser les attributs suivants dans `<dsmj-form-group>` pour paramètrer le composant :

### `label` (string)

Ajouter une légende au groupe de champs.
Il est également possible de gérer vous même la légende, comme suit :

```html
<dsmj-form-group>
  <legend class="dsmj-form-group__legend">Titre du groupe de champ </legend>
  (..)
</dsmj-form-group>
```

---

### `hint` (string)

Ajoute un texte descriptif additionnel qui se place en dessous de la légende.

---

### `disabled` (boolean)

Permet de désactiver le groupe de champs.

---

### `inline` (boolean)

Dispose le groupe de champs horizontalement.

---

### `errorMessage` (string)

Défini un message d'erreur au groupe de champs. La définition d'un message active l'état d'erreur du groupe de champs.

---

### `validMessage` (string)

Défini un message de validation au groupe de champs. La définition d'un message active l'état de validation du groupe de champs.

## Exemple d'utilisation

```html
<dsmj-form-group
  label="Mon groupe de champs"
  hint="Mon groupe de champs contient une liste de cases à cocher"
  [inline]="true">
  <dsmj-form-field label="Choix 1" for="checkbox-1">
    <input type="checkbox" dsmjInput id="checkbox-1" />
  </dsmj-form-field>
  <dsmj-form-field label="Choix 2" for="checkbox-2">
    <input type="checkbox" dsmjInput id="checkbox-2" />
  </dsmj-form-field>
  <dsmj-form-field required="true" label="Choix 3" for="checkbox-3">
    <input type="checkbox" dsmjInput id="checkbox-3" />
  </dsmj-form-field>
</dsmj-form-group>
```
