import {Component, Input} from '@angular/core';

@Component({
  selector: 'dsmj-button',
  templateUrl: './button.component.html',
  styleUrls: ['./button.component.scss']
})
export class ButtonComponent {

  /**
   * Défini la couleur du bouton (primaire, secondaire, tertiaire)
   */
  @Input() color?: string;

  /**
   * Défini la taille du bouton (sm, lg)
   */
  @Input() size?: string;

  /**
   * Défini une icone au bouton (le bouton n'affichera pas visuellement le label)
   */
  @Input() icon?: string;

  /**
   * Défini une icone au bouton qui sera affichée à gauche du label
   */
  @Input() iconLeft?: string;

  /**
   * Défini une icone au bouton qui sera affichée à droite du label
   */
  @Input() iconRight?: string;

  constructor() { }
}
