import {ComponentFixture, TestBed} from '@angular/core/testing';

import {CheckboxComponent} from './checkbox.component';
import {ControlContainer, FormsModule, ReactiveFormsModule} from "@angular/forms";
import {getMockedControlContainerForField, TESTING_PROPERTY} from "../../../helper/spec-helper";

describe('CheckboxComponent', (): void => {
  let component: CheckboxComponent;
  let fixture: ComponentFixture<CheckboxComponent>;

  beforeEach( (): void => {
    TestBed.configureTestingModule({
      declarations: [ CheckboxComponent ],
      imports: [ReactiveFormsModule, FormsModule],
      providers: [
        { provide: ControlContainer, useValue: getMockedControlContainerForField(false) }
      ]
    }).compileComponents();
  });

  beforeEach((): void => {
    fixture = TestBed.createComponent(CheckboxComponent);
    component = fixture.componentInstance;
    component.nameInput = TESTING_PROPERTY;
    fixture.detectChanges();
  });

  it('checkbox component should be created', (): void => {
    expect(component).toBeTruthy();
  });

  it('initial checkbox value', (): void => {
    expect(component.formGroup.get(TESTING_PROPERTY)?.value).toBeFalsy();
  });

  it('checkbox value after user has clicked', (): void => {
    const input = fixture.nativeElement.querySelector('input');
    input.click()
    fixture.detectChanges()

    expect(input.checked).toBeTruthy();
    expect(component.formGroup.get(TESTING_PROPERTY)?.value).toBeTruthy();
  });
});
