import {ChangeDetectionStrategy, Component, Input, OnInit} from "@angular/core";
import {InputBaseComponent} from "../_base/input-base.component";

/**
 * Composant checkbox
 */
@Component({
  selector: 'dsmj-input-checkbox',
  templateUrl: './checkbox.component.html',
  changeDetection: ChangeDetectionStrategy.OnPush
})
export class CheckboxComponent extends InputBaseComponent implements OnInit {
  @Input() subLabelDescription?: string;
  @Input() hideSuccess?: boolean = true
  @Input() successLabel?: string = 'champ valide'

  get showSuccess() {
    if (this.hideSuccess) return false;
    return this.hasSuccess;
  }

  ngOnInit(): void {
    this.init();
  }
}
