import {getDriver} from "../../../../helper/e2e-helper";
import {By} from "selenium-webdriver";

function delay(seconds): Promise<any> {
  return new Promise(resolve => {
    setTimeout(resolve, seconds * 1000);
  });
}

function minDelay(): Promise<any> {
  return delay(1);
}

describe('', () => {
  let driver;

  beforeAll(async () => {
    jest.setTimeout(10 * 1000)
    driver = await getDriver();
    await driver.get('http://localhost:4200/forms/checkbox');
  });

  afterAll(async () => {
    await driver.quit();
  });

  it('click on enabled checkbox', async () => {
    await minDelay()

    await driver.findElement(By.xpath("//dsmj-input-checkbox[@nameinput='enable']")).click();

    let result = await driver.findElement(By.id("checkbox-enable")).getAttribute("class");

    expect(result).toContain('ng-dirty')
    // TODO get element to expect value
  })

  test('unable to click on disabled checkbox', async () => {
    await minDelay()

    await driver.findElement(By.xpath("//dsmj-input-checkbox[@nameinput='disabled']")).click();

    let result = await driver.findElement(By.id("checkbox-disabled")).getAttribute("class");

    expect(result).not.toContain('ng-dirty')
    // TODO get element to expect value
  })

  test('click on checked checkbox', async () => {
    await minDelay()

    await driver.findElement(By.xpath("//dsmj-input-checkbox[@nameinput='checked']")).click();

    let result = await driver.findElement(By.id("checkbox-checked")).getAttribute("class");

    expect(result).not.toContain('ng-dirty')
    // TODO get element to expect value
  })

})
