import {Directive, Input} from '@angular/core';
import {InputBaseComponent} from "../_base/input-base.component";
import {Subject} from "rxjs";

let nextId = 0;

@Directive()
// export abstract class DsfrRadioButton extends InputBaseComponent {
export abstract class DsfrRadioButton {

  protected _checked: boolean = false;
  protected _disabled: boolean = false;
  public _value: any = null;

  /**
   * The value for the 'name' property of the input element.
   *
   * All inputs of the radio group should have the same name. If not specified,
   * the name of the enclosing group is used.
   */
  @Input() name: string = '';
  @Input() id = `dsfr-radio-${nextId++}`;
  @Input() helpText: string = '';

  /** Et déclenché à la destruction du composant. Utiliser pour les takeUntil */
  protected _destroy = new Subject()

  /** Set focus on or off the current radio field **/
  set focused(isFocused: boolean) {}

  /** return true if input radio field is checked **/
  get checked() { return this._checked; }

  /** Return the current value of the input radio field **/
  get value() { return this._value; }

  /** Get the name value of the input radio field **/
  get nameAttr() { return this.name }

  /** Get the ID value of the input radio field **/
  get getID() { return this.id }

  /** Update the value of the field **/
  updateValue(value: any) {}

  ngOnDestroy(): void {
    this._destroy.next(1)
  }
}
