import { ComponentFixture, TestBed } from '@angular/core/testing';
import { RadioGroupComponent } from '../dsmj-radio-group/radio-group.component';

import { RadioExtendedComponent } from './radio-extended.component';

describe('DsfrRadioExtendedComponent', () => {
  let component: RadioExtendedComponent;
  let fixture: ComponentFixture<RadioExtendedComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [RadioExtendedComponent],
      providers: [RadioGroupComponent]
    })
      .compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(RadioExtendedComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  fit('should create', () => {
    expect(component).toBeTruthy();
  });
  fit('should check if radio button is not disable', () => {
    component.disabled = false;
    fixture.detectChanges();
    expect(fixture.debugElement.nativeElement.querySelector('input').disabled).toBeFalsy();
  });

  fit('should check if radio button is disable', () => {
    component.disabled = true;
    fixture.detectChanges();
    expect(fixture.debugElement.nativeElement.querySelector('input').disabled).toBeTruthy();
  });

});
