import { ComponentFixture, TestBed } from '@angular/core/testing';

import { RadioGroupComponent } from './radio-group.component';

describe('RadioGroupComponent', () => {
  let component: RadioGroupComponent;
  let fixture: ComponentFixture<RadioGroupComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [ RadioGroupComponent ]
    })
    .compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(RadioGroupComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  fit('should create', () => {
    expect(component).toBeTruthy();
  });

  fit('should check if radio button has error', () => {
    component.status = 'error';
    fixture.detectChanges();
    expect(fixture.debugElement.nativeElement.querySelector('fieldset').className).toContain('fr-fieldset--error');
  });
  fit('should check if radio button is valid', () => {
    component.status = 'success';
    fixture.detectChanges();
    expect(fixture.debugElement.nativeElement.querySelector('fieldset').className).toContain('fr-fieldset--valid');
  });

  fit('should check if radio button is inline', () => {
    component.inline = true;
    fixture.detectChanges();
    expect(fixture.debugElement.nativeElement.querySelector('fieldset').className).toContain('fr-fieldset');
    expect(fixture.debugElement.nativeElement.querySelector('fieldset').className).toContain('fr-fieldset--inline');
  });

  fit('should check if radio button is not inline', () => {
    component.inline = false;
    fixture.detectChanges();
    expect(fixture.debugElement.nativeElement.querySelector('fieldset').className).toContain('fr-fieldset');
  });

  fit('should check getStatusClass', () => {
    component.status = 'success';
    fixture.detectChanges();
    expect(component.isValid()).toBeTruthy();
    expect(component.getStatusClass()).toBe('fr-valid-text');

    component.status = 'error';
    fixture.detectChanges();
    expect(component.isError()).toBeTruthy();
    expect(component.getStatusClass()).toBe('fr-error-text');
  });

});
