import {ChangeDetectionStrategy, Component, Input, OnInit} from '@angular/core';
import {InputBaseComponent} from "../_base/input-base.component";
import {ControlContainer} from "@angular/forms";
import {InputValueRadio} from "./radio.model";

/**
 * Composant radio
 */
@Component({
  selector: 'dsmj-radio-list',
  templateUrl: './radio-list.component.html',
  // changeDetection: ChangeDetectionStrategy.OnPush
})
export class RadioListComponentOld extends InputBaseComponent implements OnInit {
  /** pré-set avec des valeurs par défaut. [{value: true, label: 'Oui'}, {value: false, label: 'Non'}] */
  @Input() inputValues: InputValueRadio[] = [{value: true, label: 'Oui'}, {value: false, label: 'Non'}];

  @Input() override label = "Légende pour l'ensemble des champs";
  @Input() isInline: boolean = true;
  @Input() isSmall: boolean = false;
  @Input() showValidMessage: boolean = false;
  @Input() showInalidMessage: boolean = false;
  @Input() extended: boolean = false;

  @Input() validMessage?: string;
  @Input() invalidMessage?: string;

  get status(): string {
    if (this.showValidMessage && this.input?.valid && !this.input?.invalid) {
      return 'success';
    } else if (this.showInalidMessage && (!this.input?.valid || this.input?.invalid)) {
      return 'error';
    }
    return '';
  }

  get statusMessage(): string {
    if (this.showValidMessage && this.input?.valid && !this.input?.invalid) {
      return this.validMessage;
    } else if (this.showInalidMessage && (!this.input?.valid || this.input?.invalid)) {
      return this.invalidMessage;
    }
    return '';
  }

  constructor(protected override _parentContainer: ControlContainer) {
    super(_parentContainer);
  }

  ngOnInit(): void {
    this.init();
  }
}
