import {Component, ElementRef, EventEmitter, OnChanges, Output, SimpleChanges} from "@angular/core";
import {SelectMultipleComponent} from "../select-multiple/select-multiple.component";
import {ControlContainer, FormBuilder} from "@angular/forms";
import {DomClickService} from "../_base/dom-click.service";

@Component({
  selector: 'dsmj-input-select-multiple-dynamic',
  templateUrl: './select-dynamic.component.html',
  styleUrls: ['../select-multiple/select-multiple.component.scss']
})
export class SelectDynamicComponent extends SelectMultipleComponent implements OnChanges {
  @Output() newValue = new EventEmitter()

  constructor(protected override _parentContainer: ControlContainer,
              protected override fb: FormBuilder,
              protected override domClickService: DomClickService,
              protected override elRef: ElementRef) {
    super(_parentContainer, fb, domClickService, elRef);
  }

  ngOnChanges(changes: SimpleChanges): void {
    for (const change in changes) {
      if (change === 'inputValues' && this.formGroup) {
        this._formGroup.removeControl('checkboxes')
        this._formGroup.addControl('checkboxes', this.fb.array([]))
        this.loadData();
      }
    }
  }

  submitNewValue(): void {
    const newVal = this._formGroup.get('search')?.value
    if (!newVal) {
      return
    }
    let val = this.inputValues.find(v => v.label.toLowerCase() == newVal.toLowerCase())
    if (val) {
      return
    }
    /* tslint:disable */
    const id: string = ('' + 1e7 + -1e3 + -4e3 + -8e3 + -1e11).replace(/[018]/g, (c: any) =>
      (c ^ crypto.getRandomValues(new Uint8Array(1))[0] & 15 >> c / 4).toString(16)
    );
    /* tslint:enable */

    // this.inputValues.push({value: id, label: newVal})

    this.subInputs.push(this._columnFG(id, true))
    this.newValue.emit({value: id, label: newVal})
  }
}
