import {ChangeDetectionStrategy, Component, Input, OnInit} from "@angular/core";
import {InputValue} from "../_base/InputValue";
import {InputBaseComponent} from "../_base/input-base.component";
import {ControlContainer} from "@angular/forms";

/**
 * Composant input select
 */
@Component({
  selector: 'dsmj-input-select',
  templateUrl: './select.component.html',
  changeDetection: ChangeDetectionStrategy.OnPush
})
export class SelectComponent extends InputBaseComponent implements OnInit {
  @Input() subLabelDescription?: string;
  @Input() emptyLabel = "Sélectionnez une option";
  @Input() inputValues: InputValue[] = [{value: '1', label: 'test1'}];
  /** false - affiche une option vide dans la select list */
  @Input() hiddenEmpty?: boolean = undefined
  @Input() hideSuccess?: boolean = true
  @Input() successLabel?: string = 'champ valide'

  /**
   * Affiche ou non le label à l'écran
   */
  @Input() labelVisible: boolean = true

  get showSuccess() {
    if (this.hideSuccess) return false;
    return this.hasSuccess;
  }

  constructor(protected override _parentContainer: ControlContainer) {
    super(_parentContainer);
  }

  ngOnInit(): void {
    this.init();
  }
}
