import {ComponentFixture, TestBed} from '@angular/core/testing';

import { UploadComponent } from "./upload.component";
import { Component } from '@angular/core';

describe('UploadComponent', () =>{
  let component: UploadComponent;
  let fixture: ComponentFixture<UploadComponent>;
  let element: HTMLElement;

  let testComponent: TestComponent;
  let testFixture: ComponentFixture<TestComponent>;
  let testElement: HTMLElement;

  beforeEach( () => {
    TestBed.configureTestingModule({
      declarations: [ 
        UploadComponent,
        TestComponent   ],
    })
      .compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(UploadComponent);
    testFixture = TestBed.createComponent(TestComponent);

    component = fixture.componentInstance;
    testComponent = testFixture.componentInstance;

    element = fixture.nativeElement
    testElement = testFixture.nativeElement

    fixture.detectChanges();
    testFixture.detectChanges();
  });

  it("should create component dsmj-upload", () =>{
    expect(component).toBeTruthy()
  })

  it("should create component with given label", () =>{
    testComponent.label = 'Ajouter un fichier'
    testFixture.detectChanges();
    testElement = testFixture.nativeElement
    var label = testElement.getElementsByTagName("label").item(0)
    expect(label.textContent.trim()).toEqual('Ajouter un fichier')
  })

  it("should create component with given span", () =>{
    testComponent.label = 'Ajouter un fichier'
    testComponent.span = 'Taille maximale : 500 Mo. Formats supportés : jpg, png, pdf.'
    testFixture.detectChanges();
    testElement = testFixture.nativeElement
    var span = testElement.getElementsByTagName("span").item(0)
    expect(span.textContent.trim()).toEqual('Taille maximale : 500 Mo. Formats supportés : jpg, png, pdf.')
  })

  it("should create component with given p and error activated", () =>{
    testComponent.label = 'Ajouter un fichier'
    testComponent.p = "Format de fichier non supporté "
    testComponent.error = true
    testFixture.detectChanges();
    testElement = testFixture.nativeElement
    var p = testElement.getElementsByTagName("p").item(0)
    expect(p.textContent.trim()).toEqual('Format de fichier non supporté')
    var div = testElement.getElementsByTagName('div').item(0)
    expect(div.className).toContain("fr-input-group--error")
  })
})
@Component({
  template: `
<dsmj-upload [error]="error">
  <label dsmjLabelUpload for="file-upload-with-error">{{label}}
    <span>{{span}}</span>
  </label>
  <input dsmjInputFile type="file" aria-describedby="file-upload-with-error-desc" id="file-upload-with-error" name="file-upload-with-error">
  <p dsmjErrorMsg id="file-upload-with-error-desc">
      {{p}}
  </p>
</dsmj-upload>
  `
})

class TestComponent {
  label: string;
  span: string;
  p: string;
  error: boolean;
}