import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { HeaderComponent } from "./header.component";
import { HeaderBrandComponent } from "./brand/brand.component";
import { DsmjLogoModule } from "../logo/logo.module";
import { ToolLinksComponent } from "./tool-link/tool-links.component";
import { ToolLinkComponent } from "./tool-link/tool-link.component";
import { RouterModule } from "@angular/router";
import { HeaderToolsComponent } from './tools/tools.component';
import { DsmjNavModule } from "../nav/nav.module";
import { DsmjDirectivesModule } from '../../directives/dsmj-directives.module';

@NgModule({
  declarations: [
    HeaderComponent,
    HeaderBrandComponent,
    HeaderToolsComponent,
    ToolLinkComponent,
    ToolLinksComponent,
  ],
  imports: [
    CommonModule,
    RouterModule,
    DsmjLogoModule,
    DsmjNavModule,
    DsmjDirectivesModule
  ],
  exports: [
    HeaderComponent,
    HeaderToolsComponent,
    ToolLinkComponent,
    ToolLinksComponent,
  ]
})
export class DsmjHeaderModule { }
