import {Component, Input, TemplateRef} from '@angular/core';
import {ToolLink} from "../model/tool-link.model";

@Component({
  selector: 'dsmj-header-tool-links',
  template:
`<ng-container [ngTemplateOutlet]="template ? template : null"></ng-container>
<ng-container *ngFor="let link of links">
  <div class="fr-header__tools">
    <div class="fr-header__tools-links">
      <ul class="fr-btns-group">
        <dsmj-header-tool-link [liClass]="link.liClass" [customClass]="link.customClass" [url]="link.url" [label]="link.label" [externalLink]="link.externalLink"></dsmj-header-tool-link>
      </ul>
    </div>
  </div>
</ng-container>
`
  ,
})
export class ToolLinksComponent{

  @Input() links?: ToolLink[];
  @Input() template?: TemplateRef<any>;

  constructor() { }
}
