import {ComponentFixture, TestBed} from '@angular/core/testing';

import { HighlightComponent } from "./highlight.component";
import { Component } from '@angular/core';

describe('HighlightComponent', () =>{
  let component: HighlightComponent;
  let fixture: ComponentFixture<HighlightComponent>;
  let element: HTMLElement;

  
  let testComponent: TestComponent;
  let testFixture: ComponentFixture<TestComponent>;
  let testElement: HTMLElement;

  beforeEach( () => {
    TestBed.configureTestingModule({
      declarations: [ 
        HighlightComponent,
        TestComponent
      ],
    })
      .compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(HighlightComponent);
    testFixture = TestBed.createComponent(TestComponent);

    component = fixture.componentInstance;
    testComponent = testFixture.componentInstance;

    testComponent.text = "Ceci est un test"
    testComponent.size = "lg"
    testComponent.color = "green-emeraude"
    testFixture.detectChanges()

    element = fixture.nativeElement
    testElement = testFixture.nativeElement
    fixture.detectChanges();
  });

  it("should create component dsmj-highlight", () =>{
    expect(component).toBeTruthy()
  })

  it("should have an empty p if text is null", () =>{
    /** Compare if the first div is null */
    expect(element.getElementsByTagName('p').item(0).textContent.trim()).toEqual("")
  })

  it("should have a p with given text", () =>{
    /** Compare if the p is the same as text */
    expect(testElement.getElementsByTagName('p').item(0).textContent.trim()).toEqual("Ceci est un test")
  })

  it("should have a p with given size", () =>{
    /** Compare if the p is the same as text */
    expect(testElement.getElementsByTagName('p').item(0).className).toContain("fr-text--lg")
  })

  it("should have a div with given color", () =>{
    /** Compare if the p is the same as text */
    expect(testElement.getElementsByTagName('div').item(0).className.trim()).toContain("fr-highlight--green-emeraude")
  })
})

@Component({
  template: `
    <dsmj-highlight size="{{size}}" color="{{color}}">
      {{text}}
    </dsmj-highlight>
  `
})
class TestComponent {
  text: string;
  color: string;
  size: string;
}