import {Component, Input} from '@angular/core';

@Component({
  selector: 'dsmj-highlight',
  templateUrl: './highlight.component.html',
})
export class HighlightComponent{
  /** Défini la taille du texte sm | md | lg */
  @Input() public size: 'sm' | 'md' | 'lg' = "md";

  /** 
   * Défini la couleur de la bordure
   * bordure : fr-highlight--[color]
   */
  @Input() public color: string;

  /** Génére la classe a partir de la taille */
  get sizeClass(): string {
    return "fr-text--" + this.size;
  }

  /** Génére la classe a partir de la couleur */
  get colorClass(): string {
    return "fr-highlight--" + this.color;
  }
}
