import {Component, ComponentRef, Type, ViewChild, ViewContainerRef} from '@angular/core'
import {Modal} from '../model/modal.model'

/**
 * Component gérant à l'affichage des modales components.
 * @see ModalService
 */
@Component({
  selector: 'dsmj-modal-container',
  template: `
    <ng-template #modalContainer></ng-template>
  `
})
export class ModalContainerComponent {
  @ViewChild('modalContainer', {read: ViewContainerRef}) private modalContainer!: ViewContainerRef

  constructor() {
  }

  /**
   * Instancie le modale component et l'injecte dans le modalContainer
   * @param component
   */
  createModal<T extends Modal>(component: Type<T>): ComponentRef<T> {
    this.modalContainer.clear()

    return this.modalContainer.createComponent(component, {index: 0})
  }
}
