import {Component, ElementRef, EventEmitter, Input, OnInit, Output, ViewChild} from '@angular/core';

/**
 * Composant modale
 */
@Component({
  selector: 'dsmj-dsfr-modal',
  templateUrl: './dsfr-modal.component.html'
})
export class DsfrModalComponent implements OnInit {
  /** ElementRef de la modale */
  @ViewChild('dialog') dialog?: ElementRef
  /** sert d'id et a la construction de 'ariaLabelled' */
  @Input() id = 'fr-modale'
  /** true si la modale doit être ouverte à sa création */
  @Input() isOpen: boolean = false
  /** renvoie true en cas de fermeture de la modale */
  @Output() hasClose: EventEmitter<boolean> = new EventEmitter()
  /** accessibilité - hydrate aria-labelledby */
  ariaLabelled = ''

  /** construit le 'ariaLabelled' */
  ngOnInit(): void {
    this.ariaLabelled = 'fr-modal-title-' + this.id
  }

  /** initialise la fermeture de la modale */
  close(): void {
    this.dialog?.nativeElement?.click();
    this.hasClose.emit(true)
  }
}
