import {TemplateRef} from "@angular/core";
import {ButtonOptions} from "../modal.component";

/** option permettant la configuration de la modale */
export interface Option {
  /** titre de la modal */
  title?: string
  /** icon à placer à côté du titre de la modal */
  iconTitleClass?: string
  /** liste des classes à appliquer */
  classes?: string[]
  /** contenu du corp */
  message?: string
  /** data complémentaire, pour le bodyTpl */
  data?: any
  /** template custom pour le corp */
  bodyTpl?: TemplateRef<any>
  /** boutons d'actions de la modale */
  buttons?: {
    confirm?: string | ButtonOptions
    cancel?: string | ButtonOptions
  }
  /** id du modal container (balise dialog) */
  id?: string;
}
