import { ComponentFixture, TestBed } from '@angular/core/testing';
import { NavItemComponent } from './item.component';

describe('Quand je fais appel au composant NavItemComponent', () => {
  let component: NavItemComponent;
  let fixture: ComponentFixture<NavItemComponent>;

  beforeEach( () => {
    TestBed.configureTestingModule({
      declarations: [ NavItemComponent ]
    }).compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(NavItemComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('Doit pouvoir s\'instancier', () => {
    expect(component).toBeTruthy();
  });

  describe('Quand je défini le type de mon objet comme étant un mega-menu', () => {
    beforeEach(() => {
      component.type = 'mega-menu';
    });

    describe('Quand le composant à fini de charger la vue', () => {
      it('Doit faire appel à addClassToMegaMenuCategory', () => {
        let addClassToMegaMenuCategorySpy = jest.spyOn(component, 'addClassToMegaMenuCategory');
        component.ngAfterViewInit();
        expect(addClassToMegaMenuCategorySpy).toBeCalled();
      });

      it('Doit faire appel à addClassToMegaMenuList', () => {
        const addClassToMegaMenuListSpy = jest.spyOn(component, 'addClassToMegaMenuList');
        component.ngAfterViewInit();
        expect(addClassToMegaMenuListSpy).toBeCalled();
      });

      it('Doit faire appel à addGridRowToMegaMenuCategories', () => {
        const addGridRowToMegaMenuCategoriesSpy = jest.spyOn(component, 'addGridRowToMegaMenuCategories');
        component.ngAfterViewInit();
        expect(addGridRowToMegaMenuCategoriesSpy).toBeCalled();
      });
    });
  });

  describe('Quand je défini le type de mon objet comme étant un menu', () => {
    beforeEach(() => {
      component.type = 'menu';
    });

    describe('Quand le composant à fini de charger la vue', () => {
      it('Doit faire appel à addClassToMenuList', () => {
        let addClassToMenuListSpy = jest.spyOn(component, 'addClassToMenuList');
        component.ngAfterViewInit();
        expect(addClassToMenuListSpy).toBeCalled();
      });

    });
  });
});
