import { ElementRef, Input, Directive, HostBinding } from '@angular/core';

@Directive({
  selector: '[dsmjNavLink]'
})
export class DsmjNavLinkDirective {

  /** Nom de class DSFR des liens de navigation */
  readonly CLASSNAME_DSFR_NAV_LINK: string = 'fr-nav__link';

  /**
   * Attribut target de l'objet
   */
  @HostBinding()
  @Input() target: string = "_self";

  /**
   * Objet DOM du controle
   */
  public html: HTMLElement;

  constructor(protected el: ElementRef) {

    this.html = el.nativeElement;

    // Ajoute les éléments de class
    this.html.classList.add(this.CLASSNAME_DSFR_NAV_LINK);
  }
}
