import {NgModule} from "@angular/core";
import {CommonModule} from "@angular/common";
import {NavComponent} from "./nav.component";
import { NavItemComponent } from "./item/item.component";
import { DsmjNavLinkDirective } from "./nav-link.directive";
import { DsmjNavButtonDirective } from "./nav-button.directive";
import { DsmjDirectivesModule } from "../../directives/dsmj-directives.module";

@NgModule({
  declarations: [
    NavComponent,
    NavItemComponent,
    DsmjNavLinkDirective,
    DsmjNavButtonDirective
  ],
  exports: [
    NavComponent,
    NavItemComponent,
    DsmjNavLinkDirective,
    DsmjNavButtonDirective
  ],
  imports: [
    CommonModule,
    DsmjDirectivesModule
  ]
})
export class DsmjNavModule {}
