import { ComponentFixture, TestBed } from '@angular/core/testing';

import { QuoteComponent } from './quote.component';

describe('DsmjQuoteComponent', () => {
  let component: QuoteComponent;
  let fixture: ComponentFixture<QuoteComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [ QuoteComponent ]
    })
      .compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(QuoteComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });

  it('Quote testing', () => {
    component.citation = "« The only way to go fast, is to go well. »";
    expect(component.citation === "« The only way to go fast, is to go well. »").toBeTruthy();
  });

  it('Cite testing', () => {
    component.url = "https://lien-vers-la-source.fr";
    expect(component.url === "https://lien-vers-la-source.fr").toBeTruthy();
  });

  it('Author testing', () => {
    component.author = "Robert C. Martin";
    expect(component.author === "Robert C. Martin").toBeTruthy();
  });

  it('Image testing', () => {
    component.img = { src: "assets/placeholder.1x1.png", alt: "" };
    expect(component.img.src === "assets/placeholder.1x1.png").toBeTruthy();
  });
});
