import {AfterViewInit, Component, Input, OnInit} from "@angular/core";
import {Img} from "../../shared/model/img.model";
import {QuoteColor, QuoteSource} from "./quote.model";

type QuoteDetail = { type: string, sources: QuoteSource[] }

@Component({
  selector: 'dsmj-quote',
  templateUrl: './quote.component.html',
  styleUrls: ['./quote.component.scss']
})
export class QuoteComponent {
  @Input() citation: string;
  @Input() url?: string;
  @Input() color?: QuoteColor;
  @Input() author?: string;
  @Input() type?: string;
  @Input() sources?: QuoteSource[];
  @Input() img?: Img;

  get detail(): QuoteDetail {
    if (!this.type && !this.sources) return null;

    return {
      type: this.type,
      sources: this.sources
    }
  }
}
