# Composant `<dsmj-search>`

Utilisé pour gérer les recherches simple, ce composant vous permet de généré automatiquement les éléments du champs de recherche simple :

- Label (masqué à l'écran)
- Champ de contrôle
- et bouton de soumission

Dont vous aurez la possibilité de gérer manuellement le champ de contrôle et/ou le bouton de soumission.

## Options

Vous avez la possibilité d'ajouter les attributs suivants dans `<dsmj-search>` pour paramètrer le composant :

### `customControl` (boolean)

Si la valeur est à `true`, le composant ne générera pas un objet de contrôle et vous laissera l'intégrer à sa place :

```html
<dsmj-search [customControl]="true">
  <input dsmjInput type="search" id="control">
</dsmj-search>
```

### `customButton` (boolean)

Si la valeur est à `true`, le composant ne générera pas de bouton, et vous laissera l'intégrer à sa place :

```html
<dsmj-search [customButton]="true">
  <button dsmjButton type="button">Rechercher</button>
</dsmj-search>
```

### `placeholder` (string)

Renseigne un texte dans le placeholder de l'objet de contrôle si `customControl` n'est pas renseigné ou est à `false`, et ajoute ce même texte au label.

### `for` (string)

Associe le label à l'objet de contrôle, elle ajoute un attribut `for` sur le label (caché). La valeur doit être la même que l'identifiant de l'objet de contrôle.

### `btnLabel` (string)

Renseigne un texte au bouton de soumission.

## Evenements

### `hasSubmit` (string)

Au clique sur le bouton de soumission, renvoi la valeur saisie dans champ de contrôle.

## Exemple d'utilisation

```html
<dsmj-search
  (hasSubmit)="validerLeFormulaire($event)"
  label="Rechercher un élément dans ce site"
  btnLabel="Lancer la recherche"
></dsmj-search>
```
