import { ElementRef, Input, Directive, HostBinding, OnInit } from '@angular/core';

@Directive({
  selector: '[dsmjSidemenuLink]'
})
export class DsmjSidemenuLinkDirective implements OnInit {

  /** Nom de class DSFR des liens de navigation */
  readonly CLASSNAME_DSFR_NAV_LINK: string = 'fr-sidemenu__link';

  /**
   * Attribut target de l'objet
   */
  @HostBinding()
  @Input() target: string = "_self";

  /**
   * Défini si le lien est celui selectionné
   */
  @Input() current: boolean = false;

  /**
   * Objet DOM du controle
   */
  public html: HTMLElement;

  constructor(protected el: ElementRef) {

    this.html = el.nativeElement;

    // Ajoute les éléments de class
    this.html.classList.add(this.CLASSNAME_DSFR_NAV_LINK);
  }


  ngOnInit(): void {
    if(this.current)
      this.html.setAttribute('aria-current', 'true');
  }
}
