import {ComponentFixture, TestBed} from '@angular/core/testing';

import { SummaryComponent } from "./summary.component";
import {getElements} from "../../helper/spec-helper";
import {EventEmitter} from "@angular/core";
import spyOn = jest.spyOn;

describe('SummaryComponent', () =>{
  let component: SummaryComponent;
  let fixture: ComponentFixture<SummaryComponent>;
  let element: HTMLElement;

  beforeEach( () => {
    TestBed.configureTestingModule({
      declarations: [ SummaryComponent ],
    })
      .compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(SummaryComponent);
    component = fixture.componentInstance;
    element = fixture.nativeElement
    fixture.detectChanges();
  });

  it("should create component dsmj-summary", () =>{
    expect(component).toBeTruthy()
  })

  it("should have an empty list", () =>{
    /** Compare if the first element of li is null */
    expect(element.getElementsByTagName('li').item(0)).toBeNull()
  })

  it("should have a unique given id", () =>{
    /** Compare if the first element of li is null */
    expect(element.getElementsByTagName('p').item(0).id).not.toBeNull()
  })

  it("should fill component dsmj-summary with given list", () =>{
    /** Fill component list */
    component.list = [{title: "Titre 1", anchor: "title-1"},{title: "Titre 2", anchor: "title-2"},{title: "Titre 2", anchor: "title-2"}]
    fixture.detectChanges();
    /** Get text to compare if equal the component list */
    let text = element.getElementsByTagName("a").item(0).textContent
    expect(text).toEqual('Titre 1')
  })

  it("should update id in component dsmj-summary with given id", () =>{
    /** Fill component list */
    component.containerTitleId = "test-id"
    fixture.detectChanges();
    /** Get id to compare if equal the component id */
    let id = element.getElementsByTagName("p").item(0).id
    expect(id).toEqual(component.containerTitleId)
  })

})