import {Component, ElementRef, EventEmitter, Input, Output} from "@angular/core"
import {Tag} from "./model/tag.model";

/**
 * Component Tile
 */
@Component({
  selector: 'dsmj-tags-group',
  templateUrl: './tag-group.component.html'
})
export class TagGroupComponent {
  @Input() tags?: Tag[]
  @Input() size: 'sm' | 'md' = 'sm'
  @Input() sendDismissEventOnly: boolean = false

  @Output() sendDismiss = new EventEmitter<any>();

  constructor(protected el: ElementRef) {}

  onTagHit(tag: Tag): void {
    const isPressed = tag.pressed === true;
    tag.pressed = !isPressed;
  }

  onDismiss(tag): void {
    this.sendDismiss.emit(tag);
    if (!this.sendDismissEventOnly) {
      const index = this.tags.indexOf(tag)
      this.tags.splice(index, 1)
    }
  }
}
