import {Component, ElementRef, EventEmitter, Input, OnInit, Output} from "@angular/core"
import {Tag, TagType} from "./model/tag.model";

/**
 * Component Tile
 */
@Component({
  selector: 'dsmj-tag',
  templateUrl: './tag.component.html'
})
export class TagComponent implements OnInit {
  @Input() label: string;
  @Input() type?: TagType;
  @Input() url?: string;
  @Input() pressed?: boolean;
  @Input() iconClass?: string;
  @Input() size: 'sm' | 'md' = 'sm'

  @Output() sendDismiss = new EventEmitter<any>();

  constructor(protected el: ElementRef) {}

  ngOnInit() {
    if (this.type == null) {
      this.type = 'label';
    }
  }

  onTagHit(): void {
    const isPressed = this.pressed === true;
    this.pressed = !isPressed;
  }

  onDismiss(): void {
    console.log(this)
    this.sendDismiss.emit(this);
  }
}
