import { NgModule } from "@angular/core";
import { CommonModule } from "@angular/common";
import { FormsModule, ReactiveFormsModule } from "@angular/forms";
// import {MatInputModule} from "@angular/material/input";
import { DsmjInputTextDirective } from "./form/field/dsmj-input-text.directive";
import { DsmjFormValidityDirective } from "./form/validation/dsmj-form-validity.directive";
import { DsmjInvalidMessageDirective } from "./form/validation/dsmj-invalid-message.directive";
import { DsmjValidMessageDirective } from "./form/validation/dsmj-valid-message.directive";
import { DsmjTooltipDirective } from "../components/form/_base/tooltip.directive";
import { NgLetDirective } from "./_base/ng-let.directive";
import { DsmjReturnTopDirective } from "./_base/return-top.directive";
import { DsmjSelectDirective } from "./form/field/dsmj-select.directive";
import { DsmjButtonDirective } from "./form/field/dsmj-button.directive";
import { DsmjInputDirective } from "./form/field/dsmj-input.directive";
import { DsmjLinkDirective } from "./form/field/dsmj-link.directive";
import { DsmjTextareaDirective } from "./form/field/dsmj-textarea.directive";
import { DsmjInputFileDirective } from "./form/field/dsmj-input-file.directive";
import { DsmjDescUploadDirective } from './form/field/dsmj-desc-upload.directive';

@NgModule({
  imports: [
    CommonModule,
    FormsModule,
    ReactiveFormsModule,
    // MatInputModule,
  ],
  declarations: [
    NgLetDirective,
    DsmjInputTextDirective,
    DsmjSelectDirective,
    DsmjButtonDirective,
    DsmjLinkDirective,
    DsmjInputDirective,
    DsmjFormValidityDirective,
    DsmjValidMessageDirective,
    DsmjInvalidMessageDirective,
    DsmjTooltipDirective,
    DsmjReturnTopDirective,
    DsmjTextareaDirective,
    DsmjInputFileDirective,
    DsmjDescUploadDirective,
  ],
  exports: [
    NgLetDirective,
    DsmjInputTextDirective,
    DsmjSelectDirective,
    DsmjButtonDirective,
    DsmjLinkDirective,
    DsmjInputDirective,
    DsmjFormValidityDirective,
    DsmjValidMessageDirective,
    DsmjInvalidMessageDirective,
    DsmjTooltipDirective,
    DsmjReturnTopDirective,
    DsmjTextareaDirective,
    DsmjInputFileDirective,
    DsmjDescUploadDirective,
  ]
})
export class DsmjDirectivesModule {}
