import { AfterContentInit, Directive, ElementRef, forwardRef, HostBinding, Input } from '@angular/core';
import { DsmjFormControlDirective } from '../../../components/form-field/_base/form-control.directive';

@Directive({
  selector: '[dsmjInput]',
  exportAs: 'dsmjInput',
  providers: [{provide: DsmjFormControlDirective, useExisting: forwardRef(() => DsmjInputDirective)}],
})
export class DsmjInputDirective extends DsmjFormControlDirective implements AfterContentInit {

  /**
   * Type renseigné pour l'objet
   */
  @Input()
  @HostBinding('attr.type') public type: string;

  /**
   * Liste des types nécessitant l'ajout d'une classe de stylisation
   */
  get stylizedTypesList(): string[] {
    return [
      'text',
      'date',
      'number',
      'search'
    ];
  };

  constructor(public el: ElementRef) {

    super(el);
  }

  ngAfterContentInit(): void {

    if(this.type && this.stylizedTypesList.includes(this.type.toLowerCase()))
      this.addClass('fr-input')
  }
}
