import { Directive, ElementRef, forwardRef, HostBinding, Input } from '@angular/core';
import { DsmjFormControlDirective } from '../../../components/form-field/_base/form-control.directive';

@Directive({
  selector: '[dsmjSelect]',
  exportAs: 'dsmjSelect',
  providers: [{provide: DsmjFormControlDirective, useExisting: forwardRef(() => DsmjSelectDirective)}],
})
export class DsmjSelectDirective extends DsmjFormControlDirective {

  /**
   * Nom de controle affecté au formulaire
   */
  @Input() public formControlName: string;

  constructor(public el: ElementRef) {

    super(el);

    /**
     * Ajoute les éléments de class
     */
    this.addClass('fr-select');
  }
}
