import { AfterContentInit, Directive, ElementRef, forwardRef, HostBinding, Input } from '@angular/core';
import { DsmjFormControlDirective } from '../../../components/form-field/_base/form-control.directive';

@Directive({
  selector: '[dsmjTextarea]',
  exportAs: 'dsmjTextarea',
  providers: [{provide: DsmjFormControlDirective, useExisting: forwardRef(() => DsmjTextareaDirective)}],
})
export class DsmjTextareaDirective extends DsmjFormControlDirective implements AfterContentInit {

  /**
   * Nom de controle affecté au formulaire
   */
  @Input() public formControlName: string;

  constructor(public el: ElementRef) {

    super(el);
  }

  ngAfterContentInit(): void {
    this.addClass('fr-input')
  }
}
