import {Builder, By, Key} from "selenium-webdriver";

import edge from 'selenium-webdriver/edge';
import edgedriver from "ms-chromium-edge-driver";

import chrome from "selenium-webdriver/chrome";
// import chromedriver from "chromedriver";

function delay(seconds): Promise<any> {
  return new Promise(resolve => {
    setTimeout(resolve, seconds * 1000);
  });
}

function minDelay(): Promise<void> {
  return delay(1);
}

async function getDriver(driverType = 'MicrosoftEdge'): Promise<void> {

  const getSpecificDriver = async (type, browser, driver, setService): Promise<void> => {
    let service = await new browser.ServiceBuilder(driver.path);
    return new Builder().forBrowser(type)[setService](service).build();
  }

  switch (driverType) {
    case "chrome": return getChrome();
    case "MicrosoftEdge":
    default: return getSpecificDriver('MicrosoftEdge', edge, edgedriver, 'setEdgeService');
  }
}

async function getChrome(): Promise<void> {
  // let service = await new chrome.ServiceBuilder(chromedriver.path);
  let options = new chrome.Options()
    .addArguments('start-maximized')
    .addArguments('no-sandbox')
    .excludeSwitches(['enable-logging'])

  console.log('set service and options')

  await new Builder()
    .forBrowser('chrome')
    // .setChromeService(service)
    .setChromeOptions(options)
    .build();
}

export { delay, minDelay, getDriver, getChrome };
